Tikiwiki Changelog
------------------

Changelog is now generated by cvs2cl.pl
http://cvsbook.red-bean.com/cvsbook.html#cvs2cl%20--%20Generate%20GNU-Style%20ChangeLogs
This script lists chronologically the comments made with cvs commits.
For example, for 1.9.7 : cvs2cl -F BRANCH-1-9 --delta REL-1-9-6:BRANCH-1-9
produces a file named Changelog, then in vim :%s/\n\(\s*\*\)/\1/

Use the following tags to distinguish changes :
* [NEW] apply if something new was added in tikiwiki
* [MOD] is an enhancement; not really new but makes things work better
* [FIX] can be used for bug fixes of any sort
* [SEC] for security fix operations
* [REL] changes for release process only
* [KIL] removal of unused or obsolete files
* -[DB] for changes in the database
when possible, it's also nice to indicate what feature is concerned by 
the change.

----------------------------------------------------------------------
Version 1.9.11 - bugfix release
<http://tikiwiki.org/ReleaseProcess19eleven>
------------------

2008-04-08 18:47  luciash

	* lite.css: [UPD] update to latest *lite CSS

2008-04-08 15:46  kerrnel22

	* templates/tiki-plugin_trackerlist.tpl: [MOD] Updated plugin to
	  accommodate new date only field.

2008-04-07 22:33  sampaioprimo

	* db/tiki-secdb_1.9_mysql.sql: [REL] updated
	  db/tiki-secdb_1.9_mysql.sql

2008-04-07 19:48  kerrnel22

	* templates/modules/mod-since_last_visit_new.tpl: [FIX] Eureka!
	  Last fix. Promise.

2008-04-07 17:01  kerrnel22

	* templates/modules/mod-since_last_visit_new.tpl: [FIX] Stupid
	  Firefox vs. IE6 behaviours.  Now works in both.  Esoteric DIV
	  handling.  Not gonna touch this again.

2008-04-07 16:40  kerrnel22

	* templates/modules/mod-since_last_visit_new.tpl: [FIX] Rollups
	  work properly for trackers now.

2008-04-07 15:32  sylvieg

	* tiki-adminusers.php: more rollback on user name

2008-04-07 02:22  sampaioprimo

	* db/tiki-secdb_1.9_mysql.sql: [REL] updated
	  tiki-secdb_1.9_mysql.sql after changes in some files

2008-04-07 01:17  sampaioprimo

	* lang/pt-br/language.php: fix string translation

2008-04-07 01:08  sampaioprimo

	* templates/modules/mod-since_last_visit_new.tpl: [FIX] fixed
	  warning message on since_last_visit_new module reported by
	  marclaporte

2008-04-06 14:19  sampaioprimo

	* changelog.txt, copyright.txt: [REL] updated copyright.txt and
	  changelog.txt

2008-04-06 12:33  sampaioprimo

	* doc/devtools/tikirelease.sh: ops... rollback lines commited by
	  mistake

2008-04-04 21:25  kerrnel22

	* templates/modules/mod-since_last_visit_new.tpl: [FIX] Minor div
	  problem when more than one tracker shown in list of updates.
	  Corrected.  Still an issue with complete rollup with the template
	  code, but nothing affecting the operation of this feature.

2008-04-04 21:12  kerrnel22

	* templates/modules/mod-since_last_visit_new.tpl,
	  modules/mod-since_last_visit_new.php: [MOD] Updated SLVN so that
	  now large lists of tracker updates are broken out by tracker to
	  keep easier track of.

2008-04-04 14:27  kerrnel22

	* tiki-view_tracker.php: [FIX] New items weren't going in with a
	  blank default when set.  Corrected.

2008-04-04 14:01  kerrnel22

	* templates/tiki-view_tracker_item.tpl: [FIX] Whups, mandatory
	  date-only fields were always showing today, even when another
	  date was set.  Corrected.

2008-04-04 13:49  kerrnel22

	* tiki-view_tracker.php, tiki-view_tracker_item.php,
	  lib/trackers/trackerlib.php, templates/tiki-view_tracker.tpl,
	  templates/tiki-view_tracker_item.tpl,
	  lib/smarty_tiki/function.html_select_date.php: [MOD] Trackers now
	  have option of a date-only field (no time), and default blank
	  dates.

2008-04-03 19:24  kerrnel22

	* modules/mod-since_last_visit_new.php: [FIX/MOD] SLVN would
	  display 'b:0;' if the data in the tracker field used as the label
	  was missing.	Now instead of displaying 'b:0;' which means
	  nothing, it will display the tracker number and the tracker item
	  number.

2008-04-03 18:54  kerrnel22

	* modules/mod-since_last_visit_new.php: [MOD] Changed so that since
	  last visit shows new tracker items and updated items separately.


2008-04-03 01:26  sampaioprimo

	* doc/devtools/tikirelease.sh: updated release instructions

2008-04-02 16:33  sampaioprimo

	* README, changelog.txt, tiki-admin_security.php,
	  db/tiki-1.9-mysql.sql, db/tiki-1.9-mysqli.sql,
	  db/tiki-1.9-oci8.sql, db/tiki-1.9-pgsql.sql,
	  db/tiki-1.9-sqlite.sql, db/tiki-1.9-sybase.sql,
	  db/tiki-secdb_1.9_mysql.sql, lib/twversion.class.php,
	  templates/tiki-install.tpl: [REL] preparing 1.9.11 release

2008-04-02 15:28  sampaioprimo

	* doc/devtools/diffsql.sh: [FIX] removing windows end of line from
	  script

2008-04-02 14:30  sampaioprimo

	* doc/devtools/: securitycheck.php, tikirelease.sh: updated the way
	  securitycheck.php get tikiwiki version number

2008-04-02 13:20  sampaioprimo

	* lang/pt-br/language.php: more translation

2008-04-02 12:48  sampaioprimo

	* lang/pt-br/language.php: translation made by tiki brazilian team
	  :-)

2008-04-02 02:19  marclaporte

	* templates/tiki-admin-include-general.tpl: [DOC] Adding a warning
	  that admin can be locked out by using this feature.

2008-04-01 23:04  chibaguy

	* styles/geo.css: .editdate overlap fixed. Thanks, Petjal3.

2008-03-29 13:46  marclaporte

	* templates/tiki-admin_tracker_fields.tpl: [ENH] Adding some
	  contextual links to the online documentation, as suggested by Val
	  Cummins

2008-03-29 11:23  sampaioprimo

	* lang/pt-br/language.php: tranlation

2008-03-25 16:27  xavidp

	* lang/ca/language.php: 99% percent finished and in sync with
	  1.9,10,1. Mostly thanks to Anna at moviments.net for her work
	  during the last months... Gràcies Anna ;-)

2008-03-24 17:51  kerrnel22

	* tiki-admin.php: [FIX] Scheduled and cached version checks now
	  generate the correct responses.

2008-03-21 15:29  kerrnel22

	* tiki-admin.php, tiki-setup.php: [FIX] A couple of incorrect
	  variable names in the Version Tracker.  Corrected.

2008-03-20 16:31  sylvieg

	* lib/wiki-plugins/wikiplugin_quote.php: [FIX]quote: replyto fix

2008-03-20 16:00  kerrnel22

	* tiki-setup.php, tiki-admin.php, lib/admin/adminlib.php,
	  lib/twversion.class.php: [FIX] Tiki version tracking is fixed.
	  Release managers update data in the twversion.class.php file and
	  flatfile on tw.o.

2008-03-19 16:58  kerrnel22

	* tiki-adminusers.php, tiki-login.php, tiki-register.php,
	  lib/userslib.php, templates/tiki-adminusers.tpl: [FIX] Backed-out
	  view/edit capabilities for Realn Name due to ongoing problems.

2008-03-19 11:26  luciash

	* lib/stats/statslib.php: [FIX] correct average file size in stats
	  (thanks to ripero user on IRC)

2008-03-17 19:52  kerrnel22

	* styles/damian.css: [FIX] When tabs enabled, damian was causing
	  the tabs to appear over top of drop-down menus and pop up
	  calendars.  Corrected the z-index for tabs, so now things appear
	  correctly.

2008-03-16 18:09  panathos

	* lang/it/language.php: Enchant Me

2008-03-15 15:39  panathos

	* lang/it/language.php: little bug corrected

2008-03-15 15:30  panathos

	* lang/it/language.php: One of this day

2008-03-13 09:46  sylvieg

	* templates/tiki-admin_categories.tpl: [MOD]categories: backport
	  1.10 to see category ID of current category

2008-03-12 15:29  marclaporte

	* templates/tiki-upload_file.tpl: [ENH] After uploading a file
	  gallery, you now have a friendly wiki syntax to re-use in wiki
	  pages.

2008-03-12 03:46  marclaporte

	* styles/tikigod.css: [MOD] Cosmetic: like in 1.10, hiding the
	  wikitext 1 pixel border. The padding was strange and result was
	  inconsistent cross browser. It's cleaner now

2008-03-11 20:30  panathos

	* lang/it/language.php: another day in paradise

2008-03-10 21:30  panathos

	* lang/it/language.php: [no log message]

2008-03-09 20:57  panathos

	* lang/it/language.php: [no log message]

2008-03-06 16:27  marclaporte

	* styles/tikineat.css: [FIX] syntax error in tikineat.css found by
	  Patrick Allard

2008-03-05 23:49  panathos

	* lang/it/language.php: from panathos... hi to all

2008-03-05 23:29  panathos

	* lang/it/language.php: [no log message]

2008-03-05 20:07  panathos

	* lang/it/language.php: Uploaded by Panathos, 1466 phrases left

2008-03-04 17:49  panathos

	* lang/it/language.php: [no log message]

2008-03-04 10:34  panathos

	* lang/it/language.php: from Panathos

2008-03-04 02:51  panathos

	* lang/it/language.php: [no log message]

2008-03-03 21:52  panathos

	* lang/it/language.php: [no log message]

2008-02-27 03:32  marclaporte

	* db/: Makefile, convert_nulls_to_non_nulls.php,
	  convert_nulls_to_non_nulls.sql: [DEL] removing old sql stuff from
	  db/ dir that has no more use

2008-02-27 03:22  marclaporte

	* db/convertscripts/convertsqls.sh: [DOC] Documenting the convert
	  sql script

2008-02-27 03:07  marclaporte

	* db/: tiki_ddl.sql, tiki_mysql.sql, tiki_oracle.err.sql,
	  tiki_oracle.sql, tiki_postgresql.sql, tiki_sqlite.sql,
	  tiki_sybase.sql: [REM] removing old sql stuff from db/ dir that
	  has no more use, as was done by mose in BRANCH-1-10

2008-02-27 02:50  marclaporte

	* templates/tiki-top_bar.tpl: [FIX] Putting full name of projet

2008-02-27 02:49  marclaporte

	* templates/tiki-install.tpl: [FIX] Put back hard-coded version
	  number because installer doesn't seem to yet know Tiki version

2008-02-27 02:31  marclaporte

	* db/: tiki-1.9-mysql.sql, tiki-1.9-mysqli.sql, tiki-1.9-oci8.sql,
	  tiki-1.9-pgsql.sql, tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql:
	  sync db

2008-02-27 01:56  marclaporte

	* templates/: tiki-bot_bar.tpl, tiki-custom_home.tpl,
	  tiki-install.tpl: [FIX] Using variable instead of hard-coding
	  version number.

2008-02-27 01:36  marclaporte

	* db/tiki.sql: On new installs, removing (from default menu) links
	  for DSN, External wikis, Cookies, Content templates and Featured
	  links, which are less used features and which are accessible by
	  tiki-admin.php   Similarly, Edit languages is accessible via
	  tiki-admin.php?page=i18n

2008-02-27 01:08  marclaporte

	* templates/modules/mod-assistant.tpl: [MOD]Backport ricks99's so
	  much nicer assistant module

2008-02-26 11:46  marclaporte

	* templates/styles/neat/tiki-editpage.tpl: [FIX] Adding same
	  conditions for neat.css theme than default theme has, for
	  import/export page.

2008-02-26 11:35  marclaporte

	* db/tiki.sql: [MOD] Remove rarely used quicktags to make default
	  install cleaner. These tags are all in wiki help

2008-02-25 19:59  lphuberdeau

	* tiki-login_validate.php: [FIX] deepbut's fix - missing preference
	  check

2008-02-25 16:21  lphuberdeau

	* tiki-random_num_img.php: [FIX] deepcut's fix for antibot register

2008-02-25 07:34  luciash

	* db/tiki_1.8to1.9.sql: [FIX] don't put Friendship Network in menu
	  when no permission

2008-02-25 07:04  luciash

	* templates/tiki-bot_bar.tpl: [FIX] added "This is", version
	  change, year change

2008-02-25 06:50  luciash

	* templates/tiki-custom_home.tpl: [FIX] version change

2008-02-24 03:34  franck

	* tiki-live_support_chat_window.php,
	  templates/tiki-live_support_chat_window.tpl: [FIX] Live_support,
	  display IP of requestor

----------------------------------------------------------------------
Version 1.9.10.1 - bugfix release
<http://tikiwiki.org/ReleaseProcess1910>
------------------

2008-02-22 01:54  marclaporte

	* lib/notifications/notificationemaillib.php: [FIX] No direct
	  access to this file.

2008-02-22 00:32  marclaporte

	* setup.sh: [FIX] Typical user doesn't need to see this info when
	  running the script. And those who do will read the source of the
	  script.

2008-02-21 22:56  marclaporte

	* tiki-image_galleries_rss.php, tiki-image_gallery_rss.php: [FIX]
	  Some more feature checks

2008-02-21 20:45  marclaporte

	* topic_image.php: [FIX] Bad feature-check name is causing problem
	  with article images. 1.9.11 (or 1.9.10.1) will have to be
	  released quickly.

----------------------------------------------------------------------
Version 1.9.10 - security release
<http://tikiwiki.org/ReleaseProcess1910>
------------------

2008-02-21 16:06  lphuberdeau

	* lib/htmlparser/rebuildgrammar.php: [MOD] Disabling file

2008-02-21 15:47  marclaporte

	* banner_click.php, banner_image.php, display_banner.php,
	  select_banner.php: [FIX] Adding feature check

2008-02-21 15:40  marclaporte

	* remote.php, tiki-articles_rss.php: [FIX] Adding feature check

2008-02-21 15:36  marclaporte

	* tiki-gmap_usermap.php, tiki-blog_rss.php, tiki-blogs_rss.php:
	  [FIX] Adding feature check

2008-02-21 15:31  marclaporte

	* tiki-quiz_download_answer.php, tiki-view_blog_post_image.php,
	  topic_image.php: [FIX] Adding feature check

2008-02-21 15:28  lphuberdeau

	* tiki-handlers.php: [FIX] Incorrect fix

2008-02-21 15:27  marclaporte

	* tiki-wiki3d.php, tiki-wiki3d_xmlrpc.php: [FIX] Adding feature
	  check

2008-02-21 15:24  marclaporte

	* tiki-view_eph.php, tiki-pdf.php: [FIX] Adding feature check

2008-02-21 15:22  marclaporte

	* article_image.php: [FIX] Adding feature checks

2008-02-21 15:18  lphuberdeau

	* doc/devtools/securitycheck.php, lib/pclzip.lib.php,
	  lib/tiki-dynamic-js.php,
	  lib/sheet/include/org/apicnet/io/OOo/objOOo/OOoCadre.php: [FIX]
	  File include checks

2008-02-21 15:08  lphuberdeau

	* tiki-setup.php, tiki-setup_base.php,
	  doc/devtools/securitycheck.php: [MOD]  Feature checks, file
	  checks and ignore wiki-plugins

2008-02-21 15:02  marclaporte

	* about.php: [FIX] File can no longer be accessed directly

2008-02-21 14:52  lphuberdeau

	* README, received_article_image.php, tiki-chat_users.php,
	  tiki-download_userfile.php, tiki-handlers.php,
	  tiki-listmovies.php, tiki-live_support_chat_frame.php,
	  db/tiki-1.9-mysql.sql, db/tiki-1.9-mysqli.sql,
	  db/tiki-1.9-oci8.sql, db/tiki-1.9-pgsql.sql,
	  db/tiki-1.9-sqlite.sql, db/tiki-1.9-sybase.sql,
	  doc/devtools/securitycheck.php: [FIX] Adding feature checks

2008-02-21 14:48  marclaporte

	* lib/sheet/: excel/writer/biffwriter.php, excel/writer/format.php,
	  excel/writer/parser.php, excel/writer/validator.php,
	  excel/writer/workbook.php, excel/writer/worksheet.php,
	  ole/pps.php, ole/pps/file.php, ole/pps/root.php: [FIX] File can
	  no longer be accessed directly. Sorry for extra long diffs, but
	  there is a file format issue in original file (DOS format or
	  linebreak issue). No functional change has been introduced.

2008-02-21 14:41  marclaporte

	* lib/smarty_tiki/: block.strip.php, block.translation.php,
	  function.popup_init.php, modifier.truncate.php: [FIX] File can no
	  longer be accessed directly. Sorry for extra long diffs, but
	  there is a file format issue in original file (DOS format or
	  linebreak issue). No functional change has been introduced.

2008-02-21 14:36  marclaporte

	* lib/diff/: Diff.php, Renderer.php, renderer_character.php,
	  renderer_sidebyside.php: [FIX] File can no longer be accessed
	  directly. Sorry for extra long diffs, but there is a file format
	  issue in original file (DOS format or linebreak issue). No
	  functional change has been introduced.

2008-02-21 14:35  lphuberdeau

	* tiki-login_validate.php, tiki-minical_reminders.php,
	  tiki-page_loader.php, tiki-random_num_img.php,
	  tiki-register_site.php, tiki-view_irc.php,
	  tiki-view_minical_topic.php: [MOD] Adding feature and permission
	  checks

2008-02-21 14:26  marclaporte

	* lib/Galaxia/: API.php, GUI.php, ProcessManager.php,
	  ProcessMonitor.php, config.php, config.tikiwiki.php,
	  config.xaraya.php: [FIX] File can no longer be accessed directly.
	  Sorry for extra long diffs, but there seems to be a file format
	  issue in orignal file (dos format or linebreak issue)

2008-02-21 14:19  marclaporte

	* lib/graph-engine/: abstract.gridbased.php, core.php, gd.php,
	  graph.bar.php, graph.multiline.php, graph.pie.php, pdflib.php,
	  ps.php: [FIX] File can no longer be accessed directly

2008-02-21 14:10  marclaporte

	* lib/debug/: debug-command_dmsg.php, debug-command_features.php,
	  debug-command_perm.php, debug-command_print.php,
	  debug-command_slist.php, debug-command_sprint.php,
	  debug-command_sql.php, debug-command_test.php,
	  debug-command_tikitables.php, debug-command_watch.php,
	  debugger-common.php, debugger-ext.php, debugger.php: [FIX] File
	  can no longer be accessed directly

2008-02-21 14:06  marclaporte

	* lib/webmail/: net_pop3.php, tikimaillib.php: [FIX] File can no
	  longer be accessed directly

2008-02-21 13:52  marclaporte

	* templates/tiki-featured_link.tpl: [MOD]Increasing the iframe
	  height for featured links content from 800 to 1200

2008-02-21 13:47  lphuberdeau

	* tiki-setup_base.php: [SEC] Improving input sanitizer (pre 1.9.10)

2008-02-17 08:19  franck

	* lib/live_support/live-support.js: Fix:Live support polling every
	  5s is too much over slow links 10 sec is better

2008-02-17 08:17  franck

	* tiki-live_support_chat_frame.php,
	  lib/live_support/live-support.js: Fix:Live support sound is buggy
	  therefore removed

2008-02-14 16:20  lphuberdeau

	* doc/devtools/: diffsql.sh, tikirelease.sh: [MOD] Adding some
	  comments

2008-02-11 06:56  sylvieg

	* lib/search/refresh-functions.php: [FIX]search: typo was non
	  indexing pdf - thx Gerrit

2008-02-07 16:51  lphuberdeau

	* setup.sh: [FIX] Removing automatic call to fixperms

2008-02-07 16:45  lphuberdeau

	* fixperms.sh, setup.sh: [MOD] Forcing use of 'sh setup.sh'

2008-02-01 19:18  luciash

	* tiki-contact.php, templates/tiki-contact.tpl: [ENH] added antibot
	  check to prevent anonymous spam [FIX] keep the prefered priority
	  on error, redirect using header() on success

2008-02-01 07:59  marclaporte

	* doc/devtools/: securitycheck.php, tikirelease.sh: [ENH] Improving
	  our release procedures to include the new security testing
	  script.

2008-01-31 19:06  lphuberdeau

	* doc/devtools/securitycheck.php: [MOD] Support checking of
	  tikilib->get_preference checks.

2008-01-31 18:24  lphuberdeau

	* doc/devtools/securitycheck.php: [FIX] Removing template cache
	  again.

2008-01-31 18:13  lphuberdeau

	* doc/devtools/securitycheck.php: [FIX] Bad check order for file
	  types.

2008-01-31 17:55  lphuberdeau

	* doc/devtools/securitycheck.php: [MOD] Adding more files checked
	  in library.

2008-01-31 17:47  lphuberdeau

	* doc/devtools/securitycheck.php: [MOD] Adding links on files.

2008-01-31 17:28  lphuberdeau

	* doc/devtools/securitycheck.php: [MOD] Adding a column to
	  indicate if tiki-setup is included.

2008-01-31 17:17  lphuberdeau

	* doc/devtools/securitycheck.php: [FIX] Sorting of unsafe files

2008-01-31 17:15  lphuberdeau

	* doc/devtools/securitycheck.php: [FIX] File sorting

2008-01-31 17:06  lphuberdeau

	* doc/devtools/securitycheck.php: [FIX] Adding lang_use_db to
	  exception list

2008-01-31 16:58  lphuberdeau

	* doc/devtools/securitycheck.php: [FIX] Now accurate under 1.10

2008-01-31 16:54  marclaporte

	* db/dbg_console.sql: [KIL] remove useless file.

2008-01-31 16:49  lphuberdeau

	* doc/devtools/securitycheck.php: [FIX] Porting recent change to
	  work in tiki 1.10 as well

2008-01-31 16:45  lphuberdeau

	* doc/devtools/: extract-img-db-to-fs.php, ggg-trace.php,
	  restorehelp.php, securitycheck.php, sync.php,
	  tiki_forum_migration.php, usergeo.php: [MOD] Making sure some
	  files are not web accessible and adding a check for this in the
	  script.

2008-01-31 16:27  marclaporte

	* about.php: [FIX] typo

2008-01-31 16:13  lphuberdeau

	* doc/devtools/securitycheck.php: [FIX] Invalid check of
	  templates_c

2008-01-31 16:10  lphuberdeau

	* doc/devtools/securitycheck.php: [MOD] No need to display version
	  number in console anymore.

2008-01-31 16:07  lphuberdeau

	* doc/devtools/securitycheck.php: [MOD] HTML output.

2008-01-31 15:50  marclaporte

	* tests/: branch_test_file.txt, mail_test.php, parse_data.php,
	  test_cookies.html, test_csv_sandbox.txt, test_file_2.txt,
	  core/init.scripts/00-include_path.php,
	  core/init.scripts/05-database.php,
	  core/init.scripts/10-cookies_hack.php,
	  core/init.scripts/40-smarty.php,
	  core/init.scripts/99-zap_init_vars.php: [KIL] cleaning tests/ dir

2008-01-31 15:37  lphuberdeau

	* doc/devtools/securitycheck.php: [MOD] Improving the file
	  selection.

2008-01-31 15:34  marclaporte

	* tiki-webmail_contacts.php, tiki-webmail_download_attachment.php:
	  [FIX] Add feature check & permission check

2008-01-31 15:20  marclaporte

	* tiki-webmail.php: [FIX] cosmetic typo

2008-01-31 15:10  lphuberdeau

	* doc/devtools/securitycheck.php: [FIX] Removing dependency on PHP
	  5.

2008-01-31 15:04  lphuberdeau

	* doc/devtools/securitycheck.php: [NEW] Script to verify missing
	  feature or permission checks.

2008-01-31 14:36  marclaporte

	* db/profiles/default-inserts.sql: [DEL] phpopentracker was never
	  implemented

2008-01-31 14:22  marclaporte

	* tiki-admin_include_features.php, db/tiki.sql: [DEL]
	  phpopentracker was never implemented

2008-01-31 13:58  marclaporte

	* lib/wiki-plugins/wikiplugin_sup.php: [FIX] fix plugin
	  documentation

2008-01-31 07:00  sylvieg

	* lib/userslib.php: [FIX]remember: fix the cookie with a user name
	  with a dot - thx bmcm

2008-01-30 17:37  sylvieg

	* lib/userslib.php, tiki-adminusers.php: [FIX]realname: this
	  unfinished feature was broken the login registration - not ported
	  to 1.10 so perhaps better to take it away

2008-01-30 17:03  sylvieg

	* tiki-adminusers.php: [FIX]real name can accept any pattern (ie
	  space)

2008-01-30 16:58  sylvieg

	* lib/userslib.php: [FIX] was not working with user with special
	  character

2008-01-30 12:39  marclaporte

	* lib/wiki-plugins/wikiplugin_sup.php: [NEW] New superscript
	  plugin, same as SUB

2008-01-29 14:45  marclaporte

	* lang/fr/language.php: [FIX] typo

2008-01-28 12:36  mose

	* lib/imagegals/imagegallib.php: [FIX] imagegals: fixed the
	  next-prev glitch

2008-01-20 11:58  lphuberdeau

	* tiki-browse_image.php: [FIX] Undefined offset

2008-01-20 10:26  marclaporte

	* INSTALL, about.php: [FIX] Cleanup of some of the documentation &
	  info shipped within the application. Pointing to web version or
	  to setup.sh generated instruction to avoid to have to maintain
	  information in many places.

2008-01-16 13:46  marclaporte

	* lang/fr/language.php: [FIX] minor fixes to French translation

2008-01-11 00:07  franck

	* lib/wiki-plugins/wikiplugin_thumb.php: Anounced on doc.tw.o it
	  was in 1.9.8 release, now it is fully

2008-01-08 22:54  franck

	* tiki-live_support_admin.php, modules/mod-live_support.php,
	  templates/tiki-live_support_admin.tpl,
	  templates/tiki-live_support_chat_window.tpl: Live Support: bug
	  fixes

2008-01-02 10:13  sylvieg

	* tiki-login.php: [FIX]intertiki: to have a 1.9 slave with an 1.10
	  server (as the format changed)

2007-12-23 11:59  mose

	* tiki-admin.php, lib/admin/adminlib.php,
	  templates/tiki-admin-include-general.tpl,
	  templates/tiki-admin.tpl: [MOD] release-check: added a link to
	  force check

2007-12-22 17:33  nkoth

	* lib/commentslib.php: [FIX] prevent forum pruning from removing
	  comments as well, or from other forums.

2007-12-22 01:30  mose

	* doc/devtools/tikirelease.sh: [FIX] updating release script


----------------------------------------------------------------------
Version 1.9.9 - security release
<http://tikiwiki.org/ReleaseProcess199>
------------------

2007-12-22 03:13  nkoth
	* tiki-admin.php: [FIX] do not check again once a new version has
	  been found (this was the intention to reduce hits on tw.o), and
	  also ensure reset of the flag for this after upgrade.

2007-12-22 02:55  mose
	* tiki-edit_css.php, tiki-g-admin_shared_source.php,
	  tiki-listmovies.php, tiki-special_chars.php: [SEC] various
	  security fixes, preparing 1.9.9 release. quick protection if you
	  cannot upgrade is disable edit css, games feature, galaxia, and
	  erase tiki-listmovies.php

2007-12-22 01:15  kerrnel22
	* tiki-setup.php: [MOD] Added userPage and userPage_exists so they
	  are now available to any scripts, including user modules.

2007-12-22 00:40  redflo
	* lang/de/language.php: translation for release check

2007-12-22 00:07  mose
	* tiki-admin.php: [FIX] release checks: fixing

2007-12-21 23:51  mose
	* tiki-admin.php: [FIX] release checks: fixed update of last_check
	  (oops)

2007-12-21 23:28  mose
	* tiki-admin.php: [FIX] release checks: fixed update of last_check

2007-12-21 23:00  mose
	* tiki-admin.php, tiki-admin_include_general.php, tiki-setup.php,
	  templates/tiki-admin-include-general.tpl,
	  templates/tiki-admin.tpl, templates/tiki-top_bar.tpl,
	  templates/tiki.tpl, lib/admin/adminlib.php: [MOD] release checks:
	  improvement of the feature that checks if new version is
	  available upstream

2007-12-19 23:19  redflo
	* templates/tiki-assignpermission.tpl: fix bug "unknown group" when
	  filtering

2007-12-17 14:30  kerrnel22
	* tiki-admin_newcalendar.php, lib/newcalendarlib.php,
	  lib/calendar/change_class.php, lib/calendar/display_class.php,
	  templates/tiki-admin_newcalendar.tpl: [WIP] Work In Progress.
	  Start of rewrite for the calendar feature(s). Please do not use.

2007-12-16 18:16  luciash
	* lib/imagegals/imagegallib.php: [FIX] backport from BRANCH-1-10:
	  if sort by filesize is set while browsing images it needs to be
	  read from tiki_image_data table + corrected prev/next image
	  browsing [bug1345] [bug1399]

2007-12-14 15:24  marclaporte
	* lang/fr/language.php: [FIX]Grammar fix in French

2007-12-11 13:42  sampaioprimo
	* lang/pt-br/language.php: more translation to pt-br

2007-12-11 13:16  sampaioprimo
	* lang/pt-br/language.php: translation to pt-br

2007-12-10 10:01  kerrnel22
	* templates/tiki-view_tracker.tpl: [FIX] Oversight...new item form
	  still showed the Item ID field.  Removed so you can't see it as a
	  form field.

2007-12-10 09:39  kerrnel22
	* tiki-adminusers.php, tiki-login.php, tiki-register.php,
	  lib/userslib.php, templates/tiki-adminusers.tpl: [MOD] Added view
	  and edit capability of Real Name to Admin users tool.  Had to
	  change userslib add_user, so other scripts had to get minor
	  update.

2007-12-10 05:28  kerrnel22
	* tiki-admin_tracker_fields.php, tiki-admin_trackers.php,
	  tiki-view_tracker.php, tiki-view_tracker_item.php,
	  lib/trackers/trackerlib.php,
	  templates/tiki-admin_tracker_fields.tpl,
	  templates/tiki-admin_trackers.tpl,
	  templates/tiki-view_tracker.tpl,
	  templates/tiki-view_tracker_item.tpl: [MOD] Added viewability of
	  Item ID to Trackers. Set through Admin trackers page. Allows
	  ticket-like display of ID numbers. Is added as a system field,
	  similar to Ratings.

2007-12-09 20:54  m_akat
	* lang/bg/language.php: Bulgarian translation initiated

2007-12-09 20:50  m_akat
	* lang/: langmapping.php, bg/index.php: Bulgarian translation
	  initiated

2007-12-09 15:54  kerrnel22
	* templates/tiki-plugin_trackerlist.tpl: [FIX] I messed up the vote
	  ratings display by accident.	Fixed it, now everything looks
	  fine.

2007-12-09 14:29  kerrnel22
	* lib/wiki-plugins/wikiplugin_trackerlist.php,
	  templates/tiki-plugin_trackerlist.tpl: [FIX] Ratings field now
	  shows if selected by someone with tiki_p_admin set. Probably
	  fixes some other issues as well surrounding users with admin
	  privs.

2007-12-08 12:56  marclaporte
	* tiki-setup.php: [DOC] Like in tiki-install.php, simplify/improve
	  the installation documentation. Divided in FTP vs SSH section.
	  Removed the SSH details because the ones in setup.sh are better.

2007-12-08 12:20  marclaporte
	* setup.sh: [DOC] Small precision & minor cosmetic improvement

2007-12-05 08:51  mose
	* tiki-editpage.php: [MOD] wiki images: added a check on image
	  uploaded to be sure they are images

2007-12-05 08:48  mose
	* changelog.txt: [FIX] changelog: forgotten commit in last release

2007-12-04 23:55  mose
	* lib/tail/taillib.php, modules/mod-tail.php,
	  templates/modules/mod-tail.tpl: [MOVED] moved tail module to mods

2007-12-04 18:37  marclaporte
	* db/tiki.sql: [MOD] Wiki sandbox off by default. Many people don't
	  need this.

2007-12-03 08:59  kerrnel22
	* tiki-register.php, lib/userslib.php: [FIX] Moved the smarty
	  message to userslib where it actually belongs for registration
	  validation using tikimail.

2007-12-03 04:09  marclaporte
	* tiki-install.php: [DOC] Simplify/improve the installation
	  documentation. Divided in FTP vs SSH section. Removed the SSH
	  details because the ones in setup.sh are better.

2007-12-03 03:06  kerrnel22
	* tiki-setup.php, templates/tiki-top_bar.tpl: [MOD] Added the list
	  of tiki Stars to versioning.	Now all manual updates to tiki
	  templates can be handled through tiki-setup.php.

2007-12-03 02:51  kerrnel22
	* templates/tiki-top_bar.tpl: [FIX] Altered template to accommodate
	  a 'display version' which includes the CVS tag.

2007-12-03 02:50  kerrnel22
	* tiki-setup.php: [FIX] Version should now show up in top_bar if
	  not logged in as Admin.

2007-12-03 01:27  kerrnel22
	* doc/devtools/tikirelease.sh: [MOD] Updated location of versions
	  array for keeping current.

2007-12-03 01:16  marclaporte
	* templates/tiki-install.tpl: [FIX] Clearer message after install
	  script.

2007-12-03 00:56  kerrnel22
	* templates/tiki-admin_security.tpl: [FIX] Repaired the url again.
	  Shouldn't have changed it in the first place.

2007-12-03 00:53  marclaporte
	* templates/tiki-install.tpl: [DOC]Fix link to documentation

2007-12-03 00:25  marclaporte
	* fixperms.sh: [DOC] Adding some documentation for non-root users

2007-12-02 23:50  marclaporte
	* setup.sh: [DOC] Adding links to doc

2007-12-02 23:48  kerrnel22
	* templates/tiki-admin_security.tpl: [FIX] Corrected the url.
	  Sausage fingers.

2007-12-02 23:38  kerrnel22
	* templates/mail/user_admin_validation_msg.tpl: [NEW] This is the
	  new associated template for the user registration fix when the
	  reg message has to go to admin via tikimail.

2007-12-02 23:37  marclaporte
	* setup.sh: [DOC] Adding instructions for shared hosting and a tip
	  about figuring out your group

2007-12-02 23:35  kerrnel22
	* templates/tiki-admin_security.tpl: [FIX] Corrected help url to
	  the new url, avoiding the redirect at doc.tw.o

2007-12-02 23:34  kerrnel22
	* tiki-admin_security.php, tiki-setup.php, version: [FIX]
	  Versioning updated. Pulls current version from array of valid
	  versions.  Moved array from tiki-admin_security.php to
	  tiki-setup.php.

2007-12-02 23:17  marclaporte
	* setup.sh: [FIX] Add a precision to the instructions and correct a
	  typo

2007-12-02 23:05  marclaporte
	* tiki-install.php, tiki-setup.php: [FIX] Updating links to the
	  documentation

2007-12-02 21:43  kerrnel22
	* tiki-setup.php, templates/tiki-top_bar.tpl, templates/tiki.tpl:
	  [MOD] Added version tracking.  Gets current version from version
	  file, and current release from tw.o and will compare the two to
	  see if there is a new version available. Updated templates to
	  support this.

2007-12-02 21:40  kerrnel22
	* version: [NEW] One-line text file containing the full version
	  number of this release of Tiki.  Update this with each new
	  release.

2007-12-02 21:38  kerrnel22
	* lib/userslib.php: [FIX] Fixed a typo in screen message.

2007-12-02 21:37  kerrnel22
	* tiki-register.php: [FIX] Added note to user telling them that the
	  admin was sent a Tiki message because server isn't configured
	  properly for Registration emails.

2007-12-02 20:29  marclaporte
	* _htaccess: [FIX]Rewrite Rules: Backport Nyloth's fix about images
	  and change login link to better one.

2007-12-02 20:05  marclaporte
	* _htaccess: [DOC] Some explanation about this file

2007-12-01 21:58  redflo
	* templates/tiki-assignpermission.tpl: Typo $egroup should be
	  $group

2007-12-01 11:09  kerrnel22
	* lib/userslib.php: [FIX] DB null errors corrected due to missing
	  global for contact_user. Added check for message feature,
	  otherwise admin will never see requests. More logistics work
	  needed.

2007-11-29 01:25  xavidp
	* lib/wiki-plugins/wikiplugin_flash.php: quotation marks added at
	  the help text to avoid confusion with many flash content which
	  doesn't work without them (youtube, slideshare, etc.)

2007-11-29 00:36  kerrnel22
	* tiki-g-admin_activities.php,
	  templates/tiki-g-admin_activities.tpl: [FIX] Add roles was not
	  working properly, but it does now.  Removed 'add roles' button as
	  it was redundant.

2007-11-27 03:43  sampaioprimo
	* lang/pt-br/language.php: translation

2007-11-26 19:24  mose
	* tiki-adminusers.php: [FIX] batch import users, avoid the last
	  line is silently skipped

2007-11-26 19:22  mose
	* tiki-adminusers.php: [FIX] batch import users, oops

2007-11-26 19:21  mose
	* tiki-adminusers.php: [FIX] batch import users, better error
	  checking to avoid extra error when error occurs

2007-11-26 06:37  luciash
	* modules/_htaccess, temp/_htaccess, templates/_htaccess,
	  bin/_htaccess, db/_htaccess, lang/_htaccess, tests/_htaccess:
	  [FIX] Apache error with .htaccess files
	  [http://dev.tikiwiki.org/875]

2007-11-24 21:18  kerrnel22
	* templates/tiki-admin_forums.tpl: [MOD] Added link to forum import
	  tool.

2007-11-24 21:17  kerrnel22
	* tiki-forum_import.php, lib/importerlib.php,
	  templates/tiki-forum_import.tpl: [NEW] Forum import tool initial
	  version.  Only works with SQL file import from a tiki SQL dump
	  with \' escaped single-quotes.

2007-11-24 20:39  kerrnel22
	* tiki-forum_import.php: file tiki-forum_import.php was added on
	  branch BRANCH-1-9 on 2007-11-24 20:17:18 +0000

2007-11-24 20:39  kerrnel22
	* templates/tiki-forum_import.tpl: file tiki-forum_import.tpl was
	  added on branch BRANCH-1-9 on 2007-11-24 20:17:18 +0000

2007-11-24 09:43  kerrnel22
	* lib/importerlib.php: file importerlib.php was added on branch
	  BRANCH-1-9 on 2007-11-24 20:17:18 +0000

2007-11-16 22:23  xavidp
	* templates/tiki-list_file_gallery.tpl: [FIX] tpl should never
	  contains quote around {tr}..{/tr} because the translated string
	  can contain '. The {tr} must always be surronded with double
	  quote. Thanks to sylvie to showing again how to fix... (I was in
	  the right track, though :-)

2007-11-14 05:08  ricks99
	* templates/header.tpl: fixed {$language}

2007-11-14 03:16  ricks99
	* templates/header.tpl: added xmlns attribute for element html,
	  required to validate properly. also added langauge identifier
	  based on selected {$language} value. tiki should now properly
	  validate as XHTML 1.0 Transitional backported to 1-9 branch

2007-11-13 15:54  ricks99
	* templates/tiki-edit_help.tpl: display quicktags, description, and
	  syntax in wiki help backported to 1-9

2007-11-11 22:58  luciash
	* tiki-admin.php: [FIX] allow translation of 'Administration' and
	  some others in page title and breadcrumbs

2007-11-09 19:07  ntavares
	* tiki-assignpermission.php, templates/tiki-assignpermission.tpl:
	  fix for badly \$group str replacement

2007-11-09 07:02  ntavares
	* tiki-assignpermission.php, templates/tiki-assignpermission.tpl:
	  $group is being assigned by tiki-setup.php. Its not a good idea
	  to mix things up. Just renamed $group to $egroup

2007-11-08 22:15  ntavares
	* templates/: tiki-admin-include-siteid.tpl,
	  tiki-directory_browse.tpl: i18n: fix for some untranslatable
	  strings

2007-11-06 22:02  sylvieg
	* lib/wiki-plugins/wikiplugin_group.php: backport


----------------------------------------------------------------------
Version 1.9.8.3 - small fix
<http://tikiwiki.org/ReleaseProcess198>
------------------

2007-10-26 12:30  mose
	* lib/tikilib.php: [FIX] wiki images: comon, we cannot check it it
	  is a file, it can be a generated image from imagegal too

2007-10-26 00:06  awolfff
	* tiki-download_file.php: BUG: Download by galleryId and name did
	  not work.	  Expected fileId in the request which is not there
	  in this case.  FIX: Now using the values from the info variable.


----------------------------------------------------------------------
Version 1.9.8.2 - security release
<http://tikiwiki.org/ReleaseProcess198>
------------------

2007-10-25 03:11  mose
	* tiki-download_file.php, lib/tikilib.php: [FIX] filegal: repairing
	  download by filename

2007-10-24 16:24  sylvieg
	* templates/tiki-print_multi_pages.tpl: [FIX]wiki: do not show the
	  page title in a multiple prints if the feature in admin->wiki is
	  not set: to avoid duplication of title

2007-10-24 07:22  mose
	* db/tiki-db.php: [FIX] db: removed inclusion of error_handler file
	  as it is not set anywhere

2007-10-24 07:20  mose
	* lib/tikilib.php: [FIX] wikiparsing: stripping \0 as it is skipped
	  in IE

2007-10-23 23:01  mose
	* lib/rss/rsslib.php: [FIX] rss: made rss reader compatible with
	  google agenda

2007-10-23 01:18  mose
	* tiki-imexport_languages.php: [FIX] security: added tests to the
	  language filename var to avoid arbitrary inclusion

2007-10-23 01:08  mose
	* db/tiki-db.php: [FIX] security: added some checks on local.php
	  file to avoid arbitrary inclusion

2007-10-23 00:58  mose
	* lib/tikilib.php: [FIX] wiki images: added a test to avoid js
	  comes into img src

2007-10-23 00:46  mose
	* templates/tiki-remind_password.tpl: [FIX] security: escape error
	  message in remind_password to avoid possible abuse

2007-10-14 20:03  lphuberdeau
	* tiki-graph_formula.php: [FIX] Porting from HEAD.



----------------------------------------------------------------------
Version 1.9.8.1 - security release
<http://tikiwiki.org/ReleaseProcess198>
------------------

2007-10-07 23:44  lphuberdeau
	* tiki-graph_formula.php: [FIX] Potential security injection

2007-10-03 23:33  nkoth
	* tiki-login.php: [FIX] quickfix for double-slash in URL problem
	  after logging in (SSL used, some servers/configs). Things are
	  much neater in 1.10 and it should not need fix there.

2007-10-03 14:47  sylvieg
	* tiki-view_tracker.php: [FIX]tracker: monitoring tracker in
	  another language tw1370

2007-09-30 19:40  lphuberdeau
	* lib/graph-engine/: core.php, graph.bar.php: Adding support for
	  hooks during data display.

2007-09-27 16:15  nkoth
	* lib/polls/polllib_shared.php: [FIX] when poll is removed, link of
	  poll to object should also be removed

2007-09-21 03:43  kerrnel22
	* lib/Galaxia/src/ProcessManager/ActivityManager.php: [FIX]
	  Activity manager fixed so it now shows activities for new
	  workflow installations.

2007-09-20 08:03  kerrnel22
	* lib/Galaxia/src/ProcessManager/ProcessManager.php: [FIX] Galaxia
	  now cleanly and correctly deletes processes (pear db call was not
	  provided argument); resolves several issues.

2007-09-15 19:31  lphuberdeau
	* lib/graph-engine/: core.php, gd.php, graph.bar.php, pdflib.php,
	  ps.php: Adding image map generation in GD based graphics



----------------------------------------------------------------------
Version 1.9.8
<http://tikiwiki.org/ReleaseProcess198>
------------------

2007-09-12 17:25  marclaporte
	* tiki-setup.php, templates/tiki-admin-include-siteid.tpl: [MOD]
	  Site Identity: Moving tip to a pop-up tip and replacing by a
	  basic example.

2007-09-12 17:07  marclaporte
	* templates/tiki-admin-include-siteid.tpl: [ENH] Adding a tip about
	  how to use Browser title as a variable in Smarty templates

2007-09-12 16:41  marclaporte
	* tiki-admin_include_siteid.php,
	  templates/tiki-admin-include-siteid.tpl: [MOD] Adding _Browser
	  title_ and _sender email_ to the Side Identity admin panel. These
	  are not optional and strictly Site Identity but they make sense
	  to set here

2007-09-12 16:04  marclaporte
	* img/tiki/tw_logo.png: [ENH] Adding nice TikiWiki logo to source

2007-09-12 15:41  marclaporte
	* lib/tikilib.php: oups

2007-09-12 15:30  marclaporte
	* lib/tikilib.php: [MOD] Little reminder for future cleanup

2007-09-12 15:18  marclaporte
	* templates/: tiki-admin-include-intertiki.tpl,
	  tiki-admin-include-siteid.tpl: [MOD]Remove feature to upgrade
	  'value' of tiki_preferences to support more than 255 characters
	  since it's now the default value.

2007-09-12 14:59  marclaporte
	* db/tiki_1.8to1.9.sql: [MOD] Following on Luciash's recent fix on
	  tiki.sql -> This alters db column 'value' of tiki_preferences to
	  support more than 255 characters (up to 65535 actually) which is
	  essential to do anything significative with Site Identity (and
	  avoid getting locked out of Tiki by accident) It is also used if
	  you have many entries in InterTiki.

2007-09-11 14:15  xavidp
	* lang/ca/language.php: some more strings (not all) translated
	  after get_strings.php?lang=ca for 1.9.8

2007-09-05 21:35  sampaioprimo
	* lang/pt-br/language.php: translation

2007-09-05 17:09  sylvieg
	* tiki-index.php: [FIX]theme control: to have the tpl plugin
	  depending on the theme, the theme control must be done before the
	  parsing-need also the categ

2007-09-05 16:32  sylvieg
	* tiki-index.php: [FIX]theme control: to have the tpl plugin
	  depending on the theme, the theme control must be done before the
	  parsing

2007-09-05 10:32  nkoth
	* tiki-admin_include_login.php: [FIX] clean last commit - remove
	  useless code re [FIX] Making InterTiki setting remain when
	  editing the login admin panel in template

2007-09-05 08:08  marclaporte
	* templates/tiki-admin-include-login.tpl: [FIX] Making InterTiki
	  setting remain when editing the login admin panel

2007-09-05 06:58  marclaporte
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-09-05 06:53  marclaporte
	* db/tiki.sql: [FIX]Moving kerrnel22's commit (MySQL requires
	  quotes around negative integers. Gallery tables now created at
	  install) to tiki.sql because tiki-1.9-mysql.sql will be overriden
	  at the next convertsqls.sh

2007-09-05 04:24  luciash
	* db/tiki.sql: [FIX] use TEXT (max length 65535) to support more
	  than 250 characters e.g. for Site Identity custom code

2007-09-05 03:18  luciash
	* lib/tikilib.php: [FIX] rather use TEXT than BLOB (same max
	  length) to make the content readable in phpmysqladmin

2007-09-05 02:55  marclaporte
	* lang/: langmapping.php, cn/language.php: [FIX] Adding chinese
	  translations for Nathanael Lee (cn.tikiwiki.org) until he sets up
	  his CVS access.

2007-09-05 01:47  marclaporte
	* templates/tiki-featured_link.tpl: [MOD] Featured links: Changing
	  the iframe height from 600 to 800 pixels, which is more
	  appropriate in my experience. Rollback if you disagree.

2007-09-05 01:45  marclaporte
	* templates/tiki-theme_control.tpl: [ENH] Theme Control Center.
	  Adding a tip with a link to the theme admin panel

2007-09-03 21:56  marclaporte
	* styles/: boreal.css, codex.css, fmsc.css, lesjetesdelencre.css,
	  tikineat.css: [FIX] Make site Identity look good for a few themes
	  by adding background color or text-color

2007-09-03 21:49  sylvieg
	* tiki-admingroups.php, templates/tiki-admingroups.tpl: [MOD]group:
	  add a button clear cache

2007-09-03 21:33  sylvieg
	* templates/tiki-admingroups.tpl: [MOD]group: additional message to
	  explain what mean include a group

2007-09-03 20:02  marclaporte
	* templates/tiki-searchindex.tpl: [FIX] Moving closing div which
	  was causing problems when Site Identity search was turned on,
	  reported by Chibaguy.

2007-09-03 08:53  marclaporte
	* templates/header.tpl: [FIX] Mini-calendar (user calendar). Only
	  include iframe (for pop-up reminder) if the feature is activated,
	  if the user has permission to use it, and if reminders are
	  activated for the current user. Changed from >100 seconds to >0
	  seconds because if user picks 1 minute reminders, it's 60 seconds

2007-09-03 07:12  marclaporte
	* styles/transitions/1.8to1.9.css: [FIX]Site Identity: Moving
	  search box to right side, which is default behavior in 1.10 and
	  is more common/intuitive

2007-09-02 17:23  sylvieg
	* lib/wiki-plugins/wikiplugin_trackerfilter.php: [MOD]tracker:
	  display the notice with the result (list plugin tracker)

2007-09-02 16:03  sylvieg
	* templates/tiki-admin_layout.tpl: a link to theme control in admin
	  layout

2007-09-02 15:46  sylvieg
	* templates/tiki-plugin_trackerfilter.tpl: unused file

2007-09-02 15:36  sylvieg
	* tiki-syslog.php, lib/logs/logslib.php, templates/tiki-syslog.tpl:
	  backport from 1.10 - option to clean logs older than n months

2007-09-02 00:35  marclaporte
	* templates/tiki-admin_modules.tpl: [ENH] Adding yet another tip to
	  make it easier to use menus

2007-08-31 06:12  marclaporte
	* templates/tiki-admin-include-general.tpl: [FIX]nicer follow-up to
	  last commit (adding time/date examples)

2007-08-31 06:01  marclaporte
	* templates/tiki-admin-include-general.tpl: [ENH]Adding some
	  examples of time & date to make it easier to tweak

2007-08-30 22:08  sylvieg
	* tiki-view_tracker.php: [FIX]tracker: date was incorrect on some
	  servers

2007-08-30 22:01  sylvieg
	* templates/: tiki-edit_article.tpl, tiki-edit_submission.tpl:
	  [FIX]article: replace publish dates in server tz ->user tz = more
	  firndly + seems it was not save correctly too

2007-08-30 19:52  sylvieg
	* lib/articles/artlib.php: [FIX]article: do not send a notif on
	  submission if article is auto-approve (the link will be invalid)

2007-08-30 00:31  kerrnel22
	* db/tiki-1.9-mysql.sql: [FIX] MySQL requires quotes around
	  negative integers. Gallery tables now created at install.

2007-08-29 15:45  luciash
	* templates/styles/simple/tiki.tpl: [FIX] fixed layout needs one
	  more wrapper to work properly in FF (adding #middle) + polishing

2007-08-29 12:11  luciash
	* templates/tiki-bot_bar.tpl: [FIX] missing "who" after (c)
	  2002-2007

2007-08-29 11:58  luciash
	* templates/tiki-galleries.tpl: [FIX] broken layout (wrong position
	  of closing div)

2007-08-29 09:41  luciash
	* styles/simple.css: [FIX] fix for tiki-stats layout (simple.css
	  specific)

2007-08-29 09:20  luciash
	* templates/tiki-file_galleries.tpl: [FIX] broken layout (wrong
	  position of closing div) + xhtml strict compatibility

2007-08-29 09:07  luciash
	* templates/tiki-list_blogs.tpl: [FIX] broken layout (wrong
	  position of closing div) + xhtml strict compatibility

2007-08-29 08:52  luciash
	* templates/styles/simple/tiki.tpl: [ENH] better position for main
	  content div allowing creation of fixed width layout derivates and
	  RTL languages support for header and footer too

2007-08-28 23:20  kerrnel22
	* doc/devtools/: README.txt, tiki_forum_migration.php: Adding tool
	  to migrate tiki forum posts.

2007-08-28 02:39  franck
	* tiki-map_edit.php, tiki-map_upload.php: TikiMaps: name the pages

2007-08-28 02:28  franck
	* tiki-map_upload.php: TikiMaps: fix gdaltindex command

2007-08-27 13:40  mose
	* tiki-setup_base.php: [FIX] remindpass: added a sanitization

2007-08-27 10:05  chibaguy
	* styles/: subsilver.css, default.css, default2.css, elegant.css,
	  mose.css, mozilla.css, neat.css, olive-blue.css, olive-red.css,
	  olive.css, jalist.css, jalist2.css, moreneat.css, tceti.css,
	  tiki.css, tikigod.css, whitebluegrey.css, bluegreen.css,
	  codex.css, damian.css: [FIX] PHP Layers menu padding (padding
	  added to submenu items in some themes, top level overlap of
	  module box fixed, narrow top level menu expanded to module width,
	  etc.)

2007-08-26 17:34  marclaporte
	* styles/olive-red.css: [FIX] changing some left-over green to red
	  (#aa8400 -> #ff4040) in olive-red.css theme (which was a fork of
	  olive.css theme). This is a compelling reason to develop:
	  http://themes.tikiwiki.org/TikiThemeGenerator

2007-08-26 08:22  marclaporte
	* db/profiles/: basicEnabled.prf, fishclub.prf, slash.prf: [MOD]
	  Changes to installation profiles to be more generic. 1->
	  disabling wiki undo by default. 2-> permissions :: In general,
	  more common defaults: no editing/adding for anonymous (just
	  view), and no potentially destructive action for Registered (ex:
	  tiki_p_change_events when there is not history of changes for
	  events). More power to Editors

2007-08-26 07:45  marclaporte
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-08-26 06:30  marclaporte
	* styles/default.css: [FIX] Make default.css phplayersmenu colors
	  look good in both horizontal & vertical mode.

2007-08-26 05:50  marclaporte
	* styles/: bluegreen.css, boreal.css, brtiki.css, codex.css,
	  damian.css, dblue.css, default.css, default2.css, elegant.css,
	  fmsc.css, gemsi.css, geo.css, hec.css, jalist.css, jalist2.css,
	  lesjetesdelencre.css, moreneat.css, mose.css, mozilla.css,
	  neat.css, olive-blue.css, olive-red.css, olive.css, simple.css,
	  smartiki.css, subsilver.css, tceti.css, tiki.css, tikigod.css,
	  tikineat.css, tranquil.css, trollparty.css, whitebluegrey.css:
	  [MOD] Helkp links: Make visually clear what is a link to another
	  admin panel vs a link to doc.tikiwiki.org	Context: Since
	  1.9.7, some admin panels have been added (category, modules,
	  themes, and text area) and some admin menu settings have been
	  moved to these new admin panels. However, to ease the transition
	  for experienced Tiki admins, a link was left at the old location.
	  However, as a result, there was a visual confusion between these
	  2 link types.

2007-08-26 05:05  marclaporte
	* styles/brtiki.css: [FIX] Hovering on a page title was jumping out
	  much too big.

2007-08-26 04:37  marclaporte
	* lib/tikihelplib.php: [FIX] Adding space to look better

2007-08-26 03:10  marclaporte
	* db/: tiki.sql, tiki_1.8to1.9.sql: [DB][MOD] Important change.
	  __Password invalid after days__ has been always on by default and
	  at 999 days. While this seems like a long time, many sites are
	  reaching that age and users are being asked to change their
	  password. This process is not vert good at the moment. So, I'm
	  going to assume that the vast majority of people left the default
	  but don't want this feature. So the upgrade script will change to
	  1999 days. And clean installs will be at 1999 days as well.  In
	  1.10, the default will be that this feature is turned off (-1)

2007-08-25 05:32  marclaporte
	* styles/codex.css: [FIX] Codex style: removing the underline for
	  module titles

2007-08-25 05:27  marclaporte
	* styles/: dblue.css, elegant.css, tceti.css, trollparty.css: [FIX]
	  Make links in user-created modules look ok

2007-08-25 04:38  marclaporte
	* styles/tranquil.css: [FIX] Backlinks overlap right column: IE6 ->
	  http://themes.tikiwiki.org/tiki-view_tracker_item.php?itemId=25

2007-08-25 04:24  marclaporte
	* styles/subsilver.css: [FIX] Backlinks overlap right column: IE6
	  ->
	  http://themes.tikiwiki.org/tiki-view_tracker_item.php?itemId=25

2007-08-25 04:20  marclaporte
	* styles/mozilla.css: [FIX] Backlinks overlap right column: IE6 ->
	  http://themes.tikiwiki.org/tiki-view_tracker_item.php?itemId=25

2007-08-25 04:14  marclaporte
	* styles/: jalist.css, jalist2.css, olive-blue.css, olive-red.css,
	  olive.css, whitebluegrey.css: [FIX] Backlinks overlap right
	  column: IE6 ->
	  http://themes.tikiwiki.org/tiki-view_tracker_item.php?itemId=25

2007-08-25 04:09  marclaporte
	* styles/boreal.css: [FIX] Backlinks overlap right column: IE6 ->
	  http://themes.tikiwiki.org/tiki-view_tracker_item.php?itemId=25

2007-08-25 03:35  marclaporte
	* styles/: jalist.css, jalist2.css: [FIX] Make bottom bar look
	  good.

2007-08-25 03:31  marclaporte
	* styles/mozilla.css: [FIX] Make bottom bar look good.

2007-08-25 03:28  marclaporte
	* styles/smartiki.css: [FIX] Make bottom bar look good with
	  smartiki style

2007-08-25 03:25  marclaporte
	* styles/subsilver.css: [FIX] Make bottom bar look good with
	  subsilver style

2007-08-25 03:21  marclaporte
	* styles/tranquil.css: [FIX] Make wiki tables look good for
	  Tranquil style, as seen here:
	  http://themes.tikiwiki.org/tiki-index.php?page=phplayersmenu+vertical

2007-08-25 03:11  marclaporte
	* styles/boreal.css: [FIX] Boreal style: changing titles to white
	  because current colour is not very visible

2007-08-25 03:07  marclaporte
	* styles/boreal.css: [FIX] Make wiki tables look good for Boreal
	  styles, as seen here:
	  http://themes.tikiwiki.org/tiki-index.php?page=phplayersmenu+vertical

2007-08-25 03:01  marclaporte
	* styles/boreal.css: [FIX] Make bottom bar look good with boreal
	  style

2007-08-25 02:47  marclaporte
	* styles/tikigod.css: [FIX] Make bottom bar look good with tikigod
	  style

2007-08-25 02:45  marclaporte
	* styles/tceti.css: [FIX] Make bottom bar & PLM vertical menu look
	  better.

2007-08-25 02:42  marclaporte
	* styles/bluegreen.css: [FIX] Make bottom bar look good with
	  Bluegreen style

2007-08-25 02:33  marclaporte
	* styles/whitebluegrey.css: [FIX] Make bottom bar look good with
	  WhiteBlueGrey style

2007-08-25 01:49  marclaporte
	* templates/tiki-admin_modules.tpl: [ENH] Adding some extra
	  quicklinks to add PhpLayersMenu vertical menus without reading
	  the documentation.

2007-08-24 10:21  chibaguy
	* styles/: bluegreen.css, boreal.css, brtiki.css, codex.css,
	  damian.css, dblue.css, default.css, default2.css, elegant.css,
	  fmsc.css, gemsi.css, geo.css, hec.css, jalist.css, jalist2.css,
	  lesjetesdelencre.css, mose.css, mozilla.css, neat.css,
	  olive-blue.css, olive-red.css, olive.css, smartiki.css,
	  subsilver.css, tceti.css, tiki.css, tikigod.css, tikineat.css,
	  tranquil.css, trollparty.css, whitebluegrey.css: [FIX] .box
	  padding, powered by Tiki styling added, PHP Layers menu
	  improvements.

2007-08-22 13:01  xavidp
	* lang/es/language.php: fixing one string too much customized by
	  Jabi (comitted by mistake)

2007-08-22 07:40  chibaguy
	* styles/: olive-red.css, olive.css, simple.css, subsilver.css,
	  tceti.css, tiki.css, tikigod.css, tikineat.css, tranquil.css,
	  trollparty.css, whitebluegrey.css: [FIX] PHP Layers menu tree
	  style improvement.

2007-08-22 04:19  chibaguy
	* styles/: boreal.css, brtiki.css, codex.css, damian.css,
	  dblue.css, default.css, default2.css, elegant.css, fmsc.css,
	  gemsi.css, geo.css, jalist.css, jalist2.css,
	  lesjetesdelencre.css, moreneat.css, mose.css, mozilla.css,
	  neat.css, olive-blue.css: [FIX] .calcontent height fix
	  reinstated.

2007-08-22 03:29  chibaguy
	* styles/bluegreen.css: [FIX] .calcontent height fix, .tiki-top
	  .horbaritem font size change reinstated.

2007-08-21 09:54  chibaguy
	* styles/: bluegreen.css, boreal.css, brtiki.css, codex.css,
	  damian.css, dblue.css, default.css, default2.css, elegant.css,
	  fmsc.css, gemsi.css, geo.css, hec.css, jalist.css, jalist2.css,
	  lesjetesdelencre.css, moreneat.css, mozilla.css, neat.css,
	  olive-blue.css: [FIX] PHP Layers menu tree style improvement.

2007-08-21 08:34  luciash
	* styles/simple.css: [ENH] min-width and min-height for calendar
	  day content for better look'n'feel (thx marclaporte for tip)

2007-08-21 05:00  chibaguy
	* templates/header.tpl: [FIX] Bad edit fixed.

2007-08-21 04:54  chibaguy
	* templates/header.tpl: [MOD] PHP Layerssection moved above CSS
	  section to enable theme-specific overrides for tree menus.

2007-08-21 04:40  marclaporte
	* styles/README.matrix-theme: [DEL] Removing a README file for the
	  Matric theme, which is now in mods.

2007-08-21 04:35  marclaporte
	* styles/vidiki.css: [DEL] Removal of Vidiki theme, which is broken
	  and unmaintained

2007-08-21 03:55  marclaporte
	* styles/: olive.css, whitebluegrey.css, olive-blue.css,
	  olive-red.css: [FIX] Making calendar look good with Internet
	  Explorer

2007-08-21 02:10  marclaporte
	* styles/: bluegreen.css, boreal.css, brtiki.css, codex.css,
	  damian.css, dblue.css, default.css, default2.css, elegant.css,
	  fmsc.css, gemsi.css, geo.css, hec.css, jalist.css, jalist2.css,
	  lesjetesdelencre.css, moreneat.css, mozilla.css, neat.css,
	  smartiki.css, subsilver.css, tceti.css, tiki.css, tikigod.css,
	  tikineat.css, tranquil.css, trollparty.css, whitebluegrey.css:
	  [FIX] Making calendar boxes look good with Internet Explorer
	  (like they look in Firefox) using _important_ instead of the
	  underscore hack
	  http://www.wellstyled.com/css-underscore-hack.html

2007-08-21 00:07  marclaporte
	* styles/bluegreen.css: [FIX] Php Layers Menu horizontal ->
	  Bluegreen theme -> make colors nice and make bigger

2007-08-20 07:15  chibaguy
	* styles/: bluegreen.css, boreal.css, brtiki.css, gemsi.css,
	  hec.css, subsilver.css: [FIX] Spelling correction (.horbaritem)

2007-08-20 06:43  chibaguy
	* styles/: bluegreen.css, boreal.css, brtiki.css, codex.css,
	  dblue.css, default.css, default2.css, elegant.css, fmsc.css,
	  gemsi.css, geo.css, hec.css, jalist.css, jalist2.css,
	  lesjetesdelencre.css, moreneat.css, olive-blue.css,
	  olive-red.css, olive.css, subsilver.css, tceti.css, tiki.css,
	  tikigod.css, tikineat.css, tranquil.css, whitebluegrey.css: [FIX]
	  Horizontal menu (.horbar, .horbaritem) styles added

2007-08-19 18:42  marclaporte
	* templates/tiki-bot_bar.tpl: [FIX] Some cosmetic fixes on bottom
	  bar. More to come

2007-08-19 10:54  marclaporte
	* styles/subsilver.css: [FIX] nicer border & padding for subsilver
	  theme

2007-08-19 10:53  marclaporte
	* styles/tranquil.css: [FIX] nicer border & padding for tranquil
	  theme

2007-08-19 09:29  marclaporte
	* styles/tikineat.css: [FIX] Cosmetic: adding somme padding to
	  tikineat. Avoids that some center content be squished to right &
	  left columns.

2007-08-19 09:11  marclaporte
	* tiki-setup.php: [MOD] _Users accept internal messages by default_
	  now defaults to _yes_.  Rationale: If a Tiki admin activates this
	  feature, (s)he wants users to be able to communicate with each
	  other. __Users can opt-out internal messages__ remains at yes
	  because this is also the most common use case. See:
	  http://tikiwiki.org/DefaultSettingsChanges

2007-08-19 08:57  marclaporte
	* tiki-setup.php: [MOD] Turning off sub-options of Site Identity by
	  default. It's better to let people activate things that they
	  need/want

2007-08-19 08:40  marclaporte
	* templates/tiki-smileys.tpl: [FIX] Lost edit protection should not
	  be in effect for smileys (noticed with IE6)

2007-08-19 08:32  marclaporte
	* templates/: tiki-edit_help.tpl, tiki-edit_help_tool.tpl,
	  tiki-smileys.tpl: [FIX] Lost edit protection should not be in
	  effect for smileys and the help tools (noticed with IE6)

2007-08-19 07:25  marclaporte
	* lib/userslib.php: [ENH] Extra protection against deletion of	the
	  _Admins_ group. (in addition to template)

2007-08-19 07:08  marclaporte
	* lib/userslib.php: [FIX] Make it possible to edit the description
	  and group home page of special groups (Registered, Anonymous).
	  This was a side effect of the protection to prevent group
	  renaming.

2007-08-19 07:00  marclaporte
	* lib/userslib.php: [FIX] Undefined variable: oldgroup in
	  lib/userslib.php on line 1935  when editing groups.  variable is
	  (strangely)

2007-08-19 06:21  marclaporte
	* tiki-setup_base.php: [FIX] tiki_p_admin_calendar and
	  tiki_p_admin_sheet now includes lower permissions

2007-08-19 04:12  marclaporte
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-08-19 00:37  marclaporte
	* templates/styles/simple/tiki-top_bar.tpl: MOD] Cleaning up top
	  bar. 1- People don't need to get time/date from Tiki 2- Moving
	  the debug link to admin panel (more appropriate) with a note to
	  scroll up to see it. 3- Moving the _Powered by Tiki_ to the
	  bottom bar. Having at the top is much too intrusive. It causes 2
	  main problems A-> Users need to figure out how (and may need
	  support) to get rid of it B-> Since most users (at least want to)
	  get rid of it, Tiki is not getting well deserved recognition.

2007-08-19 00:24  marclaporte
	* templates/styles/neat/tiki-top_bar.tpl: [FIX] No need for a
	  specific top bar for _neat_ theme. Will now use the standard one

2007-08-19 00:17  marclaporte
	* templates/styles/neat/tiki.tpl: [FIX] top bar was forgotten from
	  _neat_ theme

2007-08-18 23:09  marclaporte
	* templates/: tiki-admin.tpl, tiki-bot_bar.tpl, tiki-top_bar.tpl:
	  [MOD] Cleaning up top bar. 1- People don't need to get time/date
	  from Tiki 2- Moving the debug link to admin panel (more
	  appropriate) with a note to scroll up to see it. 3- Moving the
	  _Powered by Tiki_ to the bottom bar. Having at the top is much
	  too intrusive. It causes 2 main problems A-> Users need to figure
	  out how (and may need support) to get rid of it B-> Since most
	  users (at least want to) get rid of it, Tiki is not getting well
	  deserved recognition.

2007-08-18 20:56  sampaioprimo
	* modules/mod-since_last_visit_new.php,
	  templates/modules/mod-since_last_visit_new.tpl: [MOD] if no
	  changes mod_since_last_visit_new display message: "nothing has
	  changed" (ricks99 suggestion)

2007-08-18 20:20  marclaporte
	* templates/tiki-bot_bar.tpl: Remove incorrect sql query counter.
	  Please see
	  http://dev.tikiwiki.org/tiki-view_tracker_item.php?itemId=1317

2007-08-18 19:47  marclaporte
	* db/: tiki.sql, profiles/default-inserts.sql: [MOD] Turn back on
	  _Display menus as folders_ on default installs, as suggested by
	  ricks99

2007-08-18 19:10  marclaporte
	* styles/mozilla.css: [FIX] Making wiki structures look nicer with
	  mozilla.css theme

2007-08-17 17:39  marclaporte
	* styles/tikineat.css: Error in previous commit

2007-08-17 16:40  xavidp
	* lang/es/language.php: some strings translated by Jabi (from
	  precarios.org/tikiwiki web site)

2007-08-17 16:25  marclaporte
	* styles/: tranquil.css, vidiki.css, tikigod.css, tikineat.css,
	  default.css, default2.css, olive-blue.css, olive-red.css,
	  olive.css, bluegreen.css, brtiki.css, codex.css: [FIX] Cosmetic
	  fix on several themes: no underline when hovering over
	  phplayersmenu vertical menu

2007-08-17 16:08  marclaporte
	* styles/: olive.css, tceti.css, whitebluegrey.css, boreal.css,
	  default.css, default2.css, jalist.css, jalist2.css,
	  olive-blue.css, olive-red.css, bluegreen.css: [FIX] Cosmetic:
	  adding 2 extra pixels of padding to div.wikitext, for all themes
	  which have a box around the center

2007-08-17 14:36  marclaporte
	* styles/whitebluegrey.css: [FIX] nicer phplayersmenu with
	  whitebluegrey theme

2007-08-17 10:00  chibaguy
	* styles/: bluegreen.css, codex.css, damian.css, dblue.css,
	  default.css, default2.css, elegant.css, gemsi.css, hec.css,
	  jalist.css, jalist2.css, moreneat.css, mozilla.css, neat.css,
	  olive-blue.css, olive-red.css, olive.css, tceti.css, tiki.css,
	  whitebluegrey.css: [FIX] Improvements for IE6 (.box-title, PHP
	  Layers, etc.)

2007-08-16 05:21  chibaguy
	* lang/ja/language.php: [MOD] Translations by Lauren Mariko
	  Cunningham-Lee.

2007-08-16 03:05  chibaguy
	* styles/brtiki.css: [FIX] PHP Layers menu CSS added; column widths
	  improved.

2007-08-15 23:12  marclaporte
	* templates/styles/tikigod/tiki.tpl: [ENH] Use the existing icon
	  permission to determine if this special powered-by icon tikiwiki
	  should be shown. (Only applies to tikigod theme)

2007-08-15 23:04  marclaporte
	* templates/styles/notheme/: babelfish.tpl, error.tpl,
	  tiki-bot_bar.tpl, tiki-my_tiki.tpl, tiki-top_bar.tpl, tiki.tpl:
	  [FIX] Removal of the rest of this totally broken, and
	  unmaintained theme (notheme)

2007-08-15 03:18  marclaporte
	* styles/bluegreen.css: [FIX] Bluegreen style: removing the black
	  underline from module titles and adding a little padding

2007-08-15 02:50  marclaporte
	* styles/moreneat.css: [FIX] Make _moreneat_ style look better with
	  phplayersmenu

2007-08-15 02:34  nkoth
	* tiki-login_scr.php: [FIX] Getting redirected to proper wiki page
	  after login (bug 1312)

2007-08-15 01:59  luciash
	* tiki-view_tracker_item.php: [FIX] when editing comments focus on
	  the right tab

2007-08-15 01:26  marclaporte
	* styles/geo.css: [FIX] Make _geo_ style look better with
	  phplayersmenu

2007-08-15 01:06  marclaporte
	* styles/default2.css: [FIX] Make _default2_ style look better with
	  phplayersmenu

2007-08-15 00:46  marclaporte
	* styles/elegant.css: [FIX] Elegant style: change some of the
	  background colors from a brown to a blue, matching the current
	  theme. However, since these sections are covered by a blue image,
	  you will only notice if images are disabled

2007-08-15 00:45  luciash
	* tiki-view_tracker.php, templates/tiki-view_tracker.tpl: [ENH]
	  anonymous must input anti-bot code for submiting new tracker item
	  too

2007-08-15 00:38  marclaporte
	* styles/elegant.css: [FIX] Make _Elegant_ theme look good with
	  phplayersmenu, as can be seen on themes.tikiwiki.org

2007-08-15 00:10  marclaporte
	* styles/mozilla.css: [FIX] Make Mozilla theme look good with wiki
	  structures (as can be seen on doc.tikiwiki.org

2007-08-14 23:59  marclaporte
	* styles/: olive-blue.css, olive-red.css, olive.css: [FIX] Make
	  three Olive styles look good with phplayermenu vertical menu, as
	  tested on themes.tikiwiki.org

2007-08-14 21:46  luciash
	* templates/: styles/simple/tiki.tpl, header.tpl: [FIX] initialize
	  tab with focus on page load (if set cookietab)

2007-08-14 20:09  jonnybradley
	* lib/wiki/wikilib.php: [FIX] get_backlinks() now sorts by fromPage
	  ASC

2007-08-14 19:44  jonnybradley
	* templates/tiki-editpage.tpl: [FIX] no warning dialog when
	  canceling, changing template or on (non-admin) sandbox

2007-08-14 19:41  jonnybradley
	* templates/module.tpl: [FIX] modules now display correct "shade"
	  icon depending on module's flip state on load

2007-08-14 19:38  jonnybradley
	* lib/userslib.php: [FIX] "remember me" now remembers.
	  get_user_by_cookie() checks tiki_user_preferences table for
	  $check and $expire (not whole $hash value)

2007-08-14 19:34  jonnybradley
	* lib/tikilib.php: [FIX] parse_data() not to render relative links
	  as external

2007-08-14 16:55  luciash
	* templates/styles/simple/error_ticket.tpl: [FIX] Simple theme
	  layout for confirm ticket error page

2007-08-14 16:32  luciash
	* templates/styles/simple/error_simple.tpl: [FIX] Simple theme
	  layout for simple error page

2007-08-14 16:19  luciash
	* templates/styles/simple/error.tpl: [FIX] corrections - special
	  layout for error page

2007-08-14 16:08  marclaporte
	* lib/tikilib.php: [ENH] Adding hspace to image wiki syntax.
	  Reported by Janus.

2007-08-14 15:43  luciash
	* templates/header.tpl: [FIX] initialize first tab focus on page
	  load when tiki tabs feature enabled (TODO: read from cookie what
	  tab was focused last ?)

2007-08-14 15:31  luciash
	* templates/styles/simple/tiki.tpl: [FIX] initialize first tab
	  focus on page load when tiki tabs feature enabled (TODO: read
	  from cookie what tab was focused last ?)

2007-08-14 14:43  luciash
	* lib/tiki-js.js: [FIX] display no border for unfocused tabs

2007-08-14 14:39  luciash
	* styles/simple.css: [FIX] don't let PLM vertical submenus go under
	  tiki tabs [REM] delete some useless stuff

2007-08-14 08:18  chibaguy
	* styles/whitebluegrey.css: [FIX] PHP Layers menu display over
	  .tabcontent (.box-data {overflow:hidden} deleted), link styles
	  changed to match theme.

2007-08-14 08:12  chibaguy
	* styles/trollparty.css: [MOD] Top border and padding removed from
	  PHP Layers links.

2007-08-14 08:09  chibaguy
	* styles/trollparty.css: [FIX] .mdksubmenu background color changed
	  to improve contrast; link padding adjusted.

2007-08-14 08:04  chibaguy
	* styles/tranquil.css: [FIX] PHP Layers menu display over
	  .tabcontent (.box-data {overflow:hidden} deleted), link styles
	  changed to match theme.

2007-08-14 07:57  chibaguy
	* styles/tikigod.css: [FIX] PHP Layers menu display over
	  .tabcontent (.box-data {overflow:hidden} deleted), link styles
	  changed to match theme.

2007-08-14 07:50  chibaguy
	* styles/tiki.css: [MOD] Top border taken off PHP Layers links;
	  .mdksubframe given radius.

2007-08-14 07:41  chibaguy
	* styles/tiki.css: [FIX] PHP Layers menu display over .tabcontent
	  (.box-data {overflow:hidden} deleted); left and right padding and
	  top margin added to #tiki-center.

2007-08-14 07:31  chibaguy
	* styles/tceti.css: [FIX] PHP Layers menu display over .tabcontent
	  (.box-data {overflow:hidden} deleted), link font size changed to
	  match theme; module title contrast fixed.

2007-08-14 07:18  chibaguy
	* styles/subsilver.css: [FIX] PHP Layers menu display over
	  .tabcontent (.box-data {overflow:hidden} deleted).

2007-08-14 07:14  chibaguy
	* styles/smartiki.css: [FIX] PHP Layers menu display over
	  .tabcontent.

2007-08-14 07:06  chibaguy
	* styles/: olive-blue.css, olive-red.css, olive.css: [FIX] PHP
	  Layers menu display over .tabcontent (PHP Layers menu display
	  over .tabcontent (div.box-data {overflow:hidden} deleted; link
	  style changed to match theme).

2007-08-14 06:48  chibaguy
	* styles/mozilla.css: [FIX] Correction of typo in  CSS
	  simplifying).

2007-08-14 06:36  chibaguy
	* styles/neat.css: [FIX] PHP Layers menu display over .tabcontent
	  (PHP Layers menu display over .tabcontent (div.box-data
	  {overflow:hidden} deleted).

2007-08-14 06:33  chibaguy
	* styles/mozilla.css: [FIX] PHP Layers menu display over
	  .tabcontent (.mdksubmenu given z-index; visual integration
	  improved).

2007-08-14 06:18  chibaguy
	* styles/mose.css: [FIX] PHP Layers menu display over .tabcontent
	  (div.box-data {overflow:hidden} deleted).

2007-08-14 06:15  chibaguy
	* styles/moreneat.css: [FIX] PHP Layers menu display over
	  .tabcontent (div.box-data {overflow:hidden} deleted); item widths
	  improved.

2007-08-14 06:06  chibaguy
	* styles/: jalist2.css, lesjetesdelencre.css: [FIX] PHP Layers menu
	  display over .tabcontent (div.box-data {overflow:hidden}
	  deleted).

2007-08-14 06:02  chibaguy
	* styles/: hec.css, jalist.css: [FIX] PHP Layers menu display over
	  .tabcontent (div.box-data {overflow:hidden} deleted).

2007-08-14 05:59  chibaguy
	* styles/geo.css: [FIX] PHP Layers menu display over .tabcontent
	  (div.box-data {overflow:hidden} deleted); dropdown background
	  color changed to match page style.

2007-08-14 05:55  chibaguy
	* styles/gemsi.css: [FIX] PHP Layers small font size deleted.

2007-08-14 05:48  chibaguy
	* styles/elegant.css: [FIX] PHP Layers menu display over
	  .tabcontent (div.box-data {overflow:hidden} deleted); module
	  title contrast fixed.

2007-08-14 05:37  chibaguy
	* styles/: default.css, default2.css: [FIX] PHP Layers menu display
	  over .tabcontent (div.box-data {overflow:hidden} deleted).

2007-08-14 04:46  marclaporte
	* templates/tiki-file_galleries.tpl: [FIX] Missing permission to
	  link to view template interface

2007-08-14 04:43  marclaporte
	* templates/tiki-galleries.tpl: [FIX] Missing permission to link to
	  view template interface

2007-08-14 04:42  marclaporte
	* templates/tiki-list_games.tpl: [FIX] oups

2007-08-14 04:40  marclaporte
	* templates/: tiki-list_faqs.tpl, tiki-list_games.tpl: [FIX]
	  Missing permission to link to view template interface

2007-08-14 04:33  marclaporte
	* templates/tiki-sheets.tpl: [FIX] Missing permission to link to
	  view template interface

2007-08-14 04:27  marclaporte
	* templates/tiki-list_trackers.tpl: [FIX] Missing permission to
	  link to view template interface

2007-08-14 04:07  marclaporte
	* templates/tiki-file_galleries.tpl: [ENH] Only show file gallery
	  filter (search), and pagination if more than one page of file
	  galleries (which will be very rare)

2007-08-14 04:01  marclaporte
	* templates/tiki-file_galleries.tpl: [FIX] File gallery setting
	  icon should be in h1 title, like the others

2007-08-14 03:58  marclaporte
	* templates/tiki-galleries.tpl: [ENH] Only show image gallery
	  filter (search), pagination and other filter (top/parent gallery)
	  if more than one page of image galleries (which will be very
	  rare)

2007-08-14 03:48  marclaporte
	* templates/tiki-list_blogs.tpl: [ENH] Only show blog filter
	  (search) and pagination if more than one page of blogs (which
	  will be very rare)

2007-08-14 03:22  marclaporte
	* templates/tiki-list_quizzes.tpl: [ENH] Adding list to Quiz
	  Administration (if you have perms)

2007-08-14 03:15  marclaporte
	* templates/tiki-page_bar.tpl: [FIX] Do not show source button for
	  Sandbox

2007-08-14 02:59  marclaporte
	* templates/tiki-forums.tpl: [FIX] Only show the forum search box
	  if more than one page of listing.

2007-08-14 01:14  marclaporte
	* templates/modules/mod-application_menu.tpl: [FIX] WYSIWYCA for
	  old application menu module

2007-08-14 00:53  marclaporte
	* templates/tiki-page_bar.tpl: [FIX] No point in being able to undo
	  changes, comment or translate the Sandbox

2007-08-14 00:29  marclaporte
	* templates/tiki-editpage.tpl: [FIX] No need to use html and have
	  footnotes for Sandbox.

2007-08-13 23:21  luciash
	* styles/simple.css: [ADD] styled debugger console

2007-08-13 20:32  nkoth
	* tiki-view_tracker_item.php: [FIX] checking for anti-bot should be
	  only on comment save, otherwise user will be barred from viewing
	  item once he keys in the wrong code once.

2007-08-13 18:38  marclaporte
	* templates/tiki-editpage.tpl: [FIX] More cleaning up of Sandbox
	  page

2007-08-13 18:10  marclaporte
	* templates/tiki-page_bar.tpl: [FIX] Cleaning up page bar (action
	  bar) for Sandbox page

2007-08-13 17:13  nkoth
	* lib/trackers/trackerlib.php: [FIX] remove debug code for release

2007-08-13 17:09  luciash
	* templates/comments.tpl, templates/tiki-admin-include-wiki.tpl,
	  tiki-admin_include_textarea.php, tiki-view_tracker_item.php,
	  templates/tiki-admin-include-textarea.tpl,
	  templates/tiki-view_tracker_item.tpl: [FIX] spread "anonymous
	  editors must input anti-bot code" for all comments, moved the
	  admin setting to text area section

2007-08-13 16:49  marclaporte
	* templates/tiki-editpage.tpl: [FIX] Categories, cache and image
	  upload shouldn't appear on Sandbox page

2007-08-13 16:15  luciash
	* templates/tiki-user_menu.tpl: [FIX] add return false to prevent
	  scrolling up on click # links

2007-08-13 14:03  marclaporte
	* templates/tiki-adminusers.tpl: [ENH] Adding a tip about creating
	  a new user and adding to Admins group, instead of renaming admin
	  user. Renaming admin user is still possible, because useful in
	  certain circumstances.

2007-08-13 13:30  luciash
	* modules/mod-last_tracker_items.php: [FIX] reverse array sort
	  (newest items on top)

2007-08-13 11:30  marclaporte
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-08-13 11:25  marclaporte
	* db/tiki.sql: [MOD] Adding the very useful since_last_visit_new
	  module for Admins. Only on clean installs, not for upgrades.
	  Thus, Tiki admins will easily know everything that is happening
	  on their site. They can also easily remove it or assign it to
	  other groups, if need be.

2007-08-13 11:15  marclaporte
	* modules/: mod-user_tasks.php, mod-user_tasks_public.php: [FIX]
	  See Tracker #441
	  (http://dev.tikiwiki.org/tiki-view_tracker_item.php?itemId=441).
	  I still have several major concerns about this feature:
	  http://dev.tikiwiki.org/Task

2007-08-13 11:04  marclaporte
	* templates/modules/mod-last_tracker_items.tpl: [FIX] Using Shorter
	  URL for trackers in _Last Tracker Item_ moudle

2007-08-13 07:32  luciash
	* templates/tiki-edit_css.tpl: [FIX] broken xhtml layout on
	  tiki-edit_css.php page

2007-08-13 03:14  nkoth
	* templates/tiki-plugin_trackerlist.tpl: [FIX] page must refresh
	  otherwise selected sorting of items in tracker plugin and so on
	  won't work

2007-08-13 00:36  nkoth
	* tiki-view_tracker.php, tiki-view_tracker_item.php,
	  lib/trackers/trackerlib.php: [FIX] cache of items drawn from
	  field in another tracker not being refreshed (bug 1289)

2007-08-12 20:22  mose
	* tiki-webmail.php: [FIX] webmail: made acceptable badformatted
	  from fields, as well as lack of Message-ID

2007-08-12 19:57  mose
	* tiki-webmail.php: [FIX] webmail: also added possible Message-id

2007-08-12 19:47  marclaporte
	* db/README.txt: typo

2007-08-12 18:14  mose
	* templates/tiki-webmail.tpl: [FIX] webmail : escaping headers in
	  fullheaders view

2007-08-12 18:09  mose
	* tiki-webmail.php: [FIX] webmail: attempt to fix Message-Id issue

2007-08-12 16:55  ohertel
	* modules/mod-last_tracker_items.php: [FIX] avoid missing
	  name/trackerid to pollute all modules with an error message

2007-08-12 15:13  ohertel
	* modules/mod-change_category.php: [FIX] undeclared 'modcatlist'
	  variable

2007-08-12 14:36  ohertel
	* modules/mod-last_modif_tracker_items.php: [FIX] undeclared 'name'
	  field

2007-08-12 05:32  marclaporte
	* styles/tceti.css: [FIX] Making Tceti theme look good with
	  phplayersmenu

2007-08-12 03:59  marclaporte
	* styles/fmsc.css: [FIX]Making phplayersmenu look good for FMSC
	  theme. This file was in DOS format. It is now back in Linux
	  format

2007-08-12 03:35  nkoth
	* styles/: gemsi.css, trollparty.css: [FIX] Solve problem of left
	  and right column disappeared

2007-08-12 03:13  marclaporte
	* styles/dblue.css: [no log message]

2007-08-12 02:24  marclaporte
	* templates/modules/mod-users_rank.tpl: [FIX] Top users modules
	  (users_rank) -> link to tiki-list_users.php only if active.
	  Sorry for code duplication (An _if_ in the module doesn't work.

2007-08-12 01:29  marclaporte
	* styles/lesjetesdelencre.css: [FIX]Making phplayersmenu look good.
	  This file was in DOS format. It is now back in Linux format

2007-08-12 01:14  marclaporte
	* styles/: geo.css, trollparty.css: [FIX] CSS Hack for IE6 for
	  trackers using tabs

2007-08-12 00:34  nkoth
	* tiki-admin_include_features.php, tiki-admin_include_login.php,
	  templates/tiki-admin-include-features.tpl,
	  templates/tiki-admin-include-login.tpl: [MOD] merge Intertiki
	  feature checkbox into drop down selector of authentication method

2007-08-11 23:35  marclaporte
	* templates/: tiki-view_tracker_item.tpl,
	  modules/mod-last_modif_tracker_items.tpl: [FIX] Shorter URLS used
	  for trackers

2007-08-11 22:45  marclaporte
	* templates/modules/mod-admin_menu.tpl:
	  [FIX] oups on previous commit

2007-08-11 22:30  marclaporte
	* tiki-admin_chat.php: [FIX] Chat administration page disabled when
	  feature is off.

2007-08-11 22:27  marclaporte
	* templates/modules/mod-admin_menu.tpl:
	  [FIX] In _admin menu_ module, only link to features which are
	  activated.

2007-08-11 22:23  marclaporte
	* tiki-admin_poll_options.php, tiki-admin_polls.php: [FIX] Poll
	  administration pages disabled when feature is off.

2007-08-11 22:01  marclaporte
	* doc/devtools/tikirelease.sh: [DOC] More details about upgrade
	  script for future release managers & developers.

2007-08-11 21:41  marclaporte
	* templates/tiki-admin.tpl:
	  [MOD] Hiding links to tiki-backup.php for fresh install in Tiki
	  1.9.8 until we fix or remove.

2007-08-11 21:31  marclaporte
	* templates/modules/mod-admin_menu.tpl: [FIX] TYPO in _Admin menu_
	  module

2007-08-11 20:53  marclaporte
	* db/tiki_1.8to1.9.sql: [FIX] Do not re-add quick_edit module at
	  each upgrade.

2007-08-11 20:43  marclaporte
	* db/tiki.sql:
	  [FIX] RSS modules & polls now have there own permission (for
	  administration) -> Reflect this in the menu.

2007-08-11 20:06  marclaporte
	* db/: tiki.sql, tiki_1.8to1.9.sql:
	  [MOD] Article size: turning off by default because it's pretty
	  useless (and ugly)

2007-08-11 19:23  marclaporte
	* db/tiki_1.8to1.9.sql:
	  [FIX] Alter the upgrade script 1- Should not add permissions.
	  These perms could have been intentionally removed (ex.: Intranet)
	  2- Modules should not change via upgrade script. tiki.sql
	  behavior is intended for clean installs only.  3- New _Admins_
	  group is just for new installs as well.

2007-08-11 18:50  marclaporte
	* db/tiki.sql:
	  [MOD] Turn off _Bottom bar debug_ (feature_bot_bar_debug) on
	  clean installs.

2007-08-11 18:41  ohertel
	* db/: tiki_1.8to1.9.sql, tiki.sql: [FIX] update 1.8sql +
	  1.8to1.9sql ~ 1.9sql now

2007-08-11 18:11  nkoth
	* templates/tiki-adminusers.tpl: [FIX] clean up HTML from last
	  commit

2007-08-11 17:16  ohertel
	* lib/messu/messulib.php: [FIX] undefined variable
	  $local_sender_email, maybe leftover from renaming earlier.

2007-08-11 17:10  marclaporte
	* tiki-setup.php:
	  [MOD] Changing doc link to a cleaner, shorter version.

2007-08-11 16:48  marclaporte
	* templates/tiki-admin-include-features.tpl:
	  [MOD] User interface enhancement in the Admin panel. Link to
	  _Admin layout per section_ is visible when the feature is turned
	  on. This avoids an unfriendly error message.

2007-08-11 16:44  marclaporte
	* templates/tiki-adminusers.tpl: [MOD] Separate visually adding a
	  single user from batch import. This was causing lots of questions
	  from new Tiki admins.

2007-08-11 16:37  marclaporte
	* templates/tiki-adminusers.tpl: [FIX] Fix tip about batch upload
	  of users. Do NOT put leading space in password field unless you
	  want your password to have one :-).

2007-08-11 15:50  marclaporte
	* tiki-adminusers.php: [FIX] Harmonizing the tip with the error
	  message

2007-08-11 07:47  marclaporte
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-08-11 07:46  marclaporte
	* db/tiki.sql:
	  [FIX] WYSIWYCA (What You See Is What You Can Access) for menu
	  item

2007-08-11 07:40  marclaporte
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-08-11 07:33  marclaporte
	* db/tiki.sql:
	  [MOD] Assistant module now only for Admins [FIX] WYSIWYCA (What
	  You See Is What You Can Access) for quizz menu items

2007-08-11 07:30  marclaporte
	* tiki-mobile.php:
	  [FIX] Tiki Mobile: WYSIWYCA (What You See Is What You Can Access)
	  -> Check permission of current user for all links on
	  tiki-mobile.php

2007-08-11 07:00  marclaporte
	* templates/tiki-my_tiki.tpl, lang/fr/language.php:
	  [FIX] Better wording in English

2007-08-11 06:38  marclaporte
	* templates/: tiki-gmap_locator.tpl, tiki-gmap_usermap.tpl:
	  [MOD] Google Maps: Friendly error message when _Google Maps API
	  key_ is not set.

2007-08-11 06:34  marclaporte
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-08-11 06:34  marclaporte
	* db/tiki.sql:
	  [FIX] WYSIWYCA (What You See Is What You Can Access) for various
	  menu items

2007-08-11 05:47  marclaporte
	* templates/tiki-admin-include-login.tpl: [FIX] Updating tip about
	  sender email for admin validation to work. Thanks dthacker

2007-08-11 05:20  marclaporte
	* templates/tiki-admin_chart_items.tpl: [FIX] charts: simpler code
	  which works, and doesn't create problems when you modify an item
	  just after creating a new item

2007-08-11 04:42  marclaporte
	* templates/tiki-admin_chart_items.tpl: [FIX] Charts: Need admin
	  chart permissions to edit existing options

2007-08-11 04:34  marclaporte
	* templates/tiki-view_chart_item.tpl: [FIX] charts: check
	  permissions to permit to vote

2007-08-11 04:14  marclaporte
	* tiki-admin_chart_items.php: [FIX] Charts: extra spaces are
	  causing problems in URL

2007-08-11 04:12  marclaporte
	* templates/tiki-admin_chart_items.tpl: [FIX] Charts:
	  tiki_p_admin_charts is needed to delete items
	  (tiki_p_suggest_chart_item is not sufficient).

2007-08-11 03:36  marclaporte
	* templates/: tiki-admin_chart_items.tpl: [FIX] WYSIWYCA What You
	  See Is What You Can Access

2007-08-11 03:29  marclaporte
	* templates/tiki-admin_chart_items.tpl: [FIX] Charts: fix some
	  broken links

2007-08-11 03:27  marclaporte
	* templates/tiki-admin-include-features.tpl: [FIX] Documentation
	  link.

2007-08-10 23:57  marclaporte
	* templates/tiki-charts.tpl: [FIX] Fix sorting of charts (sameurl
	  doesn't work on my server)

2007-08-10 23:54  ohertel
	* README: 1.9.7 -> 1.9.8

2007-08-10 23:48  ohertel
	* db/convertscripts/convertsqls.cmd: windows version of convert
	  script

2007-08-10 23:36  marclaporte
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-08-10 23:31  ohertel
	* db/tiki-secdb_1.9_mysql.sql: md5 values for 1.9.8 php files v2

2007-08-10 23:24  marclaporte
	* templates/styles/simple/modules/mod-application_menu.tpl,
	  db/tiki.sql, templates/modules/mod-admin_menu.tpl,
	  templates/modules/mod-application_menu.tpl,
	  templates/styles/moreneat/modules/mod-application_menu.tpl,
	  templates/styles/mose/modules/mod-application_menu.tpl,
	  templates/styles/neat/modules/mod-application_menu.tpl:
	  [MOD] Hiding links to tiki-backup.php for fresh install in Tiki
	  1.9.8 until we fix or remove.

2007-08-10 23:03  marclaporte
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-08-10 22:49  marclaporte
	* db/tiki.sql, db/profiles/default-inserts.sql,
	  templates/tiki-admin-include-module.tpl:
	  [MOD] 1- Turn off _Display modules to all groups always_ from new
	  installs. Ref: http://tikiwiki.org/DefaultSettingsChanges 2 Add
	  translation tags and improve the wording of the tip about the
	  loss of the login box module.  This is related to previous commit
	  to templates/tiki-admin_modules.tpl (warning about deleting login
	  box module)

2007-08-10 22:47  ohertel
	* db/tiki-secdb_1.9_mysql.sql: md5 values for 1.9.8 php files

2007-08-10 22:46  ohertel
	* tiki-admin_security.php: added release numbers 1.9.7 and 1.9.8 to
	  checklist

2007-08-10 22:41  marclaporte
	* templates/tiki-admin_modules.tpl: [no log message]

2007-08-10 19:48  marclaporte
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-08-10 19:08  marclaporte
	* db/: tiki.sql, profiles/default-inserts.sql:
	  [MOD] Changing _Maximum number of records_ in listings from 10 to
	  25 on new installs.  10 is never enough, especially when
	  configuring the menu.

2007-08-10 18:56  marclaporte
	* tiki-admin_forums.php, db/tiki.sql,
	  db/profiles/default-inserts.sql:

	  [MOD] Change some forum defaults for new installs.

	  Why? Most people will not change the defaults. These new defaults
	  are chosen to be cleaner and more universal. Of course, Tiki
	  admins can always change to whatever suits them best. See
	  http://tikiwiki.org/DefaultSettingsChanges for details and to
	  comment.

	  1- Accept wiki syntax (feature_forum_parse) is now activated.
	  This is a nice thing of having a wiki + a forum all-in-one.

	  2- Forum listing configuration -> List number of posts per day
	  (forum_list_ppd) and lists number of Topics (forum_list_topics)
	  are now turned off.

	  3- When creating new forums: Default ordering (topicOrdering) for
	  topics: Date (desc) -> Last post (desc)

	  4- When creating new forums: Default ordering (threadOrdering)
	  for threads is now by ascending Date (commentDate_asc) like
	  phpBB.

	  5- When creating new forums: Points (rating posts) are now turned
	  off by default ->  Topic list configuration points
	  (topics_list_pts) & Posts can be rated (vote_threads)

2007-08-10 17:15  marclaporte
	* lang/en/language.php: [FIX] typo

2007-08-10 15:54  marclaporte
	* templates/tiki-admin-include-general.tpl: [FIX]1- WYSIWYCA for
	  picking the Home Page. 2-Adding some missing potential home pages
	  like Calendar, Forums and Trackers. Admins are still free to pick
	  any URL as home page.

2007-08-10 15:32  marclaporte
	* templates/tiki-custom_home.tpl: [FIX] updating some info on this
	  little used feature (custom home)

2007-08-10 14:43  pkdille
	* tiki-view_forum.php: [FIX] forums: Delete debug message

2007-08-10 13:35  marclaporte
	* templates/tiki-admin_modules.tpl: [FIX] When administering
	  modules, only show possibilities for features which are turned
	  on.

2007-08-10 12:47  marclaporte
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-08-10 12:05  marclaporte
	* styles/notheme/: default.css, doxygen.css,
	  notheme-II-article.css, notheme-II-tc.css, notheme-III-box.css,
	  notheme-article.css, notheme-box.css, notheme-calendar.css,
	  notheme-categories.css, notheme-comments.css, notheme-debug.css,
	  notheme-dir.css, notheme-faq.css, notheme-general.css,
	  notheme-other.css, notheme-table.css, notheme-tc.css,
	  notheme-wiki.css: Removing the 3 notheme styles because 1- They
	  break in Internet Explorer and Firefox  2- Totally unsupported
	  for years.

2007-08-10 12:01  marclaporte
	* styles/: notheme.II.css, notheme.III.css, notheme.css: Removing
	  the 3 notheme styles because 1- They break in Internet Explorer
	  and Firefox  2- Totally unsupported for years.

2007-08-10 11:54  marclaporte
	* templates/tiki-admin_modules.tpl: Removing WYSIWYG module editor
	  because 1- It is not reliable/well implemented (both Firefox &
	  Internet Explorer give quirky results as of 1.9.8   2- htmlarea
	  (the WYSIWYG editor) is no longer supported  3- Tiki community is
	  migrating towards FCK Editor 4- It should have been done before.

2007-08-10 11:42  marclaporte
	* db/: tiki.sql, profiles/basicEnabled.prf, profiles/fishclub.prf,
	  profiles/slash.prf: [MOD] Turning off Display menus as folders by
	  default

2007-08-09 22:17  marclaporte
	* db/profiles/: basicEnabled.prf, fishclub.prf, slash.prf: [FIX]
	  With new default Admin group, it is no longer necessary to create
	  in other profiles. Also, giving tiki_p_admin includes all
	  permissions.

2007-08-09 21:43  ohertel
	* lang/de/language.php: translation update admin menus

2007-08-09 21:33  ohertel
	* templates/: tiki-admin-include-category.tpl,
	  tiki-admin-include-features.tpl, tiki-admin-include-module.tpl,
	  tiki-admin-include-textarea.tpl, tiki-admin-include-theme.tpl:
	  [FIX] added missing {tr}s, missing encoding etc.

2007-08-09 21:32  ohertel
	* lang/de/language.php: translation update admin menus

2007-08-09 20:23  marclaporte
	* templates/tiki-admingroups.tpl: [FIX] Prevent renaming or
	  deletion of new mandatory Admins group

2007-08-09 09:50  marclaporte
	* templates/modules/mod-adsense.tpl: [FIX] typo in adsense module

2007-08-08 21:11  sylvieg
	* lang/fr/language.php: some

2007-08-08 20:26  sylvieg
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-08-08 20:12  sylvieg
	* templates/tiki-editpage.tpl: [FIX]wiki: do not ask confirm when
	  cancel edit

2007-08-08 20:08  sylvieg
	* db/tiki.sql: create an Admins group with tiki_p_admin with the
	  admin user - to avoid people who rename admin to miss up their
	  site

2007-08-07 23:24  ricks99
	* templates/tiki-user_menu.tpl: Lost edit fix. Inhibit the alert
	  when toggling menus items.

2007-08-06 19:24  ricks99
	* templates/header.tpl: Do not load the NeedToConfirm JS script
	  when editing the sandbox page.

2007-08-06 17:24  sylvieg
	* templates/tiki-adminusers.tpl: [FIX]group: can not delete a user
	  from Registered

2007-08-06 17:09  sylvieg
	* templates/tiki-assignuser.tpl: backport can not unassign
	  registered group from a user

2007-08-06 12:46  sylvieg
	* templates/tiki-admingroups.tpl: backport from 1.10 can not change
	  or remove group Anonymous & Registered

2007-08-06 12:32  sylvieg
	* lib/userslib.php: backport from 1.10 can not change or remove
	  group Anonymous & Registered

2007-08-06 03:42  marclaporte
	* templates/: tiki-admin-include-category.tpl,
	  tiki-admin-include-search.tpl: [FIX] doc links

2007-08-06 03:24  marclaporte
	* templates/: tiki-import_structuredtext.tpl,
	  tiki-admin-include-search.tpl: [FIX] doc link

2007-08-06 03:07  marclaporte
	* templates/: tiki-g-admin_graph.tpl, tiki-g-admin_processes.tpl,
	  tiki-g-monitor_activities.tpl, tiki-g-monitor_instances.tpl,
	  tiki-g-monitor_processes.tpl, tiki-g-user_activities.tpl,
	  tiki-g-user_instances.tpl, tiki-g-user_processes.tpl: [FIX] fix
	  all Galaxia Workflow doc links to a single page. From there,
	  users can find workflow.tikiwiki.org and full documentation

2007-08-06 03:04  marclaporte
	* templates/tiki-admin_security.tpl: [FIX] doc link

2007-08-06 02:25  marclaporte
	* tiki-admin.php: [FIX] doc link + remove old unused tiki project
	  code

2007-08-06 00:37  marclaporte
	* templates/tiki-admin-include-features.tpl: [FIX] doc link

2007-08-06 00:28  marclaporte
	* templates/: tiki-user_tasks.tpl, tiki-user_watches.tpl: [FIX] doc
	  link

2007-08-06 00:23  marclaporte
	* templates/tiki-user_bookmarks.tpl: [FIX] doc link

2007-08-06 00:18  marclaporte
	* templates/tiki-admin-include-trackers.tpl: [MOD] Add warning
	  about mirror tracker use. The vast majority of bugs reported on
	  dev.tikiwiki.org/Trackers are related to mirror trackers

2007-08-05 23:46  marclaporte
	* templates/: tiki-install.tpl, tiki-top_bar.tpl,
	  styles/neat/tiki-top_bar.tpl, styles/simple/tiki-top_bar.tpl:
	  [MOD] Change version number from 1.9.7 (CVS) to 1.9.8

2007-08-05 18:12  bluestrain
	* templates/tiki-admin-include-features.tpl: [FIX] User Bookmarks
	  doc link

2007-08-05 17:42  bluestrain
	* templates/tiki-admin-include-features.tpl: [FIX] doc link to HTML
	  pages

2007-08-05 17:37  bluestrain
	* templates/: tiki-received_articles.tpl, tiki-received_pages.tpl,
	  tiki-send_objects.tpl: [FIX] doc links to Communications Center

2007-08-05 17:33  bluestrain
	* templates/tiki-admin_forums.tpl: [FIX] doc link

2007-08-05 16:56  bluestrain
	* templates/tiki-admin-include-features.tpl: [FIX] Drawings,
	  Banners doc links

2007-08-05 16:51  bluestrain
	* templates/tiki-admin-include-features.tpl: [FIX} Newsletter,
	  Inter-User Messages doc links.

2007-08-05 16:45  bluestrain
	* templates/tiki-admin-include-features.tpl: [Fix] Polls doc link

2007-08-05 16:31  bluestrain
	* templates/tiki-admin_surveys.tpl: [FIX] Fix doc link. Change
	  hover description.

2007-08-05 16:30  marclaporte
	* templates/tiki-galleries.tpl: [FIX] doc link

2007-08-05 16:22  marclaporte
	* templates/: tiki-admin-include-features.tpl,
	  tiki-user_assigned_modules.tpl: [FIX] doc link

2007-08-05 16:16  marclaporte
	* templates/: tiki-list_trackers.tpl, tiki-list_users.tpl,
	  tiki-edit_help.tpl: [FIX] doc link

2007-08-05 15:21  marclaporte
	* templates/messu-compose.tpl: [FIX] doc link

2007-08-05 08:12  marclaporte
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-08-05 08:03  marclaporte
	* templates/tiki-admin.tpl: [FIX] Since we now have i18n and theme
	  admin panel, these links are no longer needed here

2007-08-05 07:59  marclaporte
	* tiki-admin_include_textarea.php,
	  templates/tiki-admin-include-textarea.tpl: [MOD] Adding cache
	  settings to text area admin panel

2007-08-05 07:45  marclaporte
	* db/tiki.sql: [FIX]1- One WYSIWYCA fix on menus, 2- HotWords and
	  Similar Pages are now off by default

2007-08-05 07:34  marclaporte
	* templates/tiki-admin-include-login.tpl: [MOD] Adding a tip about
	  setting sender email, if you want to validate users by email

2007-08-05 07:32  marclaporte
	* templates/tiki-admin_content_templates.tpl: [FIX]removing extra
	  space (typo)

2007-08-05 06:49  marclaporte
	* templates/tiki-admin-include-login.tpl: [FIX] fix doc link. Each
	  auth method now has a distinct wiki page

2007-08-05 04:22  marclaporte
	* templates/: tiki-admin_integrator.tpl,
	  tiki-g-admin_processes.tpl: [FIX] fix doc link

2007-08-05 04:13  marclaporte
	* db/tiki.sql: [MOD] Article size: turning off by default because
	  it's pretty useless

2007-08-05 04:10  marclaporte
	* db/tiki.sql: [MOD] Article listing: turning off a few less
	  important columns so clean install is nicer

2007-08-05 03:55  marclaporte
	* db/tiki.sql: [FIX] Blog: turning off trackbacks on clean install
	  because of spammers

2007-08-05 03:45  marclaporte
	* db/tiki.sql: [FIX] File Gallery: Allow same file to be uploaded
	  more than once is now on by default, which is what most people
	  want and to avoid support requests

2007-08-05 03:41  marclaporte
	* db/tiki.sql: [FIX]1- Two WYSIWYCA fixes on menus, 2- RSS feeds
	  should be off until turned on, 3- wiki page list: less options
	  turned on for a clean install, for a nicer interface

2007-08-05 03:38  marclaporte
	* tiki-setup.php: [FIX] User watch translation should be off until
	  turned on

2007-08-05 03:36  marclaporte
	* templates/tiki-admin_modules.tpl: [FIX] fix link to new admin
	  module panel

2007-08-05 03:17  marclaporte
	* templates/tiki-admin-include-features.tpl: [FIX] doc links

2007-08-05 02:38  marclaporte
	* templates/tiki-directory_admin_categories.tpl: [FIX] fix link to
	  doc

2007-08-05 02:03  marclaporte
	* templates/tiki-file_galleries.tpl: [FIX] fix link to doc

2007-08-05 01:56  marclaporte
	* templates/tiki-admin-include-search.tpl: [FIX] fix link to doc

2007-08-05 01:53  marclaporte
	* templates/: messu-archive.tpl, messu-broadcast.tpl,
	  messu-mailbox.tpl, messu-sent.tpl: [FIX] fix link to doc

2007-08-05 00:47  marclaporte
	* templates/tiki-upload_image.tpl: [FIX] fix link to doc

2007-08-05 00:23  marclaporte
	* templates/: tiki-admin_links.tpl, tiki-admin_newsletters.tpl,
	  tiki-assignpermission.tpl: [FIX] correct links to
	  doc.tikiwiki.org

2007-08-05 00:02  marclaporte
	* templates/: tiki-admin_banning.tpl, tiki-admin_categories.tpl,
	  tiki-admin_menus.tpl, tiki-admin_notifications.tpl,
	  tiki-admin_system.tpl, tiki-admingroups.tpl, tiki-adminusers.tpl,
	  tiki-edit_css.tpl, tiki-search_stats.tpl: [FIX] fix link to doc

2007-08-04 23:20  marclaporte
	* tiki-admin.php: [FIX] several fixes to links from the admin panel
	  to doc.two

2007-08-04 23:17  marclaporte
	* templates/tiki-admin_rssmodules.tpl: [FIX] fix link to doc

2007-08-04 22:35  marclaporte
	* templates/: tiki-admin_dsn.tpl, tiki-edit_quiz_questions.tpl,
	  tiki-install.tpl: [FIX] fix link to doc

2007-08-04 22:25  marclaporte
	* templates/: tiki-edit_translation.tpl, tiki-g-admin_graph.tpl,
	  tiki-list_games.tpl, tiki-list_quizzes.tpl, tiki-quiz_stats.tpl:
	  [FIX] fix link to doc

2007-08-04 22:18  marclaporte
	* templates/: tiki-received_pages.tpl, tiki-send_objects.tpl,
	  tiki-sheets.tpl, tiki-admin_security.tpl,
	  tiki-admin_shoutbox_words.tpl, tiki-edit_quiz_questions.tpl,
	  tiki-list_surveys.tpl, tiki-quiz_result_stats.tpl,
	  tiki-quiz_stats_quiz.tpl, tiki-received_articles.tpl: [FIX] fix
	  link to doc

2007-08-04 21:55  marclaporte
	* templates/: tiki-admin-include-textarea.tpl,
	  tiki-admin_quicktags.tpl, tiki-admin_score.tpl: [FIX] fix doc
	  links

2007-08-04 21:40  marclaporte
	* templates/tiki-admin_integrator.tpl: [FIX] fix link to doc

2007-08-04 21:21  marclaporte
	* templates/: tiki-admin-include-general.tpl,
	  tiki-admin-include-i18n.tpl: [FIX] fix link to doc

2007-08-04 21:15  marclaporte
	* templates/tiki-admin-include-features.tpl: [FIX] cleaner and more
	  consistent use of titles

2007-08-04 21:04  marclaporte
	* templates/tiki-admin-include-theme.tpl: [FIX] correct links to
	  doc.tikiwiki.org

2007-08-04 19:51  marclaporte
	* tiki-edit_templates.php: [FIX] You can view the Smarty templates
	  without necessarily being able to edit them. Currently in use on
	  themes.tikiwiki.org for Registered users

2007-08-04 19:42  marclaporte
	* templates/tiki-admin_shoutbox_words.tpl: [FIX]Use variable for
	  doc link

2007-08-04 19:26  marclaporte
	* templates/: tiki-edit_quiz_questions.tpl,
	  tiki-edit_submission.tpl: [FIX] to view the link to templates,
	  the feature must be activated (feature_view_tpl) and you must
	  have permission (tiki_p_view_templates)

2007-08-04 19:07  marclaporte
	* templates/modules/mod-admin_menu.tpl: [FIX] to view the link to
	  edit templates, the feature must be activated
	  (feature_edit_templates) and you must have permission
	  (tiki_p_edit_templates)

2007-08-04 18:59  marclaporte
	* templates/: tiki-shoutbox.tpl, tiki-edit_blog.tpl: [FIX] to view
	  the link to templates, the feature must be activated
	  (feature_view_tpl) and you must have permission
	  (tiki_p_view_templates)

2007-08-04 18:55  marclaporte
	* templates/tiki-edit_article.tpl: [FIX] to view the link to
	  templates, the feature must be activated (feature_view_tpl) and
	  you must have permission (tiki_p_view_templates)

2007-08-04 18:38  bluestrain
	* templates/tiki-admin_shoutbox_words.tpl: [FIX] Fixed doc link.
	  dthacker

2007-08-04 18:31  bluestrain
	* templates/tiki-admin-include-features.tpl: [FIX] communication
	  center link to docs.	dthacker

2007-08-04 18:16  marclaporte
	* templates/: tiki-edit_quiz.tpl, tiki-edit_quiz_questions.tpl,
	  tiki-list_quizzes.tpl: [FIX]Use variable for doc link

2007-08-04 18:10  marclaporte
	* templates/tiki-admin-include-features.tpl: [FIX] fix link

2007-08-04 17:58  marclaporte
	* templates/: tiki-quiz_edit.tpl, tiki-quiz_result_stats.tpl,
	  tiki-quiz_stats.tpl, tiki-quiz_stats_quiz.tpl: [FIX]Use variable
	  for doc link + various minor fixes

2007-08-04 17:51  marclaporte
	* templates/tiki-admin-include-features.tpl: [FIX]Use variable for
	  doc link + various minor fixes

2007-08-04 17:35  marclaporte
	* templates/tiki-sheets.tpl: [FIX]Use variable for doc link

2007-08-04 17:31  marclaporte
	* templates/tiki-syslog.tpl: [FIX]Use variable for doc link

2007-08-04 17:23  marclaporte
	* templates/tiki-list_trackers.tpl: [FIX]Use variable for doc link

2007-08-04 16:03  bluestrain
	* templates/: tiki-admin_content_templates.tpl,
	  tiki-admin_cookies.tpl, tiki-list_cache.tpl: [FIX] Fixed broken
	  doc links.  Updated hover descriptions- dthacker

2007-08-04 15:51  bluestrain
	* templates/tiki-backup.tpl: [FIX] Fixed help link, updated
	  description- dthacker

2007-08-04 02:39  jmaspons
	* lang/ca/language.php: some strings translated

2007-08-03 14:19  bluestrain
	* templates/tiki-admin_integrator.tpl: [Fix] Moved doc link to tw.o
	  to d.tw.o

2007-08-03 14:03  bluestrain
	* templates/tiki-admin_mailin.tpl: [FIX] Corrected bad doc link,
	  updated hover description

2007-08-03 13:51  bluestrain
	* templates/tiki-admin_newsletters.tpl: Fix link to d.tw.o.
	  Improve description  DT

2007-08-03 13:46  bluestrain
	* templates/tiki-list_trackers.tpl: [FIX] Point help link to d.tw.o
	  page.  Improve description.

2007-08-03 05:33  bluestrain
	* templates/tiki-list_posts.tpl: [FIX] Fixed link to d.tw.o.
	  Improved description

2007-08-03 05:28  bluestrain
	* templates/tiki-edit_blog.tpl: [FIX] Fixed link to d.two.o

2007-08-03 03:41  bluestrain
	* templates/: tiki-list_faqs.tpl, tiki-view_faq.tpl: [FIX] Fixed
	  links to docs.tw.o  DT

2007-08-02 23:03  jmaspons
	* lang/ca/language.php: some strings translated

2007-08-02 17:16  sylvieg
	* lang/fr/language.php, templates/header.tpl: missing tr

2007-08-02 15:03  sylvieg
	* tiki-list_articles.php, templates/tiki-list_articles.tpl:
	  [MOD]article: replace the read button by no action column if no
	  action

2007-08-01 22:59  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]tracker: a better fix
	  for mandatory user field-> None for optional user tracker field
	  is back

2007-08-01 22:15  ricks99
	* templates/tiki-list_articles.tpl: Fixed sort orders for topics,
	  types, and expiration date. Removed sort from Img. Added defautl
	  action (read) to avoid empty action column. Removed extra <div>
	  that was causing validation errors. (again, 'cause I messed up
	  the merge)

2007-08-01 22:02  ricks99
	* templates/tiki-list_articles.tpl: Fixed sort orders for topics,
	  types, and expiration date. Removed sort from Img. Added defautl
	  action (read) to avoid empty action column. Removed extra <div>
	  that was causing validation errors.

2007-08-01 21:51  ricks99
	* templates/tiki-print_pages.tpl: Improved UI, layout, and control
	  logic.

2007-08-01 15:02  bluestrain
	* tiki-admin.php: [FIX] Point help links to valid page on d.tw.o.
	  DT

2007-08-01 12:04  sylvieg
	* tiki-admin_calendars.php: notice bug:1138

2007-08-01 06:39  marclaporte
	* tiki-setup.php: [FIX] Update mods server URL and give access to
	  all the more recents mods user can see on mods.tikiwiki.org

2007-07-31 20:52  sylvieg
	* get_strings.php: backport

2007-07-30 12:21  sylvieg
	* tiki-switch_theme.php: [FIX]anonymous can not change theme if
	  change_theme is not allowed

2007-07-28 00:27  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]better handling of
	  mandatory user/group field creator: the values are unset so no
	  check of mandatory

2007-07-28 00:22  sylvieg
	* lib/trackers/trackerlib.php: [FIX]better handling of mandatory
	  user/group field creator: the values are unset so no check of
	  mandatory

2007-07-27 20:25  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]if the user field was
	  mandatory, a nonadmin user was not able to save his user tracker

2007-07-27 19:24  ricks99
	* templates/tiki-editpage.tpl: Change edit timeout waning to match
	  session timer, instead of the Idle Edit Timer. To prevent lost
	  edits from a session expiration.

2007-07-27 19:21  ricks99
	* tiki-editpage.php: Assign editi session timeout, based on session
	  timeout. To prevent lost edits from a session expiration.

2007-07-27 03:03  ricks99
	* templates/: header.tpl, tiki-editpage.tpl: More saving lost
	  edits. Tiki will now prompt users when there is 1 minute
	  remaining in the edit idle sessions. A timer will also be written
	  to the browser status bar (if allowed by browser security).

2007-07-27 02:56  ricks99
	* templates/header.tpl: Forgot to include the NeedToConfirm script
	  in an IF statement. Only load when editing a page.

2007-07-27 02:31  ricks99
	* templates/tiki-editpage.tpl: Added timeout warning on edit page
	  (to reduce lost edits).

2007-07-27 02:19  ricks99
	* templates/: header.tpl, tiki-edit_help_tool.tpl,
	  tiki-editpage.tpl: Alert user when leaving the tiki-editpage and
	  work is not yet saved. This will reduce the "lost edits" problem.

2007-07-26 16:09  sylvieg
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-07-26 01:10  sylvieg
	* templates/tiki-install.tpl: [FIX]backport nyloth's commit about
	  blank page on tiki-install
	  http://sourceforge.net/mailarchive/forum.php?thread_name=200705261835.07066.patrice%40sden.org&forum_name=tikiwiki-devel

2007-07-25 22:38  pkdille
	* db/tiki.sql: [FIX] quicktags: there where 2 quicktag sets for the
	  map feature. The differences between both where very tiny (some
	  spaces), but the second set was not as complete as the first one
	  (2 tags where missing).

2007-07-24 20:39  sylvieg
	* lib/userslib.php: [FIX]bad include

2007-07-24 16:41  sylvieg
	* tiki-register.php, tiki-remind_password.php, lib/userslib.php,
	  db/tiki.sql, db/tiki_1.8to1.9.sql,
	  templates/mail/moderate_validation_mail.tpl: [FIX]: control
	  remind password when user has not been validated (by admin or by
	  himself). Validation messages are resent. Otherwise the user was
	  able to log in without validation

2007-07-19 15:14  sampaioprimo
	* lang/pt-br/language.php: translation

2007-07-19 12:38  sylvieg
	* templates/tiki-admin-include-search.tpl: [FIX]tikisearch: do not
	  show refresh tracker index if mirror tracker

2007-07-19 12:32  sylvieg
	* tiki-admin_include_search.php: oops

2007-07-19 12:18  sylvieg
	* tiki-admin_include_search.php,
	  templates/tiki-admin-include-search.tpl: [MOD]tiki search: button
	  to refresh tracker indexes

2007-07-19 11:57  sylvieg
	* modules/mod-last_tracker_items.php: [FIX]last_tracker_items was
	  broken if status was specify

2007-07-19 11:08  sylvieg
	* tiki-tracker_rss.php: notice

2007-07-18 21:47  marclaporte
	* README: [FIX]Updating URLs in Readme file, reported by Gursikh

2007-07-16 23:22  sylvieg
	* tiki-edit_programmed_content.php: [FIX]time: again this time
	  shifting on some servers

2007-07-16 12:39  sylvieg
	* templates/tiki-browse_categories.tpl: [FIX]at least have one link
	  to help to track the categorized item without name

2007-07-15 23:37  sylvieg
	* templates/tiki-my_tiki.tpl, templates/tiki-user_preferences.tpl,
	  tiki-user_preferences.php: [MOD]Put a message in My Tiki when
	  nothing has been selected to go to the setting instead of a
	  emprty place

2007-07-15 17:06  marclaporte
	* templates/tiki-admin_rssmodules.tpl: [ENH] Adding a tip about RSS
	  feeds to avoid loops

2007-07-15 16:57  marclaporte
	* templates/tiki-admin-include-general.tpl: [FIX] oups

2007-07-15 16:14  marclaporte
	* templates/tiki-admin-include-general.tpl: [ENH] Adding a tip
	  about Date and Time

2007-07-15 06:04  sampaioprimo
	* lang/pt-br/language.php: string translation

2007-07-14 14:31  sylvieg
	* templates/tiki-user_preferences.tpl: [FIX]change HomePage to URL

2007-07-14 14:12  sylvieg
	* tiki-login.php: unused code - user homepage is not a 'homepage'
	  but my url

2007-07-13 17:04  marclaporte
	* styles/tikigod.css: [FIX] A little more padding around the wiki
	  text to make it cleaner

2007-07-12 23:38  sylvieg
	* templates/: tiki-admin_trackers.tpl, tiki-plugin_trackerlist.tpl:
	  [MOD]tracker: format created and lasmodif also for trackerlist

2007-07-12 18:00  sylvieg
	* tiki-admin_trackers.php, templates/tiki-admin_trackers.tpl,
	  templates/tiki-view_tracker.tpl: [MOD]tracker: can specify the
	  format of lastmodif info for view list

2007-07-12 17:47  sylvieg
	* tiki-admin_trackers.php, templates/tiki-admin_trackers.tpl,
	  templates/tiki-view_tracker.tpl: [MOD]tracker: can specify the
	  format of created info for view list

2007-07-12 16:50  sylvieg
	* lib/tikilib.php: oops

2007-07-12 16:45  sylvieg
	* lib/tikilib.php: [FIX]to have a time format empty - you need to
	  put a space

2007-07-12 13:20  sylvieg
	* tiki-view_tracker.php: [FIX]tracker: after inserting an item,
	  come back to the item list with the status skown by the tracker
	  and not the status of the last added item

2007-07-12 12:32  sylvieg
	* lib/tikilib.php: [FIX]date: do not see [] if short time format is
	  empty

2007-07-12 00:15  marclaporte
	* styles/codex.css: [FIX] Minor: adding a bit more padding to make
	  codex theme wiki pages look nicer

2007-07-11 23:52  nkoth
	* tiki-setup.php: [FIX] should not depend on ini.set to set
	  session.save_path as some hosts do not support it

2007-07-11 16:02  sylvieg
	* lib/trackers/trackerlib.php: rollback- mess up the merge

2007-07-11 15:54  sylvieg
	* lib/trackers/trackerlib.php: Instant-Auto-Merge from BRANCH-1-9
	  to HEAD

2007-07-11 15:31  sylvieg
	* lib/trackers/trackerlib.php, tiki-view_tracker.php,
	  lib/wiki-plugins/wikiplugin_trackerlist.php: [FIX]tracker: do not
	  count the comments with comments are not showed in list

2007-07-11 13:05  sylvieg
	* lib/trackers/trackerlib.php: [OPT]tracker: if a tracker has more
	  than category fields, look for item categories only once: save 2
	  queries/items on dev.tw.org

2007-07-10 23:54  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]tracker: sometimes
	  rating field was shown, sometimes not

2007-07-10 15:59  sylvieg
	* db/tiki_1.8to1.9.sql: typo

2007-07-10 15:51  sylvieg
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-07-10 15:49  sylvieg
	* db/: tiki.sql, tiki_1.8to1.9.sql: some indexes - thx tibi

2007-07-10 13:03  sylvieg
	* tiki-admin_trackers.php, templates/tiki-admin_trackers.tpl,
	  templates/tiki-view_tracker_item.tpl: [MOD]tracker: 2 new options
	  show created and lastmodif date in the item view

2007-07-09 23:43  sylvieg
	* lib/newsletters/nllib.php: [FIX]newsletter: pagination inn
	  send_newsletter

2007-07-09 23:28  sylvieg
	* tiki-view_forum_thread.php: [FIX]forum: some error message if
	  parentId incorrect

2007-07-09 23:09  sylvieg
	* tiki-view_forum_thread.php, templates/tiki-view_forum_thread.tpl:
	  [FIX]forum: show up the complete bread_crumb
	  forums->forum_title->topic_title->post_title to ne able to look
	  at the all thread after you serach on a post

2007-07-09 21:39  nkoth
	* lib/commentslib.php: [FIX] clean up of previous commit

2007-07-09 21:27  nkoth
	* tiki-view_forum.php, lib/commentslib.php: [FIX] attachments with
	  new posts used to disappear when forum moderation is on

2007-07-09 20:46  nkoth
	* lib/commentslib.php: [FIX] attachment won't work before when set
	  to admin/moderator only, or only those with perms.

2007-07-09 20:42  nkoth
	* templates/tiki-view_forum.tpl: [FIX] box for attachment not
	  showing before when set to admin/moderator only

2007-07-09 20:30  nkoth
	* tiki-download_forum_attachment.php: [FIX] Check for perms

2007-07-09 19:40  sylvieg
	* templates/tiki-view_forum.tpl: [FIX]forum: light url to view
	  thread

2007-07-09 12:38  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]tracker: display
	  nothing if data is empty

2007-07-09 08:26  nkoth
	* tiki-forum_queue.php, templates/tiki-forum_queue.tpl: [FIX] When
	  moderator saves modified queue item, "author" should not change
	  to moderator.

2007-07-09 08:18  nkoth
	* tiki-forum_queue.php: [FIX] saving of modified item in forum
	  queue made it disappear

2007-07-09 07:52  nkoth
	* lib/commentslib.php: [MOD] show error message when fail to create
	  post because post with same title and content already exists
	  (tracker item 415)

2007-07-09 07:33  nkoth
	* templates/tiki-blog_post.tpl: [MOD] hide incomplete feature -
	  users have been trying to use it

2007-07-09 06:50  nkoth
	* lib/commentslib.php: [FIX] removing of watches and other forum
	  stats on forum/thread removal (tracker item 500)

2007-07-09 06:41  nkoth
	* lib/commentslib.php: [FIX] fix typo

2007-07-09 06:35  marclaporte
	* templates/tiki-admin_rssmodules.tpl: [MOD] Adding tip on how to
	  use the new RSS feed aggregator

2007-07-09 06:21  nkoth
	* tiki-admin_forums.php: [MOD] usability: after clicking save when
	  editing forum, should still be editing same forum (instead of new
	  forum)

2007-07-09 06:11  marclaporte
	* templates/tiki.tpl: [DOC] Adding a tip in the code as to where
	  the template can be modified. Not obvious to find when you are
	  new to Tiki template design.

2007-07-09 05:29  nkoth
	* lib/wiki-plugins/wikiplugin_rss.php: [FIX] Feed titles (if any)
	  shown only when single feed. Feed titles not shown with
	  combination of multiple feeds.

2007-07-09 04:28  nkoth
	* lib/wiki-plugins/wikiplugin_rss.php: [FIX] prevent PHP notices
	  due to empty string passed to function

2007-07-09 02:56  nkoth
	* lib/wiki-plugins/wikiplugin_rss.php: [FIX] initial items should
	  not be removed when feeds are combined

2007-07-09 02:20  nkoth
	* lib/wiki-plugins/wikiplugin_versions.php: [FIX] can now work for
	  more than 2 versions (tracker item 838)

2007-07-09 00:11  sylvieg
	* lib/commentslib.php: [FIX]forum: one fix to sync counter of forum
	  on delete - a lot more to do: delete a post+ count all the
	  replies to a post

2007-07-08 23:21  sylvieg
	* templates/comments.tpl: no more Top button in forum- was making
	  any sense to go to parentId=0

2007-07-08 19:27  nkoth
	* tiki-view_forum_thread.php: [FIX] should respect category perms

2007-07-07 00:09  sylvieg
	* tiki-view_tracker_item.php: [FIX]tracker: on someserver time was
	  not well saved

2007-07-06 18:44  sylvieg
	* lib/smarty_tiki/function.html_select_time.php: [FIX]calendar:
	  time in edit event was different than date in view event when
	  server not in the time zone - use the same functions in
	  html_select_time and tiki-short_date - do not merge

2007-07-06 13:37  sylvieg
	* lib/tikilib.php: oops trace

2007-07-06 13:11  xavidp
	* db/: tiki.sql, tiki_1.8to1.9.sql: menu option inserted for users
	  map (Google maps) when gmap enabled

2007-07-06 12:51  sylvieg
	* lib/smarty_tiki/modifier.avatarize.php: [FIX]avatar: save one
	  database request: get_user_pref return nothing if user does not
	  exist

2007-07-06 07:21  chibaguy
	* styles/tikineat.css: utf-8 signature character removed

2007-07-06 07:04  chibaguy
	* styles/tikineat.css: tikineat tabcontent overlapping right column
	  in IE6 fixed

2007-07-06 00:05  sylvieg
	* tiki-view_forum.php, lib/tikilib.php,
	  lib/notifications/notificationemaillib.php,
	  templates/tiki-view_forum.tpl: [FIX]forum watch: 2eyes to watch
	  forum topic and forum topic and thread + mail link on the topic

2007-07-05 17:02  sylvieg
	* lib/trackers/trackerlib.php: [FIX]tracker: category fields in
	  tracker must always have an empty entry in
	  tiki_tracker_item_fields as soon as have a category: now it is
	  recreated - on dev.tw.org, items appearing in browse categ and
	  not in trackerlist with filter on categ must be edited to
	  recreate the missing entry

2007-07-04 20:24  sampaioprimo
	* lang/pt-br/language.php: translation

2007-07-03 23:50  sylvieg
	* db/: tiki.sql, tiki_1.8to1.9.sql: [FIX]wiki: cache is too small -
	  upgrading to longtext

2007-07-03 15:17  sylvieg
	* tiki-likepages.php: [FIX]wiki likepage: theme control applied

2007-07-03 15:14  sylvieg
	* tiki-pagehistory.php: [FIX]wiki history: them control with categ
	  applied

2007-07-03 15:11  sylvieg
	* tiki-index.php: [FIX]wiki: theme control was called twice in
	  tiki-index

2007-07-02 22:48  sylvieg
	* lib/tiki-js.js: [FIX]IE6 error when switching tabs in tracker
	  item view

2007-07-02 17:35  sylvieg
	* tiki-view_tracker.php: notice

2007-07-02 13:05  sylvieg
	* tiki-view_tracker.php: [FIX]tracker: move the assign of fields
	  after collecting info on tracker, because the collection can
	  reassign fields->should fix the rating sort on dev.tw

2007-06-30 14:09  sylvieg
	* categorize_list.php: [FIX]categories: empty the categories table
	  not to have notice

2007-06-30 03:22  sylvieg
	* tiki-setup.php: [FIX]avois path disclose on bad url ...

2007-06-30 02:50  sylvieg
	* tiki-rename_page.php: [FIX]wiki: rename follows section css

2007-06-30 02:39  sylvieg
	* tiki-pagehistory.php: [FIX]wiki: history follows section css

2007-06-30 00:10  sylvieg
	* styles/fmsc.css: [FIX]fmsc: the square + colon overlapping - thx
	  chibaguy

2007-06-29 14:31  sylvieg
	* tiki-login.php, lib/userslib.php: [FIX]rememberme: add the user
	  name in the cookie because with users having a changing IP, you
	  can become another user when rememberme is used

2007-06-29 02:22  marclaporte
	* templates/tiki-view_forum.tpl: [FIX] Forums: Visual consistency
	  fix to title input field for 1st forum posts (topics) to be same
	  size as comments and replies.

2007-06-28 20:54  sylvieg
	* lib/wiki-plugins/wikiplugin_trackerlist.php,
	  templates/tiki-plugin_trackerlist.tpl: [NEW]trackerlist: new
	  param showfieldname (to shows the names of the fields)

2007-06-28 15:39  sylvieg
	* db/tiki-db.php: [MOD]if error while connecting to the database,
	  do not link to tiki-install but only displays the error. It can
	  be a lost connection that does not need a tiki-install.php. If
	  db/local.php does not exist, an error linking to tiki-install has
	  already being displayed

2007-06-27 23:51  sylvieg
	* templates/tiki-faq_questions.tpl: [FIX]rollback 1.12.2.6: comment
	  malformed

2007-06-27 20:58  sampaioprimo
	* lang/pt-br/language.php: fix strings translation on pt-br
	  language.php

2007-06-27 19:47  marclaporte
	* templates/: tiki-forums.tpl, tiki-view_forum.tpl: [FIX] Forums:
	  When listing forums, and messages in forums, only show pagination
	  links when more than one page

2007-06-27 19:15  marclaporte
	* templates/comments.tpl: [FIX] Comments & forums: only show
	  pagination links when more than one page

2007-06-27 18:34  marclaporte
	* templates/comments.tpl: [FIX] Adding warning to avoid error
	  message (Missing title or body when trying to post a comment) +
	  increase title size to look nicer.

2007-06-26 22:40  sylvieg
	* modules/mod-last_tracker_items.php: [FIX]last tracker item
	  module: was interfering with last images

2007-06-26 19:31  mose
	* tiki-admin_system.php: [FIX] cache & multitiki : avoid subtiki
	  cache is emptied when toplevel tiki cache is emptied

2007-06-26 18:16  sylvieg
	* modules/mod-last_tracker_items.php: [FIX]module tracker: the
	  error was not displaying

2007-06-26 17:26  sylvieg
	* templates/tiki-searchindex.tpl: [FIX]search: missing tracker in
	  site identity search

2007-06-25 13:25  sylvieg
	* tiki-setup.php: [FIX]better fix

2007-06-25 13:17  sylvieg
	* tiki-setup.php: [FIX]lang: quick patch for 1.9 - avoid error if
	  user has a language that is no more there as en-us

2007-06-24 01:06  sampaioprimo
	* lang/pt-br/language.php: a few more string translation to pt-br

2007-06-23 21:54  sampaioprimo
	* lang/pt-br/language.php: fixed another string on pt-br
	  language.php :-)

2007-06-23 21:42  sampaioprimo
	* lang/pt-br/language.php: fix one string translation on pt-br
	  language.php

2007-06-23 18:27  sampaioprimo
	* lang/pt-br/language.php: pt-br string translation

2007-06-21 13:05  sylvieg
	* tiki-view_tracker.php: [MOD]tracker: add a possible param
	  maxRecords to debug some tricky bug on dev.tw.org

2007-06-21 12:48  sylvieg
	* templates/tiki-view_tracker.tpl: [FIX]tracker: anonymous does not
	  see watch button

2007-06-20 23:33  sylvieg
	* templates/tiki-view_tracker.tpl: [FIX]tracker: watch was gone

2007-06-20 20:25  sylvieg
	* tiki-view_tracker_item.php: notice

2007-06-20 20:16  sylvieg
	* templates/tiki-plugin_poll.tpl: [FIX]dev.tx.org 887 - incorrect
	  html tags

2007-06-19 12:26  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]rollback: either do
	  not put : in a string or include it: French put a space before :,
	  English no space - so it must be in the translation if the : is
	  needed

2007-06-19 04:12  nkoth
	* tiki-admin_forums.php: [FIX] prevent categories from showing
	  double after save with categorization

2007-06-18 20:34  nkoth
	* tiki-view_tracker_item.php: [FIX] should check for individual
	  tracker perms for tiki_p_view_trackers_pending and
	  tiki_p_view_trackers_closed if necessary.

2007-06-18 20:29  nkoth
	* tiki-download_item_attachment.php: [FIX] checks for individual
	  perms (bug tracker item 1027).

2007-06-18 17:27  sampaioprimo
	* lang/pt-br/language.php: fix syntax error on pt-br language file

2007-06-16 22:31  bluestrain
	* templates/tiki-admin-include-features.tpl: [FIX] Changed help
	  link from Game to Games to link properly to docs. dthacker

2007-06-15 13:32  mose
	* db/tiki_1.8to1.9.sql: [FIX] perms: no perms ever granted from
	  upgrade script, plus cleaning

2007-06-14 17:18  sampaioprimo
	* templates/: tiki-admin-include-wiki.tpl, tiki-editpage.tpl:
	  feature name moved from "Search and replace" to "Regex search and
	  replace"

2007-06-14 16:11  sampaioprimo
	* lang/pt-br/language.php: a few string translation

2007-06-14 15:28  sampaioprimo
	* templates/tiki-view_tracker_item.tpl: colon should not be inside
	  {tr} tag to facilitate translation

2007-06-14 02:41  marclaporte
	* templates/tiki-admin-include-features.tpl: [FIX] doc link to
	  articles, not article

2007-06-13 05:54  nkoth
	* lib/init/initlib.php: [FIX] allow it to work even when ini_set is
	  disabled on those shared hosting environments with no control
	  over php.ini

2007-06-13 02:41  marclaporte
	* tiki-minical.php, templates/tiki-mytiki_bar.tpl: [FIX] Minical:
	  check not only if feature is activated but also if current user
	  has the permission to use.

2007-06-12 19:43  nkoth
	* tiki-admin_categories.php, lib/categories/categlib.php: [FIX]
	  admin cats displays sub-cat under wrong parent in special cases
	  (tracker item 920)

2007-06-11 21:38  luciash
	* templates/tiki-debug_console.tpl: [FIX] escape URLs

2007-06-11 21:16  luciash
	* templates/tiki-webmail.tpl: [FIX] escaping values, fixed broken
	  layout for simple style theme by removing an extra div closing
	  tag which wasn't opened

2007-06-11 20:39  luciash
	* lib/webmail/htmlMimeMail.php: [FIX] another prevention of php
	  notice "Only variable references should be returned by reference"

2007-06-11 17:46  sylvieg
	* tiki-view_tracker.php: [FIX]tracker: move again the trackerId
	  smarty assign as list_items can use trackerlist and redefine
	  these values

2007-06-11 16:53  sylvieg
	* templates/tiki-view_tracker.tpl: [FIX]rating: take away extra
	  space

2007-06-11 16:25  luciash
	* tiki-webmail.php: [FIX] prevent PHP notice and show correct date
	  and time if delivery-date missing

2007-06-11 15:11  sylvieg
	* templates/tiki-view_tracker.tpl, tiki-view_tracker.php:
	  [FIX]tracker rating

2007-06-11 14:55  sylvieg
	* tiki-view_tracker.php: oops trace

2007-06-11 14:54  sylvieg
	* templates/tiki-view_tracker.tpl, tiki-view_tracker.php,
	  lib/trackers/trackerlib.php: [FIX]tracker rating

2007-06-11 13:05  sylvieg
	* templates/modules/: mod-last_blog_posts.tpl,
	  mod-last_created_blogs.tpl: [MOD]blog: add data and user on the
	  title link in forum last topics/posts modules

2007-06-11 12:40  sylvieg
	* lib/rankings/ranklib.php,
	  templates/modules/mod-forums_last_posts.tpl,
	  templates/modules/mod-forums_last_topics.tpl: [MOD]forum: add
	  data and user on the title link in forum last topics/posts
	  modules

2007-06-10 22:47  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]tracker: rating can
	  work with another language than en

2007-06-10 22:43  sylvieg
	* templates/tiki-view_tracker.tpl: [FIX]tracker: rating can work
	  with another language than en

2007-06-10 21:41  sylvieg
	* lib/wiki-plugins/wikiplugin_flash.php: notice

2007-06-10 16:25  sylvieg
	* lib/wiki-plugins/wikiplugin_backlinks.php: [FIX]missing include

2007-06-10 14:07  luciash
	* styles/simple.css, styles/lite/lite.css,
	  templates/styles/simple/tiki.tpl: [FIX] backport from HEAD:
	  lite+simple css layout support for MSIE 7

2007-06-10 13:11  sylvieg
	* tiki-view_tracker_item.php: [FIX]tracker : fix the weird bug
	  dev.tw.org/tiki-view_tracker_item.php?itemId=989. The smarty vars
	  for the tracker must be assigned after the parsing of all the
	  fields (because a field can contains a trackerlist for instance)

2007-06-10 02:03  nkoth
	* tiki-admin_include_theme.php, tiki-admin_include_features.php,
	  templates/tiki-admin-include-features.tpl,
	  templates/tiki-admin-include-theme.tpl: [MOD] move use tabs
	  checkbox from admin features to admin theme

2007-06-10 01:43  nkoth
	* templates/tiki-admin-include-general.tpl: [FIX] add translation
	  tags for link just added

2007-06-10 01:32  nkoth
	* templates/tiki-admin-include-general.tpl: [MOD] put link to admin
	  themes where admin stuff was before

2007-06-10 00:56  nkoth
	* tiki-admin_include_general.php, tiki-admin_include_theme.php,
	  templates/tiki-admin-include-general.tpl,
	  templates/tiki-admin-include-theme.tpl: [MOD] move themes
	  selection form admin general to admin themes (tracker item 958)

2007-06-09 23:30  nkoth
	* tiki-setup.php, tiki-admin_include_wiki.php, db/tiki.sql,
	  db/tiki_1.8to1.9.sql, templates/tiki-admin-include-wiki.tpl,
	  templates/tiki-editpage.tpl: [MOD] Import page is hidden if
	  feature is off - default is off for new install and on for
	  upgrades

2007-06-09 23:12  sylvieg
	* tiki-index.php: [FIX]wiki: when like pages was activated or a
	  redirection was done on a page, the header should be 302 and not
	  402 - was giving a white page

2007-06-09 22:46  marclaporte
	* db/tiki.sql: [MOD] Change default behavior on clean install: new
	  table format + monospace on leading space: off

2007-06-09 22:25  marclaporte
	* tiki-admin_include_features.php,
	  templates/tiki-admin-include-features.tpl: [MOD] Removing
	  Trackbacks Pings setting from admin features. It is already in
	  admin-blog

2007-06-09 22:10  marclaporte
	* tiki-admin_include_features.php, tiki-admin_include_general.php,
	  templates/tiki-admin-include-features.tpl,
	  templates/tiki-admin-include-general.tpl: [MOD]moving
	  feature_help setting from admin-features to admin-general

2007-06-09 20:49  marclaporte
	* db/tiki.sql: [MOD] Change feature_help to be on by default. These
	  are links are from the Tiki admin panels to doc.tikiwiki.org.
	  Suggestion by Yanaroo.

2007-06-09 20:37  sylvieg
	* lib/userslib.php: notice

2007-06-09 02:07  sylvieg
	* tiki-view_tracker.php: notice

2007-06-08 23:07  sylvieg
	* tiki-view_tracker.php: [FIX]tracker/categ: a new item had no
	  categ description (no value in browse categ) until it was
	  modified

2007-06-08 22:29  sylvieg
	* doc/devtools/cleanCatTrackers.php: [FIX]trim the strings

2007-06-08 21:36  sylvieg
	* doc/devtools/cleanCatTrackers.php: [MOD]clean Category for
	  tracker: also replace url with itemId=0 by the real itenId

2007-06-08 16:30  sylvieg
	* lang/fr/language.php: update

2007-06-08 15:46  sylvieg
	* tiki-tracker_rss.php: [FIX]rss on a tracker perm (dev.tw 1056)

2007-06-06 14:21  johan_mx
	* lib/userslib.php: [FIX] PAM Auth: pam_auth was not called
	  correctly.

2007-06-05 19:27  sylvieg
	* tiki-webmail.php: backport

2007-06-05 11:17  marclaporte
	* tiki-admin_include_category.php, tiki-admin_include_module.php,
	  tiki-admin_include_textarea.php, tiki-admin_include_theme.php,
	  templates/tiki-admin-include-category.tpl,
	  templates/tiki-admin-include-module.tpl,
	  templates/tiki-admin-include-textarea.tpl,
	  templates/tiki-admin-include-theme.tpl: [MOD] Created 4 new admin
	  panels: category, module, theme, and textarea. DevTrackers #956,
	  #958, #962, #964. Left hyerlinks where most of the options were
	  before (as a transition measure).

2007-06-05 11:11  marclaporte
	* tiki-admin.php, tiki-admin_include_features.php,
	  tiki-admin_include_general.php,
	  templates/tiki-admin-include-anchors.tpl,
	  templates/tiki-admin-include-features.tpl,
	  templates/tiki-admin-include-general.tpl,
	  img/icons/admin_category.png, img/icons/admin_textarea.png,
	  img/icons/admin_theme.png,
	  templates/tiki-admin-include-list-sections.tpl,
	  templates/tiki-admin.tpl: [MOD] Created 4 new admin panels:
	  category, module, theme, and textarea. DevTrackers #956, #958,
	  #962, #964. Left hyerlinks where most of the options were before
	  (as a transition measure).

2007-06-05 02:44  marclaporte
	* tiki-admin_include_general.php,
	  templates/tiki-admin-include-general.tpl: [MOD] Remove 4 i18n
	  settings from general admin panel since they are in i18n admin
	  panel

2007-06-05 00:31  marclaporte
	* tiki-admin_include_features.php,
	  templates/tiki-admin-include-features.tpl: [MOD] Remove 4 options
	  from main feature admin panel since the are in i18n admin panel

2007-06-05 00:12  marclaporte
	* tiki-admin_include_blogs.php,
	  templates/tiki-admin-include-blogs.tpl: [MOD] Add Trackback Pings
	  setting in blog admin panel

2007-06-04 19:23  marclaporte
	* templates/tiki-admin-include-features.tpl: Documentation links:
	  1st batch of cleanup to use the new keywords on doc.tikiwiki.org
	  and dev.tikiwiki.org

2007-06-03 22:51  marclaporte
	* lib/wiki-plugins/wikiplugin_article.php: Article plugin: fix typo
	  in code caused by recent cleanup

2007-06-02 04:06  marclaporte
	* categorize_list.php: Categories: avoid Notice:  Undefined
	  variable:  categories in categorize_list.php when no categories
	  have been setup yet

2007-06-02 02:44  marclaporte
	* templates/tiki-user_watches.tpl: User Watches: only offer to
	  watch articles 1- if the articles feature is activated (some
	  people confuse articles and wiki pages) and 2- If the user has
	  the permission to read articles (tiki_p_read_article)

2007-06-01 18:57  sylvieg
	* tiki-remind_password.php: [FIX]mail: error message if mail can
	  not be sent

2007-05-30 15:58  mose
	* lib/tikilib.php: [FIX] parsing: avoiding antislashes break
	  parsing, better

2007-05-30 15:32  mose
	* lib/tikilib.php: [FIX] parsing: avoiding antislashes break
	  parsing with ~np~ and ~pp~ (backport)

2007-05-29 20:03  sylvieg
	* modules/mod-since_last_visit_new.php: [FIX]since_last_visit_new
	  was showing tracker with no perm

2007-05-29 12:31  mose
	* lib/init/tra.php: [FIX] multilingual: removed interativetag call
	  that is 1.10 only

2007-05-24 23:35  marclaporte
	* templates/styles/smartiki/: error.tpl, tiki.tpl: [FIX] Smartiki
	  theme: fix links to spacer image. No visual change but will stop
	  adding error messages to log files

2007-05-24 18:47  sylvieg
	* templates/tiki-adminusers.tpl: [FIX] rollback, the statement
	  unvalid=provpass is false (provpass can exist if remind password
	  has been activated

2007-05-24 02:56  mose
	* tiki-show_all_images.php, templates/tiki-browse_gallery.tpl:
	  [MOD] imagegal: added a tool to display all thumbnails in a
	  gallery on a single image file

2007-05-18 18:00  sylvieg
	* tiki-download_forum_attachment.php,
	  tiki-download_item_attachment.php,
	  tiki-download_wiki_attachment.php: [FIX] desactivate tiki output
	  compression when downloading file (bug if the file is a zip)

2007-05-18 17:51  sylvieg
	* styles/fmsc.css: [FIX]fmsc.css: comment left align+ tableheading
	  link in white

2007-05-18 05:09  chibaguy
	* tests/test_cvs_file.txt: Just testing

2007-05-17 17:07  sylvieg
	* styles/fmsc.css: [FIX]missing themes icons - for the moment go in
	  hec directory and not fmsc directory.... one needs to disappear

2007-05-16 17:34  nkoth
	* lib/calendar/calendarlib.php: [FIX] Removal of calendar that has
	  been categorized does not uncategorize it. Tracker item 914.

2007-05-16 04:30  nkoth
	* tiki-admingroups.php: [FIX] delete group deletes even if user
	  does not click "click here to confirm"

2007-05-16 03:33  nkoth
	* templates/tiki-listpages.tpl: [FIX] Clicking on alpha for
	  filtering of pages should not use offset, otherwise user may be
	  shown no pages even if there are pages starting with that alpha

2007-05-16 03:09  nkoth
	* templates/tiki-calendar.tpl: [FIX] Onchange js event does not
	  work in IE, changed to onclick

2007-05-16 02:48  nkoth
	* lib/userslib.php: [FIX] error in SQL query when user without
	  tiki_p_admin, but with tiki_p_admin_users tries to get_groups (in
	  tiki-assignuser.php for example) with $find set.

2007-05-16 00:24  nkoth
	* templates/: tiki-admingroups.tpl, tiki-adminusers.tpl: [FIX]
	  Clicking on initial alpha in navigation should not use offset,
	  otherwise user can be sent to a page that shows no users or
	  groups, even if there are users or groups starting with that
	  alpha

2007-05-15 15:19  sylvieg
	* templates/tiki-plugin_trackerlist.tpl: [FIX]trackerlist: if date
	  empty do not display a stupid date

2007-05-15 00:38  sampaioprimo
	* lang/pt-br/language.php: fix one string translation

2007-05-14 23:50  sylvieg
	* tiki-view_tracker.php: notice

2007-05-14 20:50  nkoth
	* lib/structures/structlib.php: Only delete a page if other
	  structures arent referencing it not working before due to typo in
	  if clause

2007-05-14 20:29  nkoth
	* tiki-calendar.php, modules/mod-upcoming_events.php: Calender
	  viewing should respect category permissions if categorized

2007-05-12 07:27  nkoth
	* templates/tiki-faq_questions.tpl: [FIX] Fix bad comment closing
	  tag

2007-05-12 06:52  nkoth
	* tiki-index.php: [FIX] hash used for filename for wiki file
	  attachments must be more unique, otherwise uploading second
	  attachment of same filename to wiki will replace contents of old
	  file with same name

2007-05-12 06:11  nkoth
	* lib/userslib.php: [FIX] when group name is changed, the group
	  must be changed where it appears in includegroup field in
	  tiki_group_inclusion table

2007-05-12 05:58  nkoth
	* lib/tikilib.php: [FIX] When a page is totally removed, any
	  attachments must also be removed.

2007-05-12 05:22  nkoth
	* lib/tikilib.php: [FIX] FAQs that user have no perms to view
	  should not be shown in list of FAQs

2007-05-12 01:59  sylvieg
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-05-12 01:15  sylvieg
	* comments.php: oops - I missed up with forum perm

2007-05-11 20:38  luciash
	* templates/tiki-install.tpl: [FIX] added missing smarty {tr} tags

2007-05-11 17:57  sylvieg
	* lib/smarty_tiki/modifier.truncate.php: backport 1.10

2007-05-11 17:54  sylvieg
	* lib/smarty/: ChangeLog, NEWS, libs/Config_File.class.php,
	  libs/Smarty.class.php, libs/Smarty_Compiler.class.php,
	  libs/debug.tpl, libs/internals/core.write_compiled_include.php,
	  libs/internals/core.write_file.php,
	  libs/plugins/function.fetch.php,
	  libs/plugins/function.html_select_date.php,
	  libs/plugins/function.html_table.php,
	  libs/plugins/function.mailto.php,
	  libs/plugins/function.popup.php,
	  libs/plugins/modifier.capitalize.php,
	  libs/plugins/modifier.date_format.php,
	  libs/plugins/modifier.debug_print_var.php,
	  libs/plugins/modifier.truncate.php,
	  libs/plugins/outputfilter.trimwhitespace.php: Upgrade to smarty
	  2.6.18: copy the release - change the https in fetch , instead of
	  merge

2007-05-11 16:19  sylvieg
	* comments.php: [FIX]forum: error message when you try to post with
	  no perms

2007-05-11 15:42  sylvieg
	* templates/tiki-view_forum.tpl: [MOD]forum: do not show the choice
	  of types if you have can choose normal

2007-05-11 15:30  sylvieg
	* templates/tiki-admin_forums.tpl: [FIX]forum: cycle

2007-05-11 15:24  sylvieg
	* templates/tiki-view_forum.tpl: [MOD]forum: title to post type

2007-05-11 14:34  sylvieg
	* templates/tiki-install.tpl: oops fix html - thx nyloth

2007-05-11 13:03  sylvieg
	* tiki-view_forum_thread.php: [FIX]forum: do not show the comment
	  input box if the thread is locked for non admin

2007-05-11 05:02  lmoss
	* lib/categories/categlib.php: Bug fix: approved articles inherit
	  only the categorization of the submission, not of other objects
	  that happen to share an ID with the submission

2007-05-11 00:23  sylvieg
	* templates/tiki-install.tpl: [FIX]IE: running an install on IE was
	  creating again the database and not upgrading  because of
	  <button> that has 2 different behaviors in IE /FF. <button> has
	  always the S_REQUEST set in IE, only if clicked in FF-> do not
	  use button in you have multiple buttons in a form

2007-05-10 23:47  sylvieg
	* templates/tiki-install.tpl: [MOD]install: better to see all the
	  drop down list at install than only one option

2007-05-10 17:57  nkoth
	* lib/calendar/calendarlib.php: [FIX] deletion of calendar with no
	  items causes database query error (tracker item 913)

2007-05-09 21:28  sylvieg
	* tiki-admin_trackers.php, tiki-view_tracker.php,
	  templates/tiki-admin_trackers.tpl,
	  templates/tiki-view_tracker.tpl,
	  templates/tracker_item_field_value.tpl,
	  lib/trackers/trackerlib.php: [MOD]tracker: in view tracker item
	  list, can have a popup on the main values showing the field
	  values given in the tracker def

2007-05-09 16:29  xavidp
	* lang/ca/language.php: small fix requested by a friend (and I
	  usually forgot to include that fix)

2007-05-09 15:48  xavidp
	* lib/wiki-plugins/: wikiplugin_category.php,
	  wikiplugin_catorphans.php: reference also to forum was missing
	  from the information in the wiki help box

2007-05-09 15:42  xavidp
	* templates/tiki-pick_avatar.tpl: Added notice to only upload .gif
	  images, since png or jpg has been producing black squares for
	  many months.... bug opened at
	  http://dev.tikiwiki.org/tiki-view_tracker_item.php?itemId=1092&trackerId=5

	  when fixed, please, remove note from tpl

2007-05-07 22:50  sylvieg
	* templates/tracker_item_field_value.tpl: a cleaner display of item
	  field value + some fixes

2007-05-07 22:50  sylvieg
	* templates/tracker_item_field_value.tpl: file
	  tracker_item_field_value.tpl was added on branch BRANCH-1-9 on
	  2007-05-09 19:28:57 +0000

2007-05-07 17:43  sylvieg
	* templates/tiki-adminusers.tpl, lib/userslib.php: [MOD]login: show
	  status valid/invalid for each user

2007-05-05 00:15  sylvieg
	* lib/tikilib.php: [FIX]trackerlist: backport from head- perm
	  problem when you do not have special perm and categ perm

2007-05-04 16:07  sylvieg
	* templates/tracker_item_field_value.tpl: [MOD] new template to
	  show the value of a item field -> to try to eliminate code
	  duplication

2007-05-04 15:50  sylvieg
	* lib/trackers/trackerlib.php: [MOD]tracker: can limit to
	  list_tracker_fields function to some fields

2007-05-02 16:43  sylvieg
	* lib/imagegals/imagegallib.php: oops

2007-05-01 23:48  sylvieg
	* templates/mail/user_watch_image_gallery_changed_subject.tpl,
	  templates/mail/user_watch_image_gallery_upload.tpl,
	  tiki-upload_image.php: [MOD]img: can watch upload on an img
	  gallery

2007-05-01 23:43  sylvieg
	* tiki-browse_gallery.php, lib/tikilib.php,
	  lib/imagegals/imagegallib.php, templates/tiki-browse_gallery.tpl:
	  [MOD]img: can watch upload on an img gallery

2007-05-01 16:08  mose
	* templates/tiki-user_menu.tpl: [MOD] usermenus: make empty url
	  toggle open subsection

2007-05-01 15:46  mose
	* tiki-galleries.php, templates/tiki-galleries.tpl: [MOD] imagegal:
	  made multiple scales possible for galleries, separating scales
	  with commas

2007-04-30 22:43  sylvieg
	* lib/tikilib.php: notice

2007-04-30 15:31  sylvieg
	* lib/searchlib.php:  [FIX]mysql search: was returning object with
	  special perms for people with no global perm (ex: anonymous with
	  tiki_p_view=n was able to see page with special perm, but
	  anonymous with tiki_p_view=y was fine

2007-04-26 05:49  marclaporte
	* templates/tiki-rename_page.tpl: [FIX] Fix broken link in wiki
	  page rename interface

2007-04-25 16:32  sylvieg
	* tiki-download_file.php, tiki-setup.php: [FIX] to be able to
	  download some zip files on FF  if 'use gzipped output'is checked'
	  (seems that a zip on a zip is not working)

2007-04-24 18:23  sylvieg
	* templates/tiki-syslog.tpl: [FIX]syslog: html; syntax

2007-04-24 18:15  sylvieg
	* templates/tiki-syslog.tpl: [FIX]syslog: typo

2007-04-23 23:45  sylvieg
	* lib/notifications/notificationemaillib.php: [FIX]forum: get notif
	  on forum topic watch(the object is the topic not the object)

2007-04-19 13:50  sylvieg
	* templates/tiki-admin_hotwords.tpl: [FIX]hotwords: delete hotword
	  with special characters

2007-04-17 05:17  marclaporte
	* styles/bluegreen.css: [FIX] Rollback a bad correction to
	  Bluegreen theme. It is better to use overflow=y in the module
	  parameters when using vertical phplayermenus in Internet
	  Explorer.

2007-04-17 01:38  marclaporte
	* styles/elegant.css: [FIX] Make phplayersmenu look good with
	  elegant theme

2007-04-16 21:31  marclaporte
	* styles/damian.css: [FIX] Make menus look nicer with Damian style

2007-04-16 08:13  marclaporte
	* templates/tiki-admin_modules.tpl: Warning message about possibly
	  breaking a Tiki site by improprer use of Smarty Syntax in modules

2007-04-15 16:11  marclaporte
	* templates/tiki-admin_integrator.tpl: adding help link for Tiki
	  integrator feature

2007-04-13 11:56  xavidp
	* lang/ca/language.php: some more strings translated after a
	  get_strings.php?lang=ca update with cvs code

2007-04-11 16:47  sylvieg
	* templates/tiki-listpages.tpl: [FIX]list page: some tuning

2007-04-11 00:06  sylvieg
	* categorize_list.php: [FIX]categ: backport from 1.10- do not see
	  in the list of categories you can assign one you can not view

2007-04-10 23:28  marclaporte
	* lib/tikihelp/menu.html: [FIX] WebHelp: Missing UTF-8 charset
	  support in Index menu. Patch provided by alain75007 at
	  http://dev.tikiwiki.org/tiki-view_tracker_item.php?itemId=1060

2007-04-10 17:01  sylvieg
	* lib/stats/statslib.php: [FIX]stats: need only the number of
	  orphan pages

2007-04-09 23:32  xavidp
	* lang/ca/language.php: some more strings translated (friendship
	  network, etc.) + some fixes

2007-04-09 15:36  sylvieg
	* tiki-download_file.php: [FIX]fgal: when using the direct link
	  tiki-download_file.php, use a complete setup to be able to have
	  an error page with 3 columns

2007-04-09 15:16  sylvieg
	* tiki-download_file.php: [FIX]fgal: the direct link
	  tiki-download_file.php was not checking categ perm

2007-04-09 14:49  sylvieg
	* tiki-listpages.php, lib/categories/categlib.php: [FIX]categ:
	  rollbackthe optimisation - can be done only in 1.10 because needs
	  a clean cache

2007-04-06 23:36  marclaporte
	* templates/: tiki-view_tracker.tpl, tiki-view_tracker_item.tpl:
	  [FIX] Trackers: fix typo in permissions to list trackers

2007-04-06 22:48  sylvieg
	* db/tiki.sql: oops forgot this commit

2007-04-06 18:52  xavidp
	* lang/ca/language.php: some more strings added or fixed

2007-04-06 18:44  sylvieg
	* lib/categories/categlib.php: [FIX]categ: was creating an infinite
	  loop at categs cache building

2007-04-06 13:59  sylvieg
	* lib/tikilib.php, lib/wiki-plugins/wikiplugin_article.php,
	  tiki-mods.php, tiki-mods_admin.php: [FIX] some cleaning with
	  include_once-put on same line for easy grep

2007-04-06 13:37  sylvieg
	* tiki-admin_include_trackers.php: [FIX]traker: include_once in
	  case a module use trackerlib.php

2007-04-05 20:40  sylvieg
	* lib/smarty_tiki/outputfilter.highlight.php: [FIX]search: try to
	  save some search highlight case where the convention centercolumn
	  has not been respected: will create upgrade pb for people with
	  specioal tiki.tpl

2007-04-05 14:45  sylvieg
	* lib/wiki-plugins/wikiplugin_tracker.php: 2 same include

2007-04-05 14:44  sylvieg
	* lib/wiki-plugins/wikiplugin_trackerlist.php: a global just in
	  case

2007-04-04 20:42  xavidp
	* tiki-gmap_locator.php: [FIX]fix to check that user is logged, in
	  order to disable anonymous to set position in gmap (with db
	  error)

2007-04-04 18:36  sylvieg
	* tiki-switch_lang.php: [FIX]switchlag : missing a global

2007-04-03 21:17  sylvieg
	* tiki-listpages.php: oops

2007-04-03 20:15  sylvieg
	* tiki-admin_include_wiki.php, tiki-listpages.php,
	  templates/tiki-listpages.tpl,
	  templates/tiki-admin-include-wiki.tpl: [MOD]wiki: in list page
	  can display categname or categpath of a page + fix the colspan
	  size

2007-04-03 17:15  sylvieg
	* tiki-admin_include_wiki.php: [FIX]wiki: mixed up the smarty list
	  vars

2007-04-03 14:54  sylvieg
	* categorize_list.php: notice

2007-04-03 00:16  sylvieg
	* lib/categories/categlib.php, tiki-admin_include_wiki.php,
	  tiki-listpages.php, templates/tiki-admin-include-wiki.tpl,
	  templates/tiki-listpages.tpl: [MOD]categ: can see the page categs
	  in list pages

2007-04-02 23:34  sylvieg
	* lib/categories/categlib.php: [FIX]categ: some backport from 1.10
	  to be able to merge (dammed)

2007-04-02 22:46  sylvieg
	* tiki-admin_include_wikiatt.php: [FIX]wiki: redeclaration

2007-04-02 17:58  sylvieg
	* lib/trackers/trackerlib.php: [FIX]tracker: image needs a chmod on
	  some system (see move_uploaded_file on php.net)

2007-04-02 15:13  sylvieg
	* lib/trackers/trackerlib.php: [FIX]tracker: do not expanse an
	  image if the uploadLimitScale is larger than the real image size

2007-04-01 21:15  sylvieg
	* lib/trackers/trackerlib.php: [FIX]tracker: notice in item list
	  field

2007-04-01 18:26  sylvieg
	* tiki-view_tracker.php: [FIX] tracker: img was not loaded anymore
	  - take away a call to an deprecated function mime_content_type.
	  the type og the  seem to be enough - not need to call fileinfo

2007-03-30 16:55  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]tracker: finish to put
	  class formlabel for field name in tracker view

2007-03-30 16:03  sylvieg
	* lib/wiki-plugins/: wikiplugin_trackerfilter.php,
	  wikiplugin_trackerlist.php: [FIX] forgot help string

2007-03-30 15:37  sylvieg
	* lib/wiki-plugins/wikiplugin_trackerlist.php: [MOD]tracker: new
	  param goIfOne to go directly to display item if only one item in
	  tracker plugin filter(and list)

2007-03-30 14:34  sylvieg
	* lib/wiki-plugins/wikiplugin_trackerfilter.php,
	  templates/wiki-plugins/wikiplugin_trackerfilter.tpl:
	  [MOD]tracker: new param action = name of the button for
	  trackerfilter plugin

2007-03-28 14:57  luciash
	* templates/tiki-list_games.tpl: [FIX] typo fix, prevent confusion:
	  it is swf not sqf

2007-03-28 14:10  luciash
	* tiki-setup_base.php: [FIX] security: sanitize game var

2007-03-27 20:11  sylvieg
	* lib/smarty_tiki/function.phplayers.php: [FIX]phplm: highlight
	  also the page if you are in tiki-editpage.php as in
	  tiki-index.php

2007-03-27 19:32  sylvieg
	* lib/trackers/trackerlib.php: [FIX]tracker: to be able to remoce
	  all the categs from a tracker

2007-03-27 18:15  luciash
	* styles/: simple.css, lite/lite.css: [FIX] simmilar base font
	  sizes, fix for MSIE 5.x tables width

2007-03-27 16:52  sylvieg
	* templates/tiki-admin_categories.tpl: [FIX]categ: some anchor on
	  prev next

2007-03-27 15:16  sylvieg
	* modules/mod-last_articles.php: [FIX]articles: conflict with lang
	  variable in mod-last_articles

2007-03-27 10:00  luciash
	* styles/: simple.css, lite/lite.css: [FIX] minor fix for correct
	  padding on the right side of the center column in IE7

2007-03-27 09:40  luciash
	* styles/: simple.css, lite/lite.css: [FIX] correct rendering when
	  right/both column off in IE 7

2007-03-27 03:10  luciash
	* styles/: simple.css, lite/lite.css: [FIX] w00t ! full CSS source
	  ordered layout support also for IE 7 ! done only via CSS ! :)

2007-03-26 19:56  sylvieg
	* templates/: tiki-list_articles.tpl, tiki-listpages.tpl:
	  [FIX]article, page: do not display page1/0 if no result

2007-03-26 19:48  sylvieg
	* templates/: tiki-searchindex.tpl, tiki-searchresults.tpl: [FIX]
	  oops wrong div place

2007-03-26 19:23  sylvieg
	* lib/categories/categlib.php: [FIX]categ: categpath was sometimes
	  missing in allcategs cache

2007-03-26 18:44  sylvieg
	* lib/cache/cachelib.php: cvs info

2007-03-26 16:38  sylvieg
	* lib/tikilib.php: [MOD]perms: more cleaning on perm on categ in
	  new functions

2007-03-25 16:52  sylvieg
	* lang/es/language.php: [FIX]page thx casarizoma

2007-03-23 19:39  sylvieg
	* db/: tiki.sql, tiki_1.8to1.9.sql: [FIX] add index in tiki-links
	  because complains about to many joins wiithout index

2007-03-22 18:16  sylvieg
	* templates/: tiki-searchindex.tpl, tiki-searchresults.tpl:
	  [FIX]search: better to highlight the found like to associate the
	  color

2007-03-22 14:34  sylvieg
	* lib/userslib.php: [FIX]optimisation: backport 1.10 - less
	  requests for user in a lot of groups

2007-03-22 14:09  sylvieg
	* tiki-view_forum.php: [FIX]forum: can attach a file while editing
	  an existing topic

2007-03-21 20:36  sylvieg
	* templates/tiki-list_articles.tpl: rollback

2007-03-21 15:35  sylvieg
	* lib/smarty_tiki/outputfilter.highlight.php,
	  templates/tiki-searchindex.tpl, templates/tiki-searchresults.tpl:
	  [FIX]highligh: fix the possibility to say a div has no highligh
	  (the smarty comment was parsed)

2007-03-21 13:26  sylvieg
	* tiki-list_articles.php, templates/find.tpl: [FIX]articles: list
	  categ

2007-03-21 12:10  sylvieg
	* tiki-view_forum.php, comments.php: [FIX]forum: oops do not check
	  antibot for logged user

2007-03-21 03:05  marclaporte
	* lib/trackers/trackerlib.php: Tracker modification email
	  notifications: Use mail template subject instead of hard-coded
	  message

2007-03-20 22:53  sylvieg
	* lib/smarty_tiki/outputfilter.highlight.php: [FIX]highlight: give
	  up with regular expression to have with /out right and left col -
	  next step kill toggg 'regexp' that doesn not work

2007-03-20 19:35  sylvieg
	* lib/tikilib.php: [FIX]perm: admin not well test + more case un
	  new perms function

2007-03-20 04:49  marclaporte
	* templates/tiki-list_articles.tpl: clearer text

2007-03-19 21:21  sylvieg
	* lib/smarty_tiki/outputfilter.highlight.php: [FIX]highlight: limit
	  highlight to centercolumn

2007-03-19 14:08  sylvieg
	* tiki-setup.php: [FIX]breadcrumb: no reason to put a fixed
	  description Home in the first crumb

2007-03-19 13:55  sylvieg
	* tiki-switch_lang.php: [FIX] do not add bl param if lang param is
	  specified

2007-03-19 13:33  sylvieg
	* tiki-switch_lang.php: [FIX]bad url

2007-03-19 13:27  sylvieg
	* tiki-print_article.php: [FIX]article: print article must behave
	  like print_page - no background, buttons...

2007-03-17 21:47  mose
	* setup.sh: [FIX] setup: minor fix for ACL conditional

2007-03-17 01:00  marclaporte
	* lib/wiki-plugins/wikiplugin_group.php: Better documentation of
	  recent feature enhancements (notgroups and else) to GROUPS
	  plugin. Dedicated to Benoit Gregoire of IleSansFil.org and
	  WifiDog.org

2007-03-16 22:35  sylvieg
	* lib/smarty_tiki/function.phplayers.php: [FIX]highlight current
	  page in phplayers: another desparate fix - lower case can only be
	  considerated for a wiki page

2007-03-16 21:45  sylvieg
	* tiki-switch_lang.php: [FIX]lang: switxch_lang for
	  tiki-read_article

2007-03-16 20:57  sylvieg
	* tiki-switch_lang.php: [FIX]lang: if url has lang=xx transforms it
	  to lang=new_lang

2007-03-15 21:21  sylvieg
	* tiki-admin_trackers.php, templates/tiki-admin_trackers.tpl,
	  templates/tiki-view_tracker_item.tpl: [MOD]tracker: tracker
	  option to not show empty item field in tiki-view_tracker

2007-03-15 20:42  sylvieg
	* templates/tiki-view_tracker_item.tpl: [MOD]tracker: add a class
	  field in each tr of a view tracker item that enables to customize
	  the style

2007-03-15 17:05  sylvieg
	* modules/mod-last_articles.php: [MOD]articles: can filter
	  mod-last_articles on lang and categId

2007-03-15 16:57  sylvieg
	* modules/mod-articles.php: [MOD]articles: can filter mod-articles
	  on lang and categId

2007-03-15 16:52  sylvieg
	* tiki-view_articles.php: [MOD]articles: can filter view on lang

2007-03-15 16:47  sylvieg
	* templates/find.tpl, templates/tiki-list_articles.tpl,
	  tiki-list_articles.php, tiki-listpages.php,
	  templates/tiki-listpages.tpl: [MOD]articles: can filter on lang +
	  factorisation find tpl + using lang and categId as url param

2007-03-14 18:40  sylvieg
	* tiki-browse_categories.php, templates/categobjects.tpl,
	  templates/categpath.tpl, templates/tiki-browse_categories.tpl:
	  [MOD]categ: some translations of the categ name

2007-03-14 17:25  sylvieg
	* lib/smarty_tiki/function.phplayers.php: oops

2007-03-14 17:13  sylvieg
	* lib/smarty_tiki/function.phplayers.php: [FIX]menu: do not open
	  the previous menu if first level

2007-03-14 14:34  sylvieg
	* comments.php, tiki-view_forum.php, templates/comments.tpl,
	  templates/tiki-view_forum.tpl: [MOD]forum/comment: insert the
	  antibot feature for anonymous

2007-03-14 13:43  sylvieg
	* templates/: antibot.tpl, tiki-editpage.tpl: [MOD]antibot: extract
	  the antibot code for reuse

2007-03-13 15:21  sylvieg
	* templates/categorize.tpl: [FIX]the cols used in categorize.tpl
	  was interfering with cols used in textarea. I did not find a
	  place where cols for categorize.tpl was defeined

2007-03-12 21:07  sylvieg
	* templates/tiki-upload_file.tpl: [FIX]img: refix WYSIWYG browse
	  button

2007-03-12 19:21  sylvieg
	* templates/tiki-upload_file.tpl: [FIX]fgal: fix link if
	  galleryId=0

2007-03-12 19:15  sylvieg
	* templates/tiki-upload_image.tpl: [FIX]img: the link to be
	  inserted in wiki that is displayed must be relative

2007-03-12 18:59  sylvieg
	* templates/header.tpl: [FIX] complete the comment to be able to
	  put the page description in the title if you use breadcrumb

2007-03-12 14:29  sylvieg
	* tiki-admin_menu_options.php,
	  templates/tiki-admin_menu_options.tpl: [MOD]menu: can specify
	  number of lines

2007-03-09 13:00  sylvieg
	* tiki-switch_lang.php: [FIX]multiling: resolve the name for a wiki
	  page in the tiki-switch_lang - some application may use the url
	  (ex: highlight phlm menu)

2007-03-08 19:03  sylvieg
	* lib/wiki-plugins/wikiplugin_tracker.php: [MOD]tracker plugin: new
	  param url to redirect to any url when item is creazted

2007-03-07 15:45  sylvieg
	* tiki-listpages.php, lib/tikilib.php,
	  templates/tiki-listpages.tpl: [MOD]wiki: can filter on a category
	  and the lang in list pages

2007-03-06 22:58  sylvieg
	* lib/smarty_tiki/function.phplayers.php: [FIX]menu: highlight
	  tiki-index.php?page=page_fr and not tiki-index.php?page=page si
	  the url is tiki-index.php?page_fr

2007-03-06 21:33  sylvieg
	* templates/tiki-user_menu.tpl: better fix

2007-03-06 18:05  sylvieg
	* tiki-admin_categories.php, templates/tiki-admin_categories.tpl:
	  [FIX]tr: is useless to translate error in the tpl as it will be
	  translated with the block function - so one call - better to do
	  as usual

2007-03-05 18:00  sylvieg
	* templates/tiki-user_menu.tpl: [FIX]menu: fixed menu inserts also
	  thje menuSection class to be able to indent

2007-03-05 17:23  sylvieg
	* styles/tikineat.css, styles/transitions/1.8to1.9.css,
	  templates/tiki-admin_menu_options.tpl,
	  templates/tiki-user_menu.tpl: [FIX] menu: a class menuSection to
	  put some formatting for section > level 1

2007-03-05 16:36  sylvieg
	* lib/menubuilder/menulib.php,
	  lib/smarty_tiki/function.phplayers.php,
	  templates/tiki-admin_menu_options.tpl,
	  templates/tiki-user_menu.tpl: [NEW]menu: tw +phplm menus can
	  handle section level 2,3,4 (easy to add more)

2007-03-05 15:11  sylvieg
	* tiki-admin_menu_options.php: [MOD]menu: propose the new postion
	  to max+2 to let a little bit of space

2007-03-02 21:24  sampaioprimo
	* lang/pt-br/language.php: one string translation

2007-03-02 21:18  luciash
	* templates/: tiki-top_bar.tpl, styles/simple/tiki-top_bar.tpl,
	  styles/neat/tiki-top_bar.tpl: [MOD] change "This is Tikiwiki ..."
	  to the actual year 2007

2007-03-02 19:52  sylvieg
	* tiki-index.php: [FIX]categ perm: do not show edit button for a
	  page with special perm on categ tiki_p_view_categ for
	  anonynmous... because of the ambiguity tiki_p_view_categories
	  gives tiki_p_edit ... as tiki_editpage will give perm denied -
	  take away the button in tiki-index.php->rewrite on the way

2007-03-02 19:23  sylvieg
	* templates/tiki-upload_file.tpl: [FIX]fgal: wysiwyg with batch
	  upload file

2007-03-02 19:18  sylvieg
	* templates/tiki-upload_file.tpl: backport msg to explain batch
	  upload

2007-03-02 19:15  sylvieg
	* templates/tiki-list_file_gallery.tpl: [FIX] missing tr

2007-03-02 19:08  sylvieg
	* lib/trackers/trackerlib.php, templates/tiki-view_tracker.tpl:
	  forgotten commit

2007-03-02 18:51  sylvieg
	* templates/: tiki-mods_admin.tpl, tiki-browse_gallery.tpl: [FIX]
	  missing tr

2007-03-02 18:38  sylvieg
	* templates/tiki-page.tpl: [FIX] missing tr

2007-03-02 14:57  luciash
	* lib/trackers/trkWithMirrorTablesLib.php, lang/fr/language.php,
	  lang/gl/language.php, lang/pl/language.php, styles/simple.css,
	  lang/ar/language.php, lib/hawhaw/hawiki.inc,
	  lib/hawhaw/hawiki_cfg.inc, lib/hawhaw/hawiki_parser.inc,
	  lib/hawhaw/hawtikilib.php, lib/wiki-plugins/wikiplugin_alink.php,
	  lib/wiki-plugins/wikiplugin_aname.php,
	  lib/wiki-plugins/wikiplugin_backlinks.php,
	  lib/wiki-plugins/wikiplugin_catorphans.php,
	  lib/wiki-plugins/wikiplugin_catpath.php,
	  lib/wiki-plugins/wikiplugin_pluginmanager.php,
	  lib/wiki-plugins/wikiplugin_quote.php,
	  lib/wiki-plugins/wikiplugin_sf.php,
	  lib/wiki-plugins/wikiplugin_showpages.php,
	  lib/wiki-plugins/wikiplugin_wantedpages.php,
	  lang/cn/language.php, lang/fi/language.php, lib/webmail/mail.php,
	  lib/wiki-plugins/wikiplugin_fancytable.php,
	  lib/wiki-plugins/wikiplugin_titlesearch.php,
	  lang/fa/language.php, lang/ru/language.php, lang/it/language.php,
	  lang/pt/language.php, lang/da/language.php, lang/cs/language.php,
	  lib/Galaxia/README, lib/Galaxia/config.php,
	  lib/Galaxia/config.tikiwiki.php, doc/devtools/README.txt,
	  doc/devtools/tikilite.sh, doc/devtools/tikirelease.sh,
	  doc/devtools/tikiwiki.spec, lang/de/language.php,
	  db/tiki-1.9-sybase.sql, db/tiki.sql, db/tiki-1.9-oci8.sql,
	  db/tiki-1.9-pgsql.sql, db/tiki_1.8to1.9.sql, db/README.txt,
	  db/tiki-1.9-mysql.sql, db/tiki-1.9-sqlite.sql, db/tiki-db.php,
	  db/tiki-secdb_1.9_mysql.sql, doc/99_tiki-apache.conf,
	  doc/readme.txt, lang/hu/language.php, img/flags/flagnames.php,
	  lang/pt-br/language.php, lang/sb/language.php,
	  templates/messu-download.tpl,
	  templates/tiki-admin-include-trackers.tpl,
	  templates/tiki-admin_security.tpl, templates/tiki-bot_bar.tpl,
	  templates/tiki-mods.tpl, templates/tiki-mods_admin.tpl,
	  templates/tiki-site_header.tpl, templates/tiki-top_bar.tpl,
	  lang/ca/language.php, lang/es/language.php, lang/no/language.php,
	  lang/en/language.php, lang/en-uk/language.php,
	  lang/ja/language.php, lang/he/language.php, lang/nl/language.php,
	  lib/rss/atom-style.css, lang/el/language.php,
	  lang/hr/language.php, lang/ko/language.php, lang/tw/language.php,
	  lib/mail/maillib.php, lib/rss/rss-style.css,
	  lang/sr/language.php, db/profiles/basicEnabled.prf,
	  lang/sv/language.php, lib/tikilib.php,
	  lib/wiki-plugins-dist/wikiplugin_include.php,
	  lib/wiki-plugins-dist/wikiplugin_lsdir.php, lang/sk/language.php,
	  lib/wiki/pluginslib.php, lang/sr-latn/language.php,
	  lang/tv/language.php, lang/uk/language.php, lib/sheet/grid.php,
	  INSTALL, README, about.php, changelog.txt, copyright.txt,
	  setup_smarty.php, tiki-admin_security.php, tiki-install.php,
	  tiki-list_games.php, tiki-mobile.php, tiki-setup.php,
	  templates/styles/simple/tiki-site_header.tpl,
	  templates/styles/simple/tiki-top_bar.tpl,
	  tests/core/init.scripts/00-include_path.php,
	  tests/core/init.scripts/40-smarty.php,
	  templates/modules/mod-assistant.tpl,
	  templates/styles/damian/tiki-bot_bar.tpl,
	  templates/styles/geo/tiki-bot_bar.tpl,
	  templates/styles/tiki/tiki-top_tiki_bar.tpl,
	  templates/styles/tikigod/tiki.tpl,
	  templates/styles/trollparty/tiki-bot_bar.tpl,
	  templates/styles/mose/tiki-bot_bar.tpl,
	  templates/styles/neat/tiki-top_bar.tpl: [MOD] TikiWiki ->
	  Tikiwiki

2007-03-02 14:08  luciash
	* lib/phplayers_tiki/lib/index.php: [UPD] copyright years to
	  2002-2007 (this is the last one i hope ;))

2007-03-02 14:06  luciash
	* lib/phplayers/: index.php, DUMPS/index.php, LOGOS/index.php,
	  lib/index.php, templates/index.php, THEMES/index.php,
	  images/index.php, libjs/index.php: [UPD] copyright years to
	  2002-2007

2007-03-02 13:23  luciash
	* tiki-admin_banning.php, tiki-admin_calendars.php,
	  tiki-admin_html_page_content.php, tiki-admin_include_gmap.php,
	  tiki-download_item_attachment.php, tiki-error.php,
	  tiki-handlers.php, tiki-map_rss.php, tiki-mobile.php,
	  tiki-random_num_img.php, tiki-section_options.php,
	  tiki-upload_image.php, tiki-view_forum_thread.php,
	  tiki-admin_include_intertiki.php, tiki-admin_poll_options.php,
	  tiki-assignpermission.php, tiki-my_tiki.php,
	  tiki-notepad_list.php, tiki-objectpermissions.php,
	  tiki-orphan_pages.php, tiki-search_stats.php,
	  tiki-send_objects.php, tiki-setup.php, messu-read_archive.php,
	  tiki-admin_chat.php, tiki-admin_drawings.php,
	  tiki-admin_include_polls.php, tiki-admin_include_score.php,
	  tiki-backup.php, tiki-directory_admin_sites.php,
	  tiki-edit_structure.php, tiki-g-my_instances.php,
	  tiki-list_games.php, tiki-list_trackers.php,
	  tiki-user_watches.php, tiki-view_articles.php, article_image.php,
	  tiki-admin_include_fgal.php, tiki-admin_include_rss.php,
	  tiki-admin_include_siteid.php, tiki-admin_layout.php,
	  tiki-admin_quicktags.php, tiki-login.php, tiki-page.php,
	  tiki-pick_avatar.php, tiki-read_article.php,
	  tiki-searchresults.php, tiki-send_newsletters.php,
	  tiki-slideshow.php, tiki-view_chart.php, topic_image.php,
	  index.php, messu-mailbox.php, messu-read.php,
	  tiki-admin_include_faqs.php, tiki-admin_menu_options.php,
	  tiki-calendar_import.php, tiki-change_password.php,
	  tiki-chat.php, tiki-edit_question_options.php,
	  tiki-g-save_process.php, tiki-install.php,
	  tiki-list_contents.php, tiki-live_support_chat_window.php,
	  tiki-login_validate.php, tiki-minical_prefs.php,
	  tiki-minical_reminders.php, tiki-pagination.php, tiki-print.php,
	  tiki-take_quiz.php, messu-sent.php, tiki-admin_chart_items.php,
	  tiki-admin_include_trackers.php, tiki-mods_admin.php,
	  tiki-notepad_get.php, tiki-pdf.php, tiki-view_irc.php,
	  tiki-wiki_rankings.php, tiki-admin_polls.php,
	  tiki-directory_admin.php, tiki-directory_admin_categories.php,
	  tiki-edit_templates.php, tiki-g-admin_activities.php,
	  tiki-g-user_activities.php, tiki-graph_sheet.php,
	  tiki-list_gallery.php, tiki-theme_control.php,
	  tiki-theme_control_sections.php, tiki-userfiles.php,
	  tiki-view_eph.php, tiki-view_minical_topic.php, categorize.php,
	  comments.php, messu-compose.php, tiki-admin_include_features.php,
	  tiki-directory_admin_related.php, tiki-edit_blog.php,
	  tiki-g-my_activities.php, tiki-image_gallery_rss.php,
	  tiki-imexport_languages.php, tiki-list_banners.php,
	  tiki-newsreader_news.php, tiki-pv_chart.php,
	  tiki-searchindex.php, tiki-view_faq.php, tiki-view_sheets.php,
	  tiki-list_faqs.php, categorize_list.php, poll_categorize.php,
	  tiki-admin_include_i18n.php, tiki-admin_include_login.php,
	  tiki-admin_include_maps.php, tiki-admin_include_wiki.php,
	  tiki-blog_post.php, tiki-blog_rss.php, tiki-directory_search.php,
	  tiki-download_userfile.php, tiki-edit_article.php,
	  tiki-layout_options.php, tiki-mytiki_shared.php,
	  tiki-pagesetup.php, tiki-referer_stats.php, tiki-rename_page.php,
	  tiki-survey_stats_survey.php, tiki-user_bookmarks.php,
	  tiki-view_blog.php, tiki-view_chart_item.php,
	  tiki-view_tracker.php, tiki-admin.php,
	  tiki-admin_include_metatags.php, tiki-admin_include_search.php,
	  tiki-admin_notifications.php, tiki-admin_structures.php,
	  tiki-chatroom.php, tiki-create_webhelp.php,
	  tiki-directories_rss.php, tiki-directory_redirect.php,
	  tiki-editpage.php, tiki-eph_admin.php,
	  tiki-export_wiki_pages.php, tiki-file_galleries_rankings.php,
	  tiki-g-admin_processes.php, tiki-g-run_activity.php,
	  tiki-import_sheet.php, tiki-live_support_transcripts.php,
	  tiki-map_edit.php, tiki-mods.php, tiki-modules.php,
	  tiki-newsreader_groups.php, tiki-newsreader_read.php,
	  tiki-send_blog_post.php, tiki-take_survey.php, tiki-tc.php,
	  tiki-view_blog_post_image.php, tiki-wap.php, remote.php,
	  tiki-admin_charts.php, tiki-admin_include_gal.php,
	  tiki-adminusers.php, tiki-categpermissions.php,
	  tiki-g-monitor_instances.php, tiki-g-user_instances.php,
	  tiki-g-user_processes.php, tiki-g-view_workitem.php,
	  tiki-history_sheets.php, tiki-login_scr.php,
	  tiki-newsreader_servers.php, tiki-quiz_result_stats.php,
	  tiki-setup_base.php, tiki-view_tracker_item.php,
	  tiki-webmail.php, tiki-webmail_download_attachment.php,
	  tiki-admin_include_directory.php, tiki-admin_include_general.php,
	  tiki-admin_security.php, tiki-admin_trackers.php,
	  tiki-charts.php, tiki-chat_box.php, tiki-edit_image.php,
	  tiki-edit_programmed_content.php, tiki-edit_quiz_results.php,
	  tiki-forum_queue.php, tiki-image_galleries_rss.php,
	  tiki-print_blog_post.php, tiki-received_articles.php,
	  tiki-slideshow2.php, messu-read_sent.php, setup.sh,
	  tiki-admin_menus.php, tiki-admin_newsletters.php,
	  tiki-admin_topics.php, tiki-admin_tracker_fields.php,
	  tiki-blog_rankings.php, tiki-calendar.php, tiki-cms_rankings.php,
	  tiki-edit_quiz.php, tiki-editdrawing.php, tiki-forums_rss.php,
	  tiki-index_p.php, tiki-live_support_client.php, tiki-logout.php,
	  tiki-map_history.php, tiki-old_polls.php, tiki-page_loader.php,
	  tiki-pagepermissions.php, tiki-user_tasks.php,
	  tiki-view_banner.php, display_banner.php, tiki-admin_cookies.php,
	  tiki-admingroups.php, tiki-chat_loader.php,
	  tiki-directory_browse.php, tiki-forums.php,
	  tiki-galleries_rankings.php, tiki-list_file_gallery.php,
	  tiki-list_surveys.php, tiki-live_support_chat_frame.php,
	  tiki-mailin-code.php, tiki-pagehistory.php,
	  tiki-print_multi_pages.php, tiki-print_pages.php,
	  tiki-remind_password.php, tiki-rollback.php,
	  tiki-tracker_rss.php, tiki-upload_file.php, tiki-usermenu.php,
	  tiki-xmlrpc_services.php, messu-archive.php, select_banner.php,
	  tiki-admin_forums.php, tiki-admin_include_blogs.php,
	  tiki-admin_system.php, tiki-browse_image.php,
	  tiki-custom_home.php, tiki-g-monitor_workitems.php,
	  tiki-show_user_avatar.php, tiki-user_information.php,
	  banner_image.php, copyrights.php, fixperms.sh, jhot.php,
	  tiki-admin_include_calendar.php, tiki-admin_include_webmail.php,
	  tiki-admin_links.php, tiki-admin_mailin.php,
	  tiki-admin_newsletter_subscriptions.php, tiki-article_types.php,
	  tiki-assignuser.php, tiki-debug_console.php,
	  tiki-directory_validate_sites.php, tiki-edit_css.php,
	  tiki-forum_rss.php, tiki-galleries.php, tiki-index_raw.php,
	  tiki-list_posts.php, tiki-list_quizzes.php,
	  tiki-live_support_admin.php, tiki-quiz_stats.php,
	  tiki-received_pages.php, tiki-user_assigned_modules.php,
	  tiki-wiki_rss.php, setup_smarty.php,
	  tiki-admin_external_wikis.php, tiki-admin_include_userfiles.php,
	  tiki-admin_survey_questions.php, tiki-articles_rss.php,
	  tiki-browse_gallery.php, tiki-chat_users.php,
	  tiki-directory_ranking.php, tiki-download_forum_attachment.php,
	  tiki-edit_submission.php, tiki-edit_translation.php,
	  tiki-eph.php, tiki-export_tracker.php, tiki-file_gallery_rss.php,
	  tiki-g-admin_instance.php, tiki-g-admin_shared_source.php,
	  tiki-g-monitor_processes.php, tiki-index.php, tiki-mailin.php,
	  tiki-phpinfo.php, tiki-quiz_edit.php, tiki-quiz_stats_quiz.php,
	  tiki-shoutbox.php, tiki-user_cached_bookmark.php,
	  tiki-userversions.php, tiki-view_forum.php,
	  tiki-webmail_contacts.php, show_image.php,
	  tiki-admin_hotwords.php, tiki-admin_html_pages.php,
	  tiki-admin_include_cms.php, tiki-admin_include_wikiatt.php,
	  tiki-admin_rssmodules.php, tiki-admin_shoutbox_words.php,
	  tiki-config_pdf.php, tiki-contact.php,
	  tiki-directory_add_site.php, tiki-list_blogs.php,
	  tiki-list_cache.php, tiki-live_support_server.php,
	  tiki-module_controls.php, tiki-poll_results.php,
	  tiki-usage_chart.php, commxmlrpc.php, received_article_image.php,
	  tiki-admin_dsn.php, tiki-browse_categories.php,
	  tiki-download_wiki_attachment.php, tiki-forums_reported.php,
	  tiki-g-monitor_activities.php, tiki-live_support_message.php,
	  tiki-minical.php, tiki-newsletters.php, tiki-notepad_write.php,
	  tiki-sheets.php, tiki-theme_control_objects.php,
	  banner_click.php, get_strings.php, tiki-admin_categories.php,
	  tiki-admin_content_templates.php,
	  tiki-admin_include_community.php, tiki-admin_include_forums.php,
	  tiki-blogs_rss.php, tiki-calendars_rss.php,
	  tiki-directory_rss.php, tiki-forum_rankings.php,
	  tiki-g-admin_instance_activity.php, tiki-g-admin_roles.php,
	  tiki-import_structuredtext.php, tiki-lastchanges.php,
	  tiki-likepages.php, tiki-list_articles.php, tiki-listpages.php,
	  tiki-live_support_console.php, tiki-map_download.phtml,
	  tiki-minical_export.php, tiki-poll_form.php, tiki-removepage.php,
	  tiki-survey_stats.php, tiki-user_preferences.php,
	  tiki-view_blog_post.php, tiki-view_cache.php,
	  tiki-view_tracker_more_info.php, about.php, messu-broadcast.php,
	  tiki-admin_modules.php, tiki-admin_surveys.php,
	  tiki-backlinks.php, tiki-edit_languages.php,
	  tiki-edit_quiz_questions.php, tiki-export_pdf.php,
	  tiki-export_sheet.php, tiki-faq_questions.php,
	  tiki-featured_link.php, tiki-file_galleries_rss.php,
	  tiki-g-admin_graph.php, tiki-list_submissions.php,
	  tiki-newsletter_archives.php, tiki-notepad_read.php,
	  tiki-print_article.php, tiki-remote_backup.php, tiki-stats.php,
	  tiki-edit_banner.php, tiki-map_upload.php,
	  templates/styles/neat/modules/index.php,
	  templates/mail/index.php, templates/modules/index.php,
	  templates/styles/mose/index.php,
	  templates/styles/simple/index.php,
	  templates/styles/simple/modules/index.php,
	  templates/styles/tiki/modules/index.php,
	  templates/tables/index.php, templates/debug/index.php,
	  templates/styles/codex/index.php,
	  templates/styles/mose/modules/index.php,
	  templates/styles/neat/index.php, templates_c/index.php,
	  tikimovies/index.php, whelp/index.php,
	  templates/styles/tiki/index.php, tests/index.php,
	  templates/map/index.php, templates/styles/index.php,
	  templates/styles/geo/index.php,
	  templates/styles/geo/modules/index.php,
	  templates/styles/notheme/index.php,
	  templates/styles/moreneat/modules/index.php,
	  templates/styles/moreneat/index.php: [UPD] copyright years to
	  2002-2007

2007-03-02 13:18  luciash
	* lib/imagegals/imagegallib.js, lib/imagegals/index.php,
	  lib/jscalendar/index.php, lib/mods/index.php,
	  lib/modules/index.php, lib/pear/Date/index.php,
	  lib/pear/HTTP/docs/index.php, lib/polls/index.php,
	  lib/games/index.php, lib/init/index.php,
	  lib/live_support/index.php, lib/newsreader/index.php,
	  lib/pear/Auth/Container/index.php, lib/pear/XML/index.php,
	  lib/score/events.php, lib/score/index.php, lib/search/index.php,
	  lib/hotwords/index.php, lib/htmlarea/index.php,
	  lib/pdflib/index.php, lib/pear/XML/Tree/index.php,
	  lib/refererstats/index.php, lib/registration/index.php,
	  lib/notifications/index.php, lib/quicktags/index.php,
	  lib/tikihelp/icons/index.php, lib/tail/index.php,
	  styles/slides/index.php, lib/userprefs/index.php,
	  lib/wiki-plugins/index.php, styles/BiDi/index.php,
	  styles/neat/index.php, lib/sheet/excel/writer/index.php,
	  lib/sheet/ole/pps/index.php, lib/structures/index.php,
	  lib/userfiles/index.php, temp/mail_attachs/index.php,
	  lib/smarty/index.php, lib/tikihelp/js/index.php,
	  lib/webmail/index.php, templates/index.php,
	  templates/tiki-view_irc.tpl, lib/sheet/excel/index.php,
	  lib/smarty_tiki/index.php,
	  lib/smarty_tiki/modifier.utf8unicode.php,
	  styles/jalist2/index.php, styles/tiki/index.php,
	  lib/taglines/index.php, styles/integrator/index.php,
	  styles/index.php, styles/geo/index.php, lib/templates/index.php,
	  styles/simple/index.php, lib/wiki-plugins-dist/index.php,
	  modules/cache/index.php, styles/jalist/index.php,
	  styles/mozilla/index.php, lib/stats/index.php,
	  lib/trackers/index.php, modules/index.php, temp/cache/index.php,
	  styles/notheme/index.php, lib/surveys/index.php,
	  lib/tasks/index.php, lib/tikihelp/menu/index.php,
	  lib/usermodules/index.php, styles/subsilver/index.php,
	  styles/transitions/index.php, lib/wiki/index.php,
	  styles/boreal/index.php, styles/codex/index.php,
	  styles/slideshows/index.php, lib/tikihelp/css/index.php,
	  lib/sheet/index.php, lib/themecontrol/index.php,
	  lib/tikihelp/index.php, styles/tranquil/index.php,
	  temp/index.php, lib/shoutbox/index.php, lib/tree/index.php,
	  lib/usermenu/index.php, styles/dblue/index.php,
	  styles/mose/index.php, lib/sheet/ole/index.php, popups/index.php:
	  [UPD] copyright years to 2002-2007

2007-03-02 13:15  luciash
	* lib/: Galaxia/img/index.php, Galaxia/compiler/index.php,
	  Galaxia/img/icons/index.php, Galaxia/processes/index.php,
	  Galaxia/src/API/index.php, Galaxia/src/ProcessMonitor/index.php,
	  ephemerides/index.php, events/index.php, Galaxia/log/index.php,
	  debug/index.php, drawings/index.php, faqs/index.php,
	  filegals/index.php, Galaxia/src/index.php,
	  Galaxia/src/API/activities/index.php,
	  Galaxia/src/common/index.php, dcs/index.php, directory/index.php,
	  Date/index.php, Galaxia/docs/index.php,
	  Galaxia/src/GUI/index.php, Galaxia/src/Observers/index.php,
	  Galaxia/src/ProcessManager/index.php, Galaxia/index.php,
	  featured_links/index.php, messu/index.php, jgraphpad/index.php,
	  mailin/index.php, pear/Auth/index.php, homework/index.php,
	  irc/index.php, irc/irclib.php, irc/split_logs.php,
	  irc/tikiwiki.php, jscalendar/lang/index.php,
	  menubuilder/index.php, mime/index.php, minical/index.php,
	  pear/index.php, rss/index.php, newsletters/index.php,
	  notepad/index.php, pear/HTTP/index.php, pear/Net/index.php,
	  quizzes/index.php, quizzes/quizlib.php, htmlpages/index.php,
	  hawhaw/index.php, integrator/index.php, rankings/index.php,
	  htmlparser/index.php, map/index.php, map/usermap.php,
	  pdflib/fonts/index.php, pear/DB/index.php: [UPD] copyright years
	  to 2002-2007

2007-03-02 13:10  luciash
	* doc/devtools/index.php, doc/devtools/tiki-create_md5.php,
	  img/trackers/index.php, games/thumbs/index.php, doc/index.php,
	  img/icons/index.php, img/smiles/index.php, img/wiki/index.php,
	  img/webmail/index.php, db/convertscripts/index.php,
	  files/index.php, img/index.php, img/tiki/index.php,
	  images/index.php, db/oracle/index.php, games/index.php,
	  games/flash/index.php, backups/index.php, dump/index.php,
	  img/avatars/index.php, img/mytiki/index.php,
	  img/wiki_up/index.php, img/flags/index.php, bin/index.php,
	  db/index.php, db/profiles/index.php, img/icons2/index.php,
	  img/icn/index.php, lang/sr/index.php, lang/index.php,
	  lang/it/index.php, lang/langmapping.php,
	  lib/commcenter/index.php, lib/breadcrumblib.php,
	  lang/cn/index.php, lib/Babelfish.php, lib/index.php,
	  lib/tikihelplib.php, lib/backups/index.php, lib/ban/index.php,
	  lang/de/index.php, lang/ja/index.php, lang/ko/index.php,
	  lang/pt-br/index.php, lib/copyrights/index.php,
	  lang/cs/index.php, lang/da/index.php, lang/en/index.php,
	  lang/no/index.php, lang/he/index.php, lang/sk/index.php,
	  lib/admin/index.php, lib/articles/index.php, lib/blogs/index.php,
	  lang/ca/index.php, lang/fi/index.php, lang/tw/index.php,
	  lang/nl/index.php, lang/pl/index.php, lang/sv/index.php,
	  lib/cache/index.php, lib/calendar/index.php, lang/es/index.php,
	  lib/bookmarks/index.php, lib/categories/index.php,
	  lib/chat/index.php, lib/compat/index.php, lang/ar/index.php,
	  lang/en-uk/index.php, lib/banners/index.php,
	  lib/charts/index.php, lang/el/index.php, lang/fa/index.php,
	  lang/fr/index.php, lang/pt/index.php, lang/ru/index.php,
	  lang/sr-latn/index.php: [UPD] copyright years to 2002-2007

2007-03-02 12:39  luciash
	* README, lang/gl/index.php: [UPD] copyright years 2002-2006 >
	  2002-2007 :-p

2007-03-02 12:00  luciash
	* lib/tree/categ_browse_tree.php, lib/tree/tree.php,
	  templates/tiki-browse_categories.tpl: [ENH] better use of ul
	  instead of tables

2007-03-02 11:57  luciash
	* lib/tree/categ_admin_tree.php: [FIX] xhtml validity

2007-03-01 16:20  sylvieg
	* tiki-edit_translation.php, templates/tiki-edit_translation.tpl:
	  [FIX]translation: Do not display the objects that has no lang or
	  same lang than the current object+ avoid error if select 2 times
	  the same objects (TODO rewrite this interface)

2007-03-01 15:57  sylvieg
	* lib/tikilib.php: [FIX] a better perm managment + list_pages
	  return lang

2007-02-28 17:20  sylvieg
	* tiki-special_chars.php: [MOD]wiki: add +- in pecial char

2007-02-27 18:48  sylvieg
	* tiki-view_tracker.php, tiki-view_tracker_item.php: [FIX]tracker:
	  use multibyte substring is package is installed to have the right
	  limit to a textarea field

2007-02-27 16:56  marclaporte
	* templates/: tiki-editpage.tpl, styles/gemsi/tiki-page_bar.tpl,
	  styles/neat/tiki-editpage.tpl, styles/neat/tiki-show_page.tpl,
	  styles/tiki/tiki-show_page.tpl: Make export wiki page links only
	  appear when feature is activated (from tiki-admin.php?page=wiki)

2007-02-27 16:16  sylvieg
	* styles/hec.css: [FIX]style: take away the background has it has
	  not been provided

2007-02-26 23:47  sylvieg
	* tiki-view_tracker.php: [FIX]tracker: to avoid some notice- do not
	  create a value if no fieldId

2007-02-26 23:29  sylvieg
	* tiki-list_trackers.php, templates/tiki-view_tracker.tpl,
	  templates/tiki-view_tracker_item.tpl, db/tiki.sql,
	  db/profiles/basicEnabled.prf: [NEW]tiki_p_list_trackers: new perm
	  - must be added manually for the moment in the database (I will
	  do a script)

2007-02-25 23:03  sylvieg
	* lib/wiki-plugins/wikiplugin_tracker.php: [FIX]tracker plugin: to
	  be able to have 2 tracker plugins in the same page with different
	  fields

2007-02-24 21:50  sylvieg
	* lib/wiki-plugins/wikiplugin_split.php: [FIX]plufin split: reverse
	  back behavior is not param specified - see the result in the
	  picture in http://doc.tikiwiki.org/PluginSplit

2007-02-22 11:27  sylvieg
	* templates/mail/moderate_validation_mail.tpl: rollback

2007-02-22 11:27  xeno_tt
	* tiki-register.php: - revert to -r1.33.2.25, bad fix

2007-02-22 11:22  sylvieg
	* lib/wiki-plugins/wikiplugin_trackerlist.php,
	  templates/tiki-plugin_trackerlist.tpl: [FIX]trackerlist: test the
	  local perm on an object

2007-02-22 11:20  sylvieg
	* lib/tikilib.php: [MOD]perm: new function get_perm_object that set
	  globally+smarty or return in a hash all ther perms of the
	  object(done only for tracker perms now)

2007-02-22 10:40  xeno_tt
	* tiki-register.php, templates/mail/moderate_validation_mail.tpl: -
	  Moved "<>" from templates/mail/moderate_validation_mail.tpl to
	  tiki-register.php.	Somehow the "<{$mail_email}>" confuses
	  smarty and replaces all "}?" by "}" afterwards.

2007-02-21 17:15  xeno_tt
	* messu-read.php: - cosmetic: set unread count to 0 if no more
	  messages are available.

2007-02-21 16:37  xeno_tt
	* lib/messu/messulib.php: - call httpPrefix directly from $this
	  because MessuLib extends TikiLib.

2007-02-21 15:57  xeno_tt
	* templates/modules/mod-events.tpl: - cast mktime's arguments to
	  integer to let it work with php5

2007-02-21 15:15  xeno_tt
	* styles/default.css: - fixed two syntax errors   * missing '/'
	  infront of "* Links to extend/collapse menus */"   *
	  llistfileslink:active had its '.' in the line above

2007-02-21 02:44  marclaporte
	* styles/boreal.css: Boreal style: make trackers easier to use and
	  forums look nicer

2007-02-20 14:23  sylvieg
	* tiki-view_tracker.php: [FIX]tracker: if a tracker has a categ
	  that has perms(view or admin) for a group, this group can see the
	  tracker items even if no tiki_p_view_trackers

2007-02-20 14:05  sylvieg
	* tiki-index.php: [FIX]wiki: if a page has a categ with a perm on
	  the categ for a group, you can see and edit(you already can edit)
	  this page if you are in the group even if you do not have global
	  tiki_p_view/tiki_p_edit

2007-02-20 12:46  marclaporte
	* templates/tiki-view_tracker.tpl: translation fix

2007-02-20 12:22  sylvieg
	* tiki-view_tracker.php, tiki-view_tracker_item.php: [FIX]tracker:
	  if tiki_p_admn_trackers as local perm->give all the other perms

2007-02-20 11:14  sylvieg
	* tiki-view_tracker_item.php: [FIX]tracker: be able to save your
	  user tracker even in no tiki_p_mofify_tracker_item

2007-02-20 11:12  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]tracker: do not show
	  'back item list' when no tiki_p_view_trackers

2007-02-20 00:35  sylvieg
	* tiki-view_tracker_item.php, templates/tiki-view_tracker_item.tpl:
	  [FIX]tracker: can view and edit your user tracker (only wih
	  param=+view even if no tiki_p_view_trackers

2007-02-17 20:54  marclaporte
	* lang/fr/language.php: Slight improvment to the French translation

2007-02-17 17:12  marclaporte
	* styles/boreal.css: Boreal style: making tabs easier to read on
	  hover

2007-02-17 16:59  marclaporte
	* templates/: tiki-admingroups.tpl, tiki-assignpermission.tpl,
	  tiki-assignuser.tpl: User & group administration panels. 1-
	  WYSIWYCA (only full admins can manage groups, not
	  tiki_p_admin_users) 2- Make more consistent admin links (always
	  same order & style)

2007-02-17 16:03  marclaporte
	* styles/boreal.css: Boreal style: minor tweak so text in tables is
	  legible on dark background

2007-02-17 03:50  marclaporte
	* styles/boreal.css: adding rbox style to boreal.css, for remarks
	  box (note/warning/tip/comment)

2007-02-17 03:33  marclaporte
	* styles/boreal.css: making hover in table listings look good in
	  Boreal style

2007-02-16 22:35  marclaporte
	* img/flags/flagnames.php.~1.1.2.7.~: [no log message]

2007-02-14 19:29  luciash
	* lang/cs/language.php: [ENH] more translated

2007-02-13 20:32  sylvieg
	* lib/wiki-plugins/wikiplugin_tracker.php: [MOD]tracker: new
	  option, drop-down field with an other textfield

2007-02-13 19:36  sylvieg
	* lib/trackers/trackerlib.php,
	  templates/tiki-view_tracker_item.tpl, tiki-view_tracker.php,
	  tiki-view_tracker_item.php, templates/tiki-view_tracker.tpl:
	  [MOD]tracker: new option, drop-down filed with an other textfield

2007-02-12 19:26  sylvieg
	* lib/webmail/tikimaillib.php: [FIX]Newsletters: convert some
	  characters that exist in utf8 but do not exist in iso-8859-1 into
	  html entities or approximative text form ( solve some problem
	  when copy/paste from windows). TODO: extend the list

2007-02-10 20:16  sylvieg
	* lang/fr/language.php, lib/smarty_tiki/block.sortlinks.php:
	  [FIX]accent: sort correctly without considering accent: Please
	  translator adjust the function - I do not find a generic function
	  to do this

2007-02-10 19:57  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]tracker: sort
	  translated countries

2007-02-10 19:52  sylvieg
	* templates/: tiki-view_tracker.tpl, tiki-view_tracker_item.tpl:
	  [FIX]tracker: do not show flag in not wanted

2007-02-10 19:41  sylvieg
	* lang/fr/language.php: countries translation

2007-02-10 15:41  sylvieg
	* templates/: tiki-view_tracker.tpl, tiki-view_tracker_item.tpl: a
	  better handling of none and empty coutries

2007-02-10 14:51  sylvieg
	* templates/tiki-view_tracker.tpl: oops let other

2007-02-10 14:44  sylvieg
	* templates/: tiki-view_tracker_item.tpl, tiki-view_tracker.tpl:
	  [FIX]tracker: country

2007-02-10 01:36  marclaporte
	* templates/styles/smartiki/error.tpl: Error page should respect
	  bottom bar yes/no setting

2007-02-10 00:14  sylvieg
	* img/flags/Philippines.gif: typo ->duplicate icon, will slq
	  upgrade in 1.10

2007-02-09 23:39  sylvieg
	* lib/trackers/trackerlib.php: [MOD]tracker: a help message

2007-02-09 17:33  sylvieg
	* lib/trackers/trackerlib.php: [FIX]tracker: if display user field
	  but can not change, the fieldID is reset to 0-> must skip in
	  replace not to scratch last field

2007-02-09 14:40  sylvieg
	* lang/tw/language.php: [FIX] rollback to the latest version having
	  chinese characters - was completly lost by rlpowell on 2/8/05

2007-02-09 00:12  sylvieg
	* lib/smarty_tiki/block.tikimodule.php: oops

2007-02-09 00:04  sylvieg
	* lib/smarty_tiki/block.tikimodule.php: [FIX]module: strip tags to
	  the content if the content is used in the title

2007-02-08 22:48  sylvieg
	* templates/tiki-edit_translation.tpl: [FIX]multilingual: fix the
	  'add to set'button

2007-02-08 20:37  sylvieg
	* img/flags/Cote_d_Ivoire.gif: sorry must update the database to
	  delete the file

2007-02-08 20:30  sylvieg
	* templates/: tiki-view_tracker.tpl, tiki-view_tracker_item.tpl:
	  [FIX]tracker: translate the flag name everywhere and take away
	  the underscrores

2007-02-08 20:03  sylvieg
	* img/flags/readme.txt: a readme to remember it is from famfam

2007-02-08 19:44  sylvieg
	* img/flags/: Afghanistan.gif, Aland_Islands.gif, Albania.gif,
	  Algeria.gif, American_Samoa.gif, Andorra.gif, Angola.gif,
	  Anguilla.gif, Antigua.gif, Argentina.gif, Armenia.gif, Aruba.gif,
	  Australia.gif, Austria.gif, Azerbaijan.gif, Bahamas.gif,
	  Bahrain.gif, Bangladesh.gif, Barbados.gif, Belarus.gif,
	  Belgium.gif, Belize.gif, Benin.gif, Bermuda.gif, Bhutan.gif,
	  Bolivia.gif, Bosnia_and_Herzegovina.gif, Botswana.gif,
	  Bouvet_Island.gif, Brazil.gif,
	  British_Indian_Ocean_Territory.gif, British_Virgin_Islands.gif,
	  Brunei.gif, Bulgaria.gif, Burkina_Faso.gif, Burundi.gif,
	  Cambodia.gif, Cameroon.gif, Canada.gif, Cape_Verde.gif,
	  Catalan_Countries.gif, Cayman_Islands.gif,
	  Central_African_Republic.gif, Chad.gif, Chile.gif, China.gif,
	  Christmas_Island.gif, Cocos_Islands.gif, Colombia.gif,
	  Comoros.gif, Congo.gif, Congo_Democratic.gif, Cook_Islands.gif,
	  Costa_Rica.gif, Croatia.gif, Cuba.gif, Cyprus.gif,
	  Czech_Republic.gif, Denmark.gif, Djibouti.gif, Dominica.gif,
	  Dominican_Republic.gif, Ecuador.gif, Egypt.gif, El_Salvador.gif,
	  Equatorial_Guinea.gif, Eritrea.gif, Estonia.gif, Ethiopia.gif,
	  Europe.gif, Falkland_Islands.gif, Faroe_Islands.gif,
	  Federated_States_of_Micronesia.gif, Fiji.gif, Finland.gif,
	  France.gif, French_Guiana.gif, French_Polynesia.gif,
	  French_Southern_Territories.gif, Gabon.gif, Gambia.gif,
	  Georgia.gif, Germany.gif, Ghana.gif, Gibraltar.gif, Greece.gif,
	  Greenland.gif, Grenada.gif, Guadeloupe.gif, Guam.gif,
	  Guatemala.gif, Guinea.gif, Guinea_Bissau.gif, Guyana.gif,
	  Haiti.gif, Heard_Island_and_McDonald_Islands.gif, Honduras.gif,
	  Hong_Kong.gif, Hungary.gif, Iceland.gif, India.gif,
	  Indonesia.gif, Iran.gif, Iraq.gif, Ireland.gif, Israel.gif,
	  Italy.gif, Ivory_Coast.gif, Jamaica.gif, Japan.gif, Jordan.gif,
	  Kazakstan.gif, Kenya.gif, Kiribati.gif, Kuwait.gif,
	  Kyrgyzstan.gif, Laos.gif, Latvia.gif, Lebanon.gif, Lesotho.gif,
	  Liberia.gif, Libya.gif, Liechtenstein.gif, Lithuania.gif,
	  Luxemburg.gif, Macao.gif, Macedonia.gif, Madagascar.gif,
	  Malawi.gif, Malaysia.gif, Maldives.gif, Mali.gif, Malta.gif,
	  Marshall_Islands.gif, Martinique.gif, Mauritania.gif,
	  Mauritius.gif, Mayotte.gif, Mexico.gif, Moldova.gif, Monaco.gif,
	  Mongolia.gif, Montenegro.gif, Montserrat.gif, Morocco.gif,
	  Mozambique.gif, Myanmar.gif, Namibia.gif, Nauru.gif, Nepal.gif,
	  Netherlands.gif, Netherlands_Antilles.gif, New_Caledonia.gif,
	  New_Zealand.gif, Nicaragua.gif, Niger.gif, Nigeria.gif, Niue.gif,
	  None.gif, Norfolk_Island.gif, North_Korea.gif,
	  Northern_Mariana_Islands.gif, Norway.gif, Oman.gif, Other.gif,
	  Pakistan.gif, Palau.gif, Palestine.gif, Panama.gif,
	  Papua_New_Guinea.gif, Paraguay.gif, Peru.gif, Phillippines.gif,
	  Pitcairn.gif, Poland.gif, Portugal.gif, Puerto_Rico.gif,
	  Quatar.gif, Reunion.gif, Romania.gif, Russia.gif, Rwanda.gif,
	  Saint_Helena.gif, Saint_Kitts_and_Nevis.gif, Saint_Lucia.gif,
	  Saint_Pierre_and_Miquelon.gif, Samoa.gif, San_Marino.gif,
	  Sao_Tome_and_Principe.gif, Saudi_Arabia.gif, Senegal.gif,
	  Serbia.gif, Seychelles.gif, Sierra_Leone.gif, Singapore.gif,
	  Slovakia.gif, Slovenia.gif, Solomon_Islands.gif, Somalia.gif,
	  South_Africa.gif, South_Georgia_and_South_Sandwich_Islands.gif,
	  South_Korea.gif, Spain.gif, Sri_Lanka.gif,
	  St_Vincent_Grenadines.gif, Sudan.gif, Surinam.gif,
	  Svalbard_and_Jan_Mayen.gif, Swaziland.gif, Sweden.gif,
	  Switzerland.gif, Syria.gif, Taiwan.gif, Tajikistan.gif,
	  Tanzania.gif, Thailand.gif, Timor-Leste.gif, Togo.gif,
	  Tokelau.gif, Tonga.gif, Trinidad_Tobago.gif, Tunisia.gif,
	  Turkey.gif, Turkmenistan.gif, Turks_and_Caicos_Islands.gif,
	  Tuvalu.gif, US_Virgin_Islands.gif, Uganda.gif, Ukraine.gif,
	  United_Arab_Emirates.gif, United_Kingdom.gif, United_States.gif,
	  United_States_Minor_Outlying_Islands.gif, Uruguay.gif,
	  Uzbekistan.gif, Vanuatu.gif, Vatican.gif, Venezuela.gif,
	  Viet_Nam.gif, Wales.gif, Wallis_and_Futuna.gif,
	  Western_Sahara.gif, World.gif, Yemen.gif, Yugoslavia.gif,
	  Zambia.gif, Zimbabwe.gif, flagnames.php,
	  flagnames.php.~1.1.2.7.~: [FIX]flags: famfam flags

2007-02-08 19:08  sylvieg
	* img/flags/Cote_d_Ivoire.gif: duplicate

2007-02-07 18:28  lack
	* lib/Galaxia/src/ProcessManager/ProcessManager.php: Fixed 'Notice:
	  Undefined variable: mid' message which appears on a fresh install

2007-02-07 03:42  garygriffin
	* lib/rss/rsslib.php: Fix rss feeds with CDATA in link

2007-02-06 16:22  sylvieg
	* templates/: tiki-view_tracker.tpl, tiki-view_tracker_item.tpl:
	  [FIX]tracker: no country is displayed as an empty value and not
	  the none contry to be at the top of the drop down list

2007-02-05 20:20  marclaporte
	* lang/fr/language.php: enhancing French tranlsation

2007-02-04 18:37  lmoss
	* remote.php: Rollbacked backport that broke our Intertiki setup.
	  This backport is not necessary since validate_user() does not
	  return arrays in 1.9.

2007-02-02 19:55  sylvieg
	* lib/wiki-plugins/wikiplugin_tracker.php: [NEW]tracker plugin: New
	  param view=user to be able to create a user tracker (careful do
	  not work yet to edit a user tracker

2007-02-02 18:26  sylvieg
	* lib/userslib.php: [FIX]login: until the user is not validated,
	  his password is provPass

2007-02-02 11:58  luciash
	* db/tiki-1.9-sqlite.sql: [UPD] updated using
	  convertscripts/convertsqls.sh

2007-02-02 11:55  luciash
	* db/convertscripts/mysql3tosqlite.php: [FIX] SQLite: proper
	  PRIMARY KEY column type INTEGER (e.g. to allow creation of
	  autoincremented blogIds)

2007-02-01 22:07  franck
	* tiki-adminusers.php: [FIX]batch upload users: improve syntax
	  checking and record reading

2007-02-01 18:57  sylvieg
	* lib/trackers/trackerlib.php: oops

2007-02-01 17:18  sylvieg
	* lib/wiki-plugins/wikiplugin_tracker.php: some tuning on email
	  param

2007-02-01 17:09  sylvieg
	* lib/categories/categlib.php, tiki-admin_categories.php,
	  templates/tiki-admin_categories.tpl: [FIX]categ: forbid to create
	  a category with a name already existing at the level (it is
	  impossible to delete them after in the interface...)

2007-02-01 16:38  sylvieg
	* lib/webmail/tikimaillib.php: [FIX]mail: the return path was
	  incorrect - seems not to be used anyway

2007-01-31 23:53  sylvieg
	* lib/wiki-plugins/wikiplugin_tracker.php: [NEW]tracker: plugin
	  with no option email(see doc on doc.tw.org)

2007-01-31 22:53  sylvieg
	* lib/trackers/trackerlib.php: missing global

2007-01-31 22:41  sylvieg
	* templates/tiki-admin_trackers.tpl: [FIX]tracker: the explanation
	  for simplified email format was wrong

2007-01-31 20:26  sylvieg
	* lib/trackers/trackerlib.php: [MOD]tracker: 'simple' notification
	  tries to use the email of the item if exits for anomymous tracker
	  item creation

2007-01-31 20:22  luciash
	* templates/tiki-bot_bar.tpl: [ENH] make babelfish tpl inclusion
	  optional

2007-01-31 19:11  sylvieg
	* lib/trackers/trackerlib.php: [FIX]tracker: check only a min
	  (domain+syntax) on an email field as the complete check almost
	  never works

2007-01-31 17:57  sylvieg
	* lib/trackers/trackerlib.php: [FIX]tracker: avoid notice when
	  accessing user tracker for the first time

2007-01-31 17:28  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]tracker: select the
	  default value in a drop down list if the field value is empty

2007-01-31 16:52  sylvieg
	* tiki-switch_lang.php: [FIX]lang: take away the switchLang param
	  to be able to switch lang just after an url with a switchLang
	  param

2007-01-31 06:31  luciash
	* db/convertscripts/mysql3tosqlite.php: [FIX] more SQLite fixes

2007-01-31 03:17  franck
	* tiki-map_edit.php: [FIX] TikiMaps can load mapfile >8kB

2007-01-31 02:48  luciash
	* db/convertscripts/mysql3tosqlite.php: [FIX] SQLite *can* do DROP
	  TABLE IF EXISTS

2007-01-30 22:48  marclaporte
	* tiki-export_tracker.php: tiki_p_admin_trackers is sufficient to
	  export trackers

2007-01-30 18:01  sylvieg
	* tiki-view_tracker_item.php: oops: wrong fix

2007-01-30 16:16  sylvieg
	* tiki-view_tracker_item.php: [FIX]tracker: memo selected categs
	  instead of DB categs when edit an existing item tracker

2007-01-30 14:44  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]: tracker: still shown
	  an empty choice if drop down mandatory when comin from a user
	  tracker

2007-01-30 03:19  sylvieg
	* tiki-view_tracker_item.php: [FIX]tracker: when creating a user
	  tracker, add the minumal field(isHidden)from the pattern

2007-01-30 03:03  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]tracker: mandatory was
	  createdan empty field

2007-01-29 22:54  sylvieg
	* lib/userslib.php: [FIX]global must be with include

2007-01-29 22:48  sylvieg
	* lib/wiki-plugins/: wikiplugin_tracker.php,
	  wikiplugin_trackerlist.php: [FIX]global must be with include

2007-01-29 22:37  sylvieg
	* tiki-view_tracker.php: [FIX]global must be with include

2007-01-29 17:15  sylvieg
	* lib/filegals/filegallib.php: [MOD]fgal: error msg if open fails

2007-01-28 19:06  mose
	* templates/tiki-directory_admin_sites.tpl: [MOD] directory: added
	  link in admin view

2007-01-28 18:51  mose
	* tiki-directory_admin_sites.php,
	  templates/tiki-directory_admin_sites.tpl: [MOD] directory: added
	  a group-selection for delete several links at once

2007-01-26 18:47  sylvieg
	* lib/wiki-plugins/wikiplugin_group.php: [NEW]plugin group: new
	  param notgroups

2007-01-26 17:06  sylvieg
	* lib/wiki-plugins/wikiplugin_trackerfilter.php: [FIX]tracker:
	  delete duplicate in drop down for filter plugin

2007-01-26 16:57  sylvieg
	* lib/wiki-plugins/wikiplugin_tracker.php: [FIX]tracker: add an
	  empty option for a dropdown optional

2007-01-25 20:12  sylvieg
	* lib/trackers/trackerlib.php, templates/tiki-view_tracker.tpl:
	  [NEW]tracker: if a value is duplicated in a drop-down list, this
	  value becomes the default value for the dropdown list

2007-01-25 20:07  sylvieg
	* db/: tiki-1.9-mysql.sql, tiki-1.9-oci8.sql, tiki-1.9-pgsql.sql,
	  tiki-1.9-sqlite.sql, tiki-1.9-sybase.sql: sync

2007-01-25 17:14  sylvieg
	* lang/fr/language.php: typo

2007-01-25 02:51  mose
	* lib/messu/messulib.php, messu-broadcast.php, messu-compose.php:
	  [FIX] usermessages: when sender email was not setup, user email
	  was used for mail sending. added a check on user preference
	  email_is_public to avoid privacy leak. also cleaned up some
	  unused methods

2007-01-24 20:17  sylvieg
	* lib/wiki-plugins/wikiplugin_tracker.php: [MOD]tracker: the categ
	  select all in plugin tracker too

2007-01-24 19:05  sylvieg
	* tiki-upload_file.php: [FIX]fgal: batch upload do not upload the
	  zip + backport file can be ended by ZIP

2007-01-24 18:39  sylvieg
	* lib/pclzip.lib.php: Upgrade pclzip lib to the latest 2.5

2007-01-23 22:46  luciash
	* lang/cs/language.php: [ENH] more translated strings for tiki
	  installer

2007-01-23 22:34  luciash
	* tiki-install.php: [ENH] better error message when failed to
	  rename tiki-install.php (TODO: display it via i18n strings tpl)

2007-01-23 21:02  luciash
	* styles/tikineat.css: [FIX] same look and feel for the buttons as
	  for the input type='submit'

2007-01-23 20:58  luciash
	* templates/tiki-install.tpl: [FIX] allowing translation of the
	  submit buttons while keeping their original values

2007-01-23 19:14  luciash
	* templates/tiki-install.tpl: [FIX] missing tr for help icon link
	  tooltip

2007-01-23 18:04  sylvieg
	* styles/tikineat.css, templates/tiki-view_tracker.tpl,
	  templates/tiki-view_tracker_item.tpl: [MOD]tracker: optional
	  'select all' for a category field (option:parentid,x,1|0 where 1
	  will show the checkbox) + class categSelectAll+before the categs
	  list

2007-01-23 18:00  luciash
	* lang/cs/language.php: [ENH] translated strings for tiki installer
	  (tiki-install.php?lang=cs)

2007-01-23 16:04  luciash
	* lang/fr/language.php, lang/de/language.php, lang/ca/language.php,
	  lang/fi/language.php, templates/tiki-admin_system.tpl: [FIX]
	  corrected spelling in tpl + originals in already translated
	  strings

2007-01-23 00:07  sylvieg
	* templates/: tiki-view_tracker.tpl, tiki-view_tracker_item.tpl:
	  [FIX]tracker: some malformed html in category table

2007-01-22 21:31  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]oops: smarty error

2007-01-22 18:36  sylvieg
	* templates/: tiki-view_tracker.tpl, tiki-view_tracker_item.tpl:
	  [MOD]tracker: 'select all' buttom in a category field input

2007-01-22 18:10  luciash
	* lang/cs/language.php: [ENH] some more translated strings to czech

2007-01-21 03:00  mose
	* templates/tiki-admin_newsletter_subscriptions.tpl,
	  tiki-admin_newsletter_subscriptions.php,
	  lib/newsletters/nllib.php: [MOD] newsletters: added a way to add
	  multiple email addresses at once

2007-01-18 19:09  sylvieg
	* lib/registration/registrationlib.php, tiki-register.php: [FIX]:
	  check email only syntax and domain (the connection to the server
	  almost never works

2007-01-18 17:08  sylvieg
	* tiki-view_tracker.php: oops: unifie with tiki-view_tracker_item:
	  tab=edit/view become show=view/mod

2007-01-18 17:00  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]tracker: clean the
	  categories display

2007-01-18 16:19  sylvieg
	* lib/categories/categlib.php: [MOD]tracker: translate categories
	  value

2007-01-18 16:09  sylvieg
	* lib/smarty_tiki/modifier.tr_if.php,
	  templates/tiki-plugin_trackerlist.tpl,
	  templates/tiki-view_tracker.tpl,
	  templates/tiki-view_tracker_item.tpl,
	  templates/wiki-plugins/wikiplugin_trackerfilter.tpl:
	  [MOD]tracker: translate drop down value

2007-01-17 23:29  sylvieg
	* templates/: tiki-view_tracker.tpl, tiki-view_tracker_item.tpl:
	  [MOD]tracker: some translation on drop-down values

2007-01-17 23:01  sylvieg
	* lib/wiki-plugins/wikiplugin_tracker.php: notice

2007-01-17 22:06  sylvieg
	* tiki-admin_tracker_fields.php, lib/trackers/trackerlib.php:
	  [FIX]tracker: do not translate the field name in admin fields

2007-01-17 21:58  sylvieg
	* lib/trackers/trackerlib.php: [MOD]tracker: translate tracker
	  label if multiligual is on

2007-01-17 21:33  sylvieg
	* tiki-listpages.php: [MOD]wiki: speed up list pages

2007-01-17 20:41  sylvieg
	* templates/wiki-discussion.tpl, tiki-setup.php, lib/init/tra.php:
	  [FIX]lang: when using wiki-discussion, the site lang was loaded
	  in  and not the user lang (the tra function with another lang
	  than the default does not work

2007-01-17 17:32  sylvieg
	* templates/tiki-view_tracker_item.tpl: [FIX]tracker: Do not show
	  non selected categories- if somebody wants an option, tell me

2007-01-17 17:23  sylvieg
	* tiki-setup.php: [FIX]lang: to be able to change lang even if you
	  can not change your pref

2007-01-17 16:36  sylvieg
	* templates/tiki-poll_results.tpl: [FIX]poll: avoid division by 0

2007-01-17 16:14  sylvieg
	* tiki-edit_translation.php: [FIX]translation: perm

2007-01-16 20:14  sylvieg
	* tiki-view_tracker_item.php: [FIX]tiki-view_tracker_item: when
	  error while editing, display edit tab

2007-01-16 18:43  sylvieg
	* tiki-view_tracker.php: [MOD]tracker: double cookitab by tab=view
	  or tab=edit for usability purpose

2007-01-16 17:18  sylvieg
	* lib/wiki-plugins/wikiplugin_split.php: [FIX]split: fixedsized=y
	  => px width - fixedsized=n => %width - %colsize => %width

2007-01-16 01:05  sylvieg
	* tiki-adminusers.php: dirty fix for the login pattern - must be a
	  pref....

2007-01-14 14:35  sylvieg
	* templates/tiki-newsletters.tpl: [MOD]newsletter: put the feedback
	  in an highlight box for usablity

2007-01-14 14:34  sylvieg
	* templates/tiki-admin_tracker_fields.tpl:  [FIX]tracker: to see
	  the param box of the textfield field the first time you display
	  the page

2007-01-14 14:32  sylvieg
	* tiki-view_tracker.php: [MOD]tracker: to be able to display the
	  insert tab by adding the param cookietab=2 in the url

2007-01-13 21:30  marclaporte
	* tiki-admin_rssmodules.php, templates/tiki-admin_rssmodules.tpl:
	  [mod] RSS Refresh rate: 1- Changed default to 30 minutes (like
	  1.10) 2- Removed the 1 minute value. This makes Tiki slow
	  (because Tiki is constantly refreshing the RSS) and causes
	  support requests. 5 minutes is a reasonable minimum.

2007-01-12 20:18  sylvieg
	* lib/webmail/htmlMimeMail.php: [FIX] Only variable references
	  should be returned by reference

2007-01-12 17:32  sylvieg
	* lib/smarty_tiki/function.phplayers.php: [FIX]phplayersMenu: to
	  avoid index.php in menu to be highlight in on tiki-idnex.php

2007-01-12 16:03  sylvieg
	* lib/smarty_tiki/function.phplayers.php: [FIX]plm: some tuning
	  around tiki-index.php and homepage

2007-01-12 00:44  sylvieg
	* lib/: tikilib.php, wiki-plugins/wikiplugin_articles.php:
	  [MOD]plugin articles: additional param lang

2007-01-11 17:13  sylvieg
	* tiki-edit_translation.php, templates/tiki-edit_translation.tpl:
	  [FIX]translation: locl perm for object + some cleaning

2007-01-11 02:38  fmk_ca
	* tiki-edit_article.php: Make sure  is used when deleting cached
	  image. Use article_image.php to display the image when editing an
	  article, rather than creating a copy in /tmp

2007-01-10 23:27  xavidp
	* lang/ca/language.php: a couple of newsletter strings translated

2007-01-10 22:51  sylvieg
	* lib/smarty_tiki/function.phplayers.php: stripos is php5...

2007-01-10 22:46  sylvieg
	* lib/smarty_tiki/function.phplayers.php: again...

2007-01-10 21:32  sylvieg
	* comments.php: [FIX]comment: oops from the previous commit

2007-01-10 21:27  xavidp
	* lang/ca/language.php: and a few more

2007-01-10 21:17  xavidp
	* lang/ca/language.php: some more strings

2007-01-10 20:26  sylvieg
	* lib/smarty_tiki/: function.phplayers.php: [FIX]phplayersmenus....

2007-01-10 20:20  sylvieg
	* lib/smarty_tiki/function.phplayers.php: [FIX]phplayersmenus....

2007-01-10 18:22  sylvieg
	* lib/smarty_tiki/function.phplayers.php: [MOD]phpLayersMenu:
	  hightlight the option who has the same url that the current one

2007-01-10 15:16  sylvieg
	* comments.php, lib/commentslib.php, templates/comments.tpl:
	  [FIX]forum post: Do not display the filter bar if no answer to
	  the topic + do not display message: 10,20... if less that 20
	  posts

2007-01-08 23:05  sylvieg
	* tiki-editpage.php, templates/tiki-editpage.tpl: [MOD]copyrights:
	  if a page has already copyrights notice and you have perm,
	  display a link to edit copyrights(to understand that in editpage
	  it is only add an additional notice

2007-01-08 22:10  sylvieg
	* copyrights.php: [FIX]Copyrights: the script can be called
	  directly

2007-01-07 22:33  sylvieg
	* templates/tiki-admin_tracker_fields.tpl: [FIX]tracker: hidden
	  field not correctly selected - backport 1.10

2007-01-06 01:40  marclaporte
	* templates/comment.tpl: [FIX] Forums: in Headers Only mode (which
	  is date & title), no need for author & message table header

2007-01-06 01:06  marclaporte
	* templates/comments.tpl: [FIX] Forums: do not show vote
	  information when voting is not activated in that forum.

2007-01-05 20:58  marclaporte
	* styles/codex.css: fix codex theme for phplayersmenu vertical menu
	  (can now be used without special parameter for the module)

2007-01-05 20:42  marclaporte
	* styles/tikineat.css: [FIX] Remove duplicate table width. This
	  makes Tiki forums look a lot better in IE (They now look that
	  same as Firefox & Opera

2007-01-05 20:30  marclaporte
	* styles/mozilla.css: fix mozilla theme for phplayersmenu vertical
	  menu

2007-01-05 20:21  marclaporte
	* styles/tikineat.css: [MOD] Made fonts in edit boxes larger and
	  easier to read

2007-01-05 20:19  marclaporte
	* styles/tikineat.css: [FIX]Fix phplayersmenu vertical for Firefox

2007-01-05 19:35  sylvieg
	* lib/trackers/trackerlib.php: [FIX]tracker: avoid notice if filter
	  on 'choose a filter'

2007-01-05 19:30  sylvieg
	* lib/trackers/trackerlib.php: [FIX]tracker: the field chosen for
	  initial filtering is the sort_mode field only if the field is
	  visible

2007-01-05 18:06  sylvieg
	* lib/wiki/wikilib.php: [FIX]group by has no asc, desc option

2007-01-05 18:05  sylvieg
	* lib/tikilib.php: [FIX] missing back quote

2007-01-05 17:42  sylvieg
	* lib/tikilib.php: [FIX]wiki syntax ((page||Page-Desc)) must
	  generate a title to the link Page-Desc and not ))Page-Desc((

2007-01-05 14:27  sylvieg
	* tiki-view_forum.php: [FIX]forum: avoid sql error if forumId is
	  incorrect

2007-01-05 09:47  marclaporte
	* styles/dblue.css: fix dblue theme for phplayersmenu vertical menu

2007-01-05 09:27  marclaporte
	* styles/codex.css: fix codex theme for phplayersmenu vertical menu

2007-01-05 09:04  marclaporte
	* styles/boreal.css: fix boreal theme for phplayersmenu vertical
	  menu

2007-01-05 08:54  marclaporte
	* styles/bluegreen.css: fix bluegreen theme for phplayersmenu

2007-01-04 18:14  sylvieg
	* lib/: trackers/trackerlib.php,
	  wiki-plugins/wikiplugin_tracker.php: cvs info

2007-01-04 16:57  sylvieg
	* tiki-view_tracker.php: [FIX]tracker: stronger sort_mode

2007-01-04 15:59  marclaporte
	* setup_smarty.php: Changing Smarty use of subdirectory (for cache)
	  to always be false. This provides broader compatibility with
	  various web host setups. Make sure to clear your templates_c
	  after any Tiki upgrade, but especially this one.

2007-01-03 23:09  sylvieg
	* lib/wiki-plugins/wikiplugin_trackerlist.php: [FIX]pluginfilter:
	  filterfield can be an array

2007-01-02 23:15  mose
	* lang/fa/language.php: [MOD] lang farsi: timedout.net finished
	  translation

2006-12-29 03:22  marclaporte
	* templates/tiki-gmap_usermap.tpl: [FIX] Google user map now works
	  with Internet Explorer. Thank you Eidolon77 :
	  http://tikiwiki.org/tiki-view_forum_thread.php?forumId=4&comments_parentId=22521

2006-12-28 07:25  mose
	* lib/userslib.php: [MOD] auth: removed HTTP_ACCEPT_CHARSET from
	  cookie matching as some browsers don't provide it

2006-12-27 12:01  marclaporte
	* templates/: comment.tpl, comments.tpl: [FIX] Forums: do not show
	  vote information when voting is not activated in that forum.

2006-12-27 11:55  marclaporte
	* templates/tiki-view_forum_thread.tpl: [FIX] forum poster should
	  not vote on his own post

2006-12-27 11:23  marclaporte
	* templates/tiki-view_forum.tpl: typo:made clearer what was
	  commented

2006-12-27 04:18  marclaporte
	* lib/wiki-plugins/wikiplugin_skype.php: [FIX] typo

2006-12-27 04:07  marclaporte
	* lib/wiki-plugins/wikiplugin_flash.php: [ENH] now default values
	  for width, height & quality if they are not set

2006-12-27 03:54  marclaporte
	* lib/wiki-plugins/wikiplugin_flash.php: [FIX] now possible to set
	  quality of Flash plugin

2006-12-27 02:43  marclaporte
	* styles/olive-red.css: removed unused jukebox styles

2006-12-26 18:36  mose
	* lang/: langmapping.php, fa/index.php, fa/language.php: [NEW]
	  farsi translation, provided by timedout.net

2006-12-26 17:54  mose
	* tiki-file_gallery_rss.php: [FIX] filegal: typo

2006-12-26 17:47  mose
	* tiki-tracker_rss.php: [FIX] trackers: made rss respect trackers
	  perms

2006-12-26 17:44  mose
	* tiki-image_gallery_rss.php: [FIX] imagegal: made rss respect
	  imagegal perms

2006-12-26 17:42  mose
	* tiki-file_gallery_rss.php: [FIX] filegal: made rss respect
	  filegal perms

2006-12-26 17:33  mose
	* tiki-articles_rss.php: [FIX] articles: made rss respect topic
	  perms

2006-12-26 17:31  mose
	* tiki-forum_rss.php: [FIX] forums: rss MUST respect permissions,
	  damnit

2006-12-23 22:35  mose
	* templates/tiki-admin_layout.tpl: [FIX] layouts: missing end of
	  form element (backport)

2006-12-22 23:39  mose
	* lib/blogs/bloglib.php: [KIL] blogs: inhibited trackback because
	  using snoopy

2006-12-21 04:57  mose
	* lib/smarty_tiki/block.tikimodule.php, styles/tikineat.css,
	  templates/module.tpl, templates/modules/user_module.tpl: [MOD]
	  modules: added an optional parameter overflow=y specialy for
	  phplm in ie. z-index still to be fixed in firefox

2006-12-20 22:45  marclaporte
	* templates/tiki-edit_translation.tpl: [MOD] showing first 80
	  characters in translation panel (instead of 40)

2006-12-20 19:45  mose
	* tiki-setup_base.php, tiki-login.php, lib/userslib.php: [MOD]
	  auth: changed the way remember-me cookie is generated and
	  handled, with a stronger system

2006-12-20 18:24  sylvieg
	* tiki-file_galleries.php: [FIX]fgal: missing include

2006-12-20 05:55  marclaporte
	* styles/tikineat.css: rollback changes. So modules are now clean
	  as they were before but vertical phplayersmenus in modules are
	  broken

2006-12-20 04:53  mose
	* styles/bluegreen.css, styles/codex.css, styles/dblue.css,
	  styles/default.css, styles/default2.css, styles/elegant.css,
	  styles/mose.css, templates/tiki.tpl,
	  templates/styles/mose/tiki-top_bar.tpl, styles/smartiki.css,
	  styles/subsilver.css, styles/tceti.css, styles/tikigod.css,
	  styles/tikineat.css, styles/tranquil.css, styles/trollparty.css:
	  [FIX] styles: fixing padding of centercolumn so icons don't get
	  under right column on ie

2006-12-20 02:54  mose
	* styles/tikineat.css: [FIX] tikineat: why hide overflow in column
	  ? it changes column width and don't look good at all

2006-12-20 02:33  mose
	* tiki-login.php: [FIX] auth: typo

2006-12-20 02:19  mose
	* tiki-login.php, lib/userslib.php: [FIX] users: made userlib and
	  intertiki respect login pattern

2006-12-20 02:01  mose
	* tiki-adminusers.php: [FIX] users: made adminusers respect login
	  pattern

2006-12-20 01:51  mose
	* tiki-register.php, tiki-setup_base.php: [FIX] register: fixed
	  pattern for username check

2006-12-19 10:47  mose
	* lib/userslib.php: [FIX] auth: fix on min pass length check

2006-12-19 02:52  mose
	* lib/init/tra.php: [FIX] lang: missing file for translation
	  function

2006-12-19 00:04  franck
	* tiki-setup_base.php, lib/smarty_tiki/block.tr.php: [ADD]
	  Backported the possibility to have a custom.php language file

2006-12-18 16:18  sylvieg
	* tiki-directory_validate_sites.php: [FIX]directory: take away the
	  confirm step in multiple delete (because the confirm step does
	  not work if you do not give all the params in the url... and url
	  have a limitted length

2006-12-18 00:01  mose
	* lib/userslib.php: [FIX] auth: missing global var

2006-12-16 19:41  sylvieg
	* tiki-editpage.php: oops trace

2006-12-15 20:04  sylvieg
	* lib/tikilib.php, tiki-poll_results.php,
	  templates/tiki-poll_results.tpl: [MOD]poll: an admin can see who
	  votes what + average if the option title begins with a numeric

2006-12-15 19:54  sylvieg
	* templates/tiki-editpage.tpl: a missing tr

2006-12-15 16:17  sylvieg
	* lib/trackers/trackerlib.php, tiki-view_tracker.php,
	  templates/tiki-view_tracker.tpl: [FIX]tracker: on the initial
	  line says on which field the initial is + the field is the
	  sort_mode field is textual(text field, textarea, email) or the
	  first main textual field

2006-12-14 22:01  sylvieg
	* tiki-view_tracker.php, lib/trackers/trackerlib.php: [FIX]tracker:
	  backport from 1.10, items list pagination was broken

2006-12-14 20:25  sylvieg
	* tiki-view_tracker.php: oops

2006-12-14 18:22  sylvieg
	* tiki-view_tracker.php, templates/tiki-admin_trackers.tpl,
	  lib/wiki-plugins/wikiplugin_trackerlist.php: [MOD]tracker:
	  backport for dev.tw, sort items on created and lastModif

2006-12-14 18:19  sylvieg
	* categorize_list.php: [FIX]categ: side effect in the last categ
	  fix

2006-12-14 16:45  sylvieg
	* tiki-admin_include_wiki.php, tiki-setup.php, lib/tikilib.php,
	  templates/tiki-admin-include-wiki.tpl: [FIX]history: new option
	  to keep all the histories and not create a history only if data,
	  desc, comment change (ex: if somebody was only changing categ or
	  poll, the last edit that could have been important was lost)

2006-12-11 19:20  sylvieg
	* tiki-editpage.php, lib/tikilib.php: [FIX]list pages: if do not
	  show links, backlinks, versions, do not fetch the info in the
	  database (save 3 queries for each displayed page

2006-12-10 17:29  ohertel
	* remote.php: [sec] intertiki fix backport

2006-12-09 05:48  gregmartin
	* lib/wiki-plugins-dist/wikiplugin_bloglist.php: Corrected
	  incorrect variable reference in line 26.  Reference to
	  $res[blogId] should be $Id

2006-12-09 00:15  sylvieg
	* db/tiki.sql: [FIX]speed: missing key to speed up

2006-12-09 00:09  sylvieg
	* db/tiki_1.8to1.9.sql: [FIX]speed: missing key to speed up

2006-12-06 23:56  marclaporte
	* tiki-editpage.php, templates/tiki-editpage.tpl: [MOD] When
	  editing a wiki page, only available languages are now offered, as
	  managed at tiki-admin.php?page=i18n

2006-12-05 18:56  sylvieg
	* templates/tiki-admin_notifications.tpl: [MOD]notif: display a
	  warnong if the site sender email is not set (mail will be
	  considered as spam generally)

2006-11-29 01:28  fr_rodo
	* tiki-view_tracker.php: [NEW] add sequential auto-increment number

2006-11-28 11:54  fr_rodo
	* tiki-pagination.php: [FIX] bug in certain circumstances

2006-11-27 17:32  marclaporte
	* templates/tiki-assignuser.tpl: [FIX] assign users to groups: made
	  intertiki slavemode message not displayed if intertiki feature is
	  off

2006-11-27 16:23  mose
	* templates/tiki-adminusers.tpl: [FIX] adminusers: made intertiki
	  slavemode message not displayed if intertiki feature is off

2006-11-27 16:19  mose
	* lib/userslib.php: [FIX] made login validation respect the minimum
	  password length defined in admin login panel

2006-11-25 22:36  mose
	* templates/tiki-page_bar.tpl: [FIX] no, we don't want those links
	  here, there are already too much of them

2006-11-25 22:31  lmoss
	* templates/tiki-page_bar.tpl: Added admin buttons

2006-11-25 22:19  lmoss
	* templates/modules/mod-last_articles.tpl: i18n fix

2006-11-25 22:14  lmoss
	* templates/modules/mod-last_articles.tpl: Add topic ID and type to
	  link to article list

2006-11-25 22:04  lmoss
	* tiki-list_gallery.php: Do not show image gallery if it is
	  categorized and the user does not have viewing permissions for
	  the category

2006-11-25 22:00  lmoss
	* tiki-file_galleries.php: Do not show file gallery if it is
	  categorized and the user does not have viewing permissions for
	  the category

2006-11-25 21:54  lmoss
	* tiki-edit_image.php: Removed category admin code that was not yet
	  ready for commit

2006-11-25 21:49  lmoss
	* tiki-edit_image.php: Do not show image if the gallery is
	  categorized and the user does not have viewing permissions for
	  the category

2006-11-25 20:08  lmoss
	* tiki-live_support_message.php: Bug fix: Non-existant template was
	  called

2006-11-25 19:50  lmoss
	* lib/tikilib.php: Bug fix: timezone sometimes reverted to GMT when
	  editing calendar events. See:
	  http://dev.tikiwiki.org/tiki-view_tracker_item.php?itemId=536

2006-11-25 19:19  lmoss
	* tiki-browse_categories.php: Make sure that users can only see
	  categories for which they have permissions

2006-11-25 19:11  lmoss
	* lib/tikiticketlib.php: Bug fix: variable had two names
	  (confirmationaction and confirmaction)



----------------------------------------------------------------------
Version 1.9.7
<http://tikiwiki.org/ReleaseProcess197>
------------------

2006-11-25 15:58  mose
	* db/tiki-secdb_1.9_mysql.sql: [REL] updated secdb

2006-11-25 15:41  mose
	* styles/tikineat.css: [FIX] jscalendar: fixed style for better
	  display of the button

2006-11-25 15:32  mose
	* templates/tiki-view_tracker.tpl: [FIX] trackers: backported fixes
	  for jscalendar display

2006-11-23 22:56  marclaporte
	* templates/tiki-view_tracker_item.tpl: information (name, comment,
	  version and description) about files attached to trackers was not
	  visible in file listing

2006-11-23 14:33  sylvieg
	* lang/fr/language.php: translation update

2006-11-23 02:23  franck
	* tiki-list_articles.php, templates/tiki-list_articles.tpl: [MOD]
	  Can find articles by categories

2006-11-23 02:07  franck
	* lib/: calendar/calendarlib.php,
	  wiki-plugins/wikiplugin_events.php: [MOD] EVENTS wikiplugin to
	  use with tiki calendar

2006-11-23 02:02  franck
	* lib/wiki-plugins/wikiplugin_rss.php: [MOD] multiple RSS in the
	  wikiplugin

2006-11-23 01:51  franck
	* lib/wiki-plugins/wikiplugin_rss.php: [MOD] multiple RSS in the
	  wikiplugin

2006-11-22 03:13  lmoss
	* categorize_list.php: Show only categories for which the user has
	  permissions

2006-11-21 16:56  marclaporte
	* templates/tiki-browse_gallery.tpl: [FIX] correct the link to the
	  user information

2006-11-21 16:23  mose
	* tiki-setup_base.php: [SEC] stronger protection against js
	  injection

2006-11-21 05:48  franck
	* lib/wiki-plugins/wikiplugin_events.php: [FIX] events wikiplugin

2006-11-21 05:48  franck
	* lib/wiki-plugins/wikiplugin_events.php: file
	  wikiplugin_events.php was added on branch BRANCH-1-9 on
	  2006-11-23 01:07:09 +0000

2006-11-21 00:52  franck
	* lib/wiki-plugins/wikiplugin_events.php: [Feature]
	  Events(calendar) list wiki plugin

2006-11-20 08:46  josefgc
	* lang/langmapping.php: Added gl language

2006-11-20 08:39  josefgc
	* lang/gl/: index.php, language.php: Galician language files

2006-11-19 14:29  mose
	* README, templates/tiki-top_bar.tpl,
	  templates/styles/neat/tiki-top_bar.tpl,
	  templates/styles/simple/tiki-top_bar.tpl: [MOD] incremented
	  version number

2006-11-19 13:03  mose
	* styles/smartiki.css, templates/styles/smartiki/tiki.tpl: [MOD]
	  smartiki theme improvement

2006-11-16 14:56  mose
	* tiki-setup_base.php: [SEC] more power even, for the javascript
	  shield

2006-11-15 20:40  sylvieg
	* lib/userslib.php: [FIX]:user - rename user was missing
	  lastUserModif in tiki_files

2006-11-15 15:18  sylvieg
	* tiki-setup.php, lib/userslib.php: [FIX]ldap: the stupid rename
	  was not done everywhere. DO NOT DO rename only for pretty reason
	  in 1.9

2006-11-15 12:08  mose
	* tiki-setup_base.php: [SEC] strengthening javascript shield

2006-11-12 23:45  sylvieg
	* lang/fr/language.php: rollback: please do not run get_strings if
	  you do not plan to translate

2006-11-12 18:28  sampaioprimo
	* lang/: ar/language.php, ca/language.php, cn/language.php,
	  cs/language.php, da/language.php, de/language.php,
	  el/language.php, en/language.php, en-uk/language.php,
	  es/language.php, fi/language.php, fr/language.php,
	  he/language.php, hr/language.php, hu/language.php,
	  it/language.php, ja/language.php, ko/language.php,
	  nl/language.php, no/language.php, pl/language.php,
	  pt/language.php, pt-br/language.php, ru/language.php,
	  sb/language.php, sk/language.php, sr/language.php,
	  sr-latn/language.php, sv/language.php, tv/language.php,
	  tw/language.php, uk/language.php: update language.php files using
	  get_strings.php script

2006-11-12 00:09  sylvieg
	* tiki-view_tracker.php: [FIX]tracker: field1 hidden, field2
	  mandatory, field3 madatory, save only with filed3 value. the
	  error pannel will put field3 value in field3 and not field2

2006-11-10 23:08  sylvieg
	* tiki-import_tracker.php: [FIX]tracker: export perm is
	  tiki_p_admin_trackers and not tiki_p_admin

2006-11-10 17:27  sylvieg
	* lib/tikilib.php: [FIX]perm: a tiki_p_admin can see all the
	  options of the menu even if assigned to another group

2006-11-10 04:06  mose
	* tiki-register.php: [SEC] added a minimal check on email for new
	  registration, even if check is not requested in prefs, to avoid
	  notification-spam

2006-11-09 21:10  mose
	* lib/pear/CMD.php: [KIL] removed unused file

2006-11-09 17:23  mose
	* tiki-admin_include_intertiki.php,
	  templates/tiki-admin-include-intertiki.tpl: [FIX] admin panel was
	  not working properly, it should now (especially the
	  tiki_preferences checkbox)

2006-11-08 19:52  mose
	* lib/tikilib.php, tiki-login.php: [FIX] enabled logins to accept @
	  even when using intertiki slave mode

2006-11-07 23:07  xavidp
	* lang/ca/language.php: a few more strings translated


----------------------------------------------------------------------
Version 1.9.6
<http://tikiwiki.org/ReleaseProcess196>
------------------

2006-11-06 02:36  mose
	* styles/smartiki.css (BRANCH-1-9): minor style improvement

2006-11-05 18:27  mose
	* tiki-setup_base.php (BRANCH-1-9): adapted filter for url var, as
	  url can be relative

2006-11-05 18:25  mose
	* fixperms.sh (BRANCH-1-9): synced list of dirs with setup.sh

2006-11-05 10:32  mose
	* tiki-setup_base.php (BRANCH-1-9): avoiding error when highlight
	  is an array (cannot happen)

2006-11-05 10:08  mose
	* tiki-setup_base.php (BRANCH-1-9): better security against XSS

2006-11-03 15:34  sylvieg
	* tiki-setup_base.php (BRANCH-1-9): username can be empty (come
	  from the admin login box)

2006-11-03 06:12  sampaioprimo
	* templates/tiki-edit_help.tpl (BRANCH-1-9): the command ...page...
	  should not be translated on wiki help

2006-11-02 19:37  sylvieg
	* lib/tikidblib.php (BRANCH-1-9): do not reveal a part of the path
	  if error

2006-11-02 15:35  sylvieg
	* messu-archive.php, messu-mailbox.php, messu-sent.php,
	  tiki-admin_banning.php, tiki-admin_calendars.php,
	  tiki-admin_categories.php, tiki-admin_chart_items.php,
	  tiki-admin_charts.php, tiki-admin_chat.php,
	  tiki-admin_content_templates.php, tiki-admin_cookies.php,
	  tiki-admin_drawings.php, tiki-admin_dsn.php,
	  tiki-admin_external_wikis.php, tiki-admin_forums.php,
	  tiki-admin_hotwords.php, tiki-admin_html_page_content.php,
	  tiki-admin_html_pages.php, tiki-admin_include_trackers.php,
	  tiki-admin_include_wikiatt.php, tiki-admin_menu_options.php,
	  tiki-admin_menus.php, tiki-admin_newsletter_subscriptions.php,
	  tiki-admin_newsletters.php, tiki-admin_notifications.php,
	  tiki-admin_polls.php, tiki-admin_quicktags.php,
	  tiki-admin_rssmodules.php, tiki-admin_shoutbox_words.php,
	  tiki-admin_structures.php, tiki-admin_survey_questions.php,
	  tiki-admin_surveys.php, tiki-admin_tracker_fields.php,
	  tiki-admin_trackers.php, tiki-admingroups.php,
	  tiki-adminusers.php, tiki-assignpermission.php,
	  tiki-assignuser.php, tiki-browse_categories.php,
	  tiki-browse_gallery.php, tiki-browse_image.php, tiki-charts.php,
	  tiki-directory_add_site.php, tiki-directory_admin_categories.php,
	  tiki-directory_admin_related.php, tiki-directory_admin_sites.php,
	  tiki-directory_browse.php, tiki-directory_ranking.php,
	  tiki-directory_search.php, tiki-directory_validate_sites.php,
	  tiki-edit_programmed_content.php, tiki-edit_question_options.php,
	  tiki-edit_quiz.php, tiki-edit_quiz_questions.php,
	  tiki-edit_quiz_results.php, tiki-eph.php, tiki-eph_admin.php,
	  tiki-faq_questions.php, tiki-file_galleries.php,
	  tiki-forum_queue.php, tiki-forums.php, tiki-forums_reported.php,
	  tiki-friends.php, tiki-g-admin_graph.php,
	  tiki-g-admin_processes.php, tiki-g-admin_roles.php,
	  tiki-g-monitor_activities.php, tiki-g-monitor_instances.php,
	  tiki-g-monitor_processes.php, tiki-g-monitor_workitems.php,
	  tiki-g-user_activities.php, tiki-g-user_instances.php,
	  tiki-g-user_processes.php, tiki-galleries.php,
	  tiki-lastchanges.php, tiki-list_articles.php,
	  tiki-list_banners.php, tiki-list_blogs.php, tiki-list_cache.php,
	  tiki-list_contents.php, tiki-list_faqs.php,
	  tiki-list_file_gallery.php, tiki-list_gallery.php,
	  tiki-list_posts.php, tiki-list_quizzes.php,
	  tiki-list_submissions.php, tiki-list_surveys.php,
	  tiki-list_trackers.php, tiki-list_users.php, tiki-listpages.php,
	  tiki-live_support_transcripts.php, tiki-minical.php,
	  tiki-my_tiki.php, tiki-newsletter_archives.php,
	  tiki-newsletters.php, tiki-newsreader_servers.php,
	  tiki-notepad_list.php, tiki-old_polls.php, tiki-orphan_pages.php,
	  tiki-quiz_stats.php, tiki-quiz_stats_quiz.php,
	  tiki-received_articles.php, tiki-received_pages.php,
	  tiki-referer_stats.php, tiki-search_stats.php,
	  tiki-send_newsletters.php, tiki-sheets.php, tiki-shoutbox.php,
	  tiki-survey_stats.php, tiki-survey_stats_survey.php,
	  tiki-syslog.php, tiki-theme_control.php,
	  tiki-theme_control_objects.php, tiki-userfiles.php,
	  tiki-usermenu.php, tiki-view_articles.php, tiki-view_blog.php,
	  tiki-view_faq.php, tiki-view_tracker.php,
	  tiki-view_tracker_item.php, tiki-webmail.php,
	  tiki-webmail_contacts.php (BRANCH-1-9): rollback - the url
	  doesn't be longer only to deal with error

2006-11-02 00:44  mose
	* lib/wiki-plugins/wikiplugin_box.php (BRANCH-1-9): removed a extra
	  parsing unneeded in wikiplugin

2006-11-01 23:54  sylvieg
	* messu-archive.php, messu-mailbox.php, messu-sent.php,
	  tiki-admin_banning.php, tiki-admin_calendars.php,
	  tiki-admin_categories.php, tiki-admin_chart_items.php,
	  tiki-admin_charts.php, tiki-admin_chat.php,
	  tiki-admin_content_templates.php, tiki-admin_cookies.php,
	  tiki-admin_drawings.php, tiki-admin_dsn.php,
	  tiki-admin_external_wikis.php, tiki-admin_forums.php,
	  tiki-admin_hotwords.php, tiki-admin_html_page_content.php,
	  tiki-admin_html_pages.php, tiki-admin_include_trackers.php,
	  tiki-admin_include_wikiatt.php, tiki-admin_menu_options.php,
	  tiki-admin_menus.php, tiki-admin_newsletter_subscriptions.php,
	  tiki-admin_newsletters.php, tiki-admin_notifications.php,
	  tiki-admin_polls.php, tiki-admin_quicktags.php,
	  tiki-admin_rssmodules.php, tiki-admin_shoutbox_words.php,
	  tiki-admin_structures.php, tiki-admin_survey_questions.php,
	  tiki-admin_surveys.php, tiki-admin_tracker_fields.php,
	  tiki-admin_trackers.php, tiki-admingroups.php,
	  tiki-adminusers.php, tiki-assignpermission.php,
	  tiki-assignuser.php, tiki-browse_categories.php,
	  tiki-browse_gallery.php, tiki-browse_image.php, tiki-charts.php,
	  tiki-directory_add_site.php, tiki-directory_admin_categories.php,
	  tiki-directory_admin_related.php, tiki-directory_admin_sites.php,
	  tiki-directory_browse.php, tiki-directory_ranking.php,
	  tiki-directory_search.php, tiki-directory_validate_sites.php,
	  tiki-edit_programmed_content.php, tiki-edit_question_options.php,
	  tiki-edit_quiz.php, tiki-edit_quiz_questions.php,
	  tiki-edit_quiz_results.php, tiki-eph.php, tiki-eph_admin.php,
	  tiki-faq_questions.php, tiki-file_galleries.php,
	  tiki-forum_queue.php, tiki-forums.php, tiki-forums_reported.php,
	  tiki-friends.php, tiki-g-admin_graph.php,
	  tiki-g-admin_processes.php, tiki-g-admin_roles.php,
	  tiki-g-monitor_activities.php, tiki-g-monitor_instances.php,
	  tiki-g-monitor_processes.php, tiki-g-monitor_workitems.php,
	  tiki-g-user_activities.php, tiki-g-user_instances.php,
	  tiki-g-user_processes.php, tiki-galleries.php,
	  tiki-lastchanges.php, tiki-list_articles.php,
	  tiki-list_banners.php, tiki-list_blogs.php, tiki-list_cache.php,
	  tiki-list_contents.php, tiki-list_faqs.php,
	  tiki-list_file_gallery.php, tiki-list_gallery.php,
	  tiki-list_posts.php, tiki-list_quizzes.php,
	  tiki-list_submissions.php, tiki-list_surveys.php,
	  tiki-list_trackers.php, tiki-list_users.php, tiki-listpages.php,
	  tiki-live_support_transcripts.php, tiki-minical.php,
	  tiki-my_tiki.php, tiki-newsletter_archives.php,
	  tiki-newsletters.php, tiki-newsreader_servers.php,
	  tiki-notepad_list.php, tiki-old_polls.php, tiki-orphan_pages.php,
	  tiki-quiz_stats.php, tiki-quiz_stats_quiz.php,
	  tiki-received_articles.php, tiki-received_pages.php,
	  tiki-referer_stats.php, tiki-search_stats.php,
	  tiki-send_newsletters.php, tiki-sheets.php, tiki-shoutbox.php,
	  tiki-survey_stats.php, tiki-survey_stats_survey.php,
	  tiki-syslog.php, tiki-theme_control.php,
	  tiki-theme_control_objects.php, tiki-userfiles.php,
	  tiki-usermenu.php, tiki-view_articles.php, tiki-view_blog.php,
	  tiki-view_faq.php, tiki-view_tracker.php,
	  tiki-view_tracker_item.php, tiki-webmail.php,
	  tiki-webmail_contacts.php, db/tiki-1.9-mysql.sql,
	  db/tiki-1.9-oci8.sql, db/tiki-1.9-pgsql.sql,
	  db/tiki-1.9-sqlite.sql, db/tiki-1.9-sybase.sql, db/tiki.sql
	  (BRANCH-1-9): change isset to empty for sort_mode

2006-11-01 22:09  ohertel
	* lib/tikidblib.php (BRANCH-1-9): [fix] removed debug code

2006-11-01 21:48  ohertel
	* tiki-setup_base.php (BRANCH-1-9): [sec] type check improvement
	  (empty parameters), cleanup

2006-11-01 18:40  ohertel
	* tiki-setup_base.php (BRANCH-1-9): [sec] security fix: fix for XSS
	  mentioned in
	  http://dev.tikiwiki.org/tiki-view_tracker_item.php?trackerId=5&offset=0&sort_mode=lastModif_desc&itemId=927

2006-11-01 18:33  ohertel
	* tiki-setup_base.php (BRANCH-1-9): [sec] security fix: let's have
	  at least 1 character for type checked variables, as empty
	  variables are typeless and we don't want them anyway. fixes
	  http://dev.tikiwiki.org/tiki-view_tracker_item.php?trackerId=5&offset=0&sort_mode=lastModif_desc&itemId=927

2006-10-31 23:47  sampaioprimo
	* lib/tikilib.php (BRANCH-1-9): [FIX] image uploaded from wiki
	  wasn't displayed if it has quote in the sintax and feature wiki
	  allow html = y

2006-10-31 22:36  marclaporte
	* lang/fr/language.php (BRANCH-1-9): better expression

2006-10-31 01:02  marclaporte
	* templates/tiki-admin-include-login.tpl (BRANCH-1-9): fix doc link

2006-10-30 21:43  xavidp
	* lang/ca/language.php (BRANCH-1-9): a few more strings translated

2006-10-30 10:08  xavidp
	* lib/smarty_tiki/function.menu.php (BRANCH-1-9): patched by jreyes
	  to allow longer menu names (workspaces)

2006-10-27 18:18  mose
	* lib/wiki-plugins/wikiplugin_trackerlist.php (BRANCH-1-9): [FIX]
	  proper display of number of attachments in trackerlist wikiplugin

2006-10-25 16:22  sylvieg
	* templates/tiki-list_file_gallery.tpl (BRANCH-1-9): some center
	  align

2006-10-24 23:45  sylvieg
	* templates/tiki-list_file_gallery.tpl (BRANCH-1-9): split each
	  info in different columns to be able to sort each column

2006-10-23 17:08  sylvieg
	* tiki-view_tracker.php (BRANCH-1-9): OOPs let a trace

2006-10-23 15:57  sylvieg
	* tiki-view_tracker.php (BRANCH-1-9): a message if the trackerId is
	  set but incorrect

2006-10-23 15:54  sylvieg
	* categorize_list.php (BRANCH-1-9): include categ only if feature
	  active

2006-10-23 15:53  sylvieg
	* tiki-admin_trackers.php (BRANCH-1-9): trackers were badly
	  categorized and were shown if the categ gave no perm

2006-10-22 18:16  mose
	* doc/devtools/tikimerge.sh (BRANCH-1-9): warning, mergers :
	  changed the name of the moving tag because the old one have been
	  borked

2006-10-22 17:35  cfreeze
	* lib/bablotron.php (BRANCH-1-9): Make spell checking work for
	  words that have different case than that in the dictionary

2006-10-22 06:16  cfreeze
	* lib/pear/Auth/: Auth.php, index.php, Container/LDAP.php
	  (BRANCH-1-9): Added missing Auth.php file.  Should complete
	  upgrade of new PEAR::Auth module.

	  For using IMAP and Courier, the following settings worked for me.

	  Set authentication method to "Tiki and PEAR Auth" Check "Create
	  user if not in Tiki" Uncheck "Create user if not in Auth" Set
	  "Auth Type" to IMAP Set the Host and Port to your IMAP server Set
	  the IMAP BaseDSN to "/imap/notls" if not using SSL, or
	  "/imap/ssl" if using SSL

2006-10-21 22:01  mose
	* tiki-admin_include_login.php, tiki-setup.php,
	  db/tiki-1.9-mysql.sql, db/tiki-1.9-oci8.sql,
	  db/tiki-1.9-pgsql.sql, db/tiki-1.9-sqlite.sql,
	  db/tiki-1.9-sybase.sql, db/tiki.sql, db/tiki_1.8to1.9.sql,
	  db/profiles/default-inserts.sql, lib/userslib.php,
	  templates/tiki-admin-include-login.tpl, lib/pear/Auth/Auth.php,
	  lib/pear/Auth/index.php, lib/pear/Auth/Container/LDAP.php
	  (BRANCH-1-9): auth improvement including pear-auth upgrade for
	  security reasons (involving ldap auth), and possible auth against
	  pop/imap server via that lib as well, brought to you by cfreeze

2006-10-21 21:31  mose
	* doc/devtools/myspell_dic_2_tikiWiki_sql.pl (BRANCH-1-9): changed
	  dict script generation to accept words with quotes

2006-10-21 14:23  mose
	* lib/wiki/wikilib.php (BRANCH-1-9): added notification when a file
	  is attached to a watched wiki page

2006-10-19 21:25  awolfff
	* tiki-download_file.php (BRANCH-1-9): NEW: tiki-download_file can
	  now retrieve a file by name from a file gallery. Parameters:
	  galleryId and name

2006-10-19 21:20  awolfff
	* lib/tikilib.php (BRANCH-1-9): NEW: added new function
	  get_file_by_name to get the most recent version of a file with a
	  given name from a given file gallery.  NEW: added maxdepth=<num>
	  to {toc} to control the maximum depth of the toc to be generated.

2006-10-19 21:14  awolfff
	* lib/structures/structlib.php (BRANCH-1-9): NEW: extended get_toc
	  and fetch_toc to handle the maxdepth of the toc to be generated.

2006-10-19 20:43  awolfff
	* show_image.php (BRANCH-1-9): NEW: if called with a galleryId
	  only, a random picture of the gallery is chosen.

2006-10-19 20:29  awolfff
	* lib/wiki-plugins/wikiplugin_sql.php (BRANCH-1-9): FIX: Empty
	  passwords in a DSN confused the parser. Now checking for empty
	  password.

2006-10-19 12:51  xavidp
	* lang/ca/language.php (BRANCH-1-9): some more strings

2006-10-19 02:36  mose
	* tiki-wiki_rss.php (BRANCH-1-9): fixed again the rss behaviour
	  with wiki when no diff is requested

2006-10-18 21:59  sylvieg
	* lib/wiki-plugins/wikiplugin_trackerlist.php (BRANCH-1-9): to
	  avoid multiple trackerlist on the same page

2006-10-18 21:11  xavidp
	* lang/ca/language.php (BRANCH-1-9): install strings translated

2006-10-18 21:08  xavidp
	* templates/tiki-install.tpl (BRANCH-1-9): 2 strings were missing
	  (tr tags added now)

2006-10-18 20:30  sylvieg
	* lib/wiki-plugins/wikiplugin_trackerlist.php (BRANCH-1-9): an
	  error message is filterfield is incorrect

2006-10-18 19:59  xavidp
	* templates/tiki-install.tpl (BRANCH-1-9): added tr tags to allow
	  install strings in other languages (thanks sylvie)

2006-10-18 19:59  sylvieg
	* lib/trackers/trackerlib.php (BRANCH-1-9): a global xxxlib  must
	  have an include ( situation often needs for tracker)

2006-10-18 16:58  luciash
	* htaccess.sh (BRANCH-1-9): [FIX] activate/deactivate tiki root
	  .htaccess too (backport from HEAD)

2006-10-18 13:30  xavidp
	* lang/ca/language.php (BRANCH-1-9): some new admin strings
	  translated

2006-10-18 04:09  marclaporte
	* lang/: no/language.php, pl/language.php, pt/language.php,
	  pt-br/language.php, ru/language.php, sk/language.php,
	  sr/language.php, sr-latn/language.php, sv/language.php,
	  tv/language.php, tw/language.php, uk/language.php (BRANCH-1-9):
	  missing .sh

2006-10-18 04:06  marclaporte
	* lang/: es/language.php, en-uk/language.php, it/language.php,
	  ar/language.php, ca/language.php, cn/language.php,
	  cs/language.php, da/language.php, de/language.php,
	  el/language.php, en/language.php, fi/language.php,
	  he/language.php, hr/language.php, hu/language.php,
	  ja/language.php, ko/language.php, nl/language.php (BRANCH-1-9):
	  missing .sh

2006-10-18 00:55  marclaporte
	* templates/tiki-mods.tpl (BRANCH-1-9): missing .sh

2006-10-18 00:51  marclaporte
	* lang/fr/language.php (BRANCH-1-9): issing .sh in instructions

2006-10-17 02:07  mose
	* lib/trackers/trackerlib.php (BRANCH-1-9): fixed item link field
	  type and cache issue (thx sean)

2006-10-16 20:50  sylvieg
	* templates/tiki-assignpermission.tpl (BRANCH-1-9): missing escape
	  for group name with special chars

2006-10-16 20:10  sylvieg
	* tiki-directory_redirect.php (BRANCH-1-9): do not redirect for a
	  non validated site

2006-10-16 15:36  sylvieg
	* lib/tikilib.php (BRANCH-1-9): avoid a notice

2006-10-16 15:19  sylvieg
	* lib/tikilib.php (BRANCH-1-9): avoid a notice

2006-10-16 00:40  sylvieg
	* lang/fr/language.php (BRANCH-1-9): some more

2006-10-15 21:16  xavidp
	* lang/ca/language.php (BRANCH-1-9): a few more strings translated

2006-10-13 21:04  xavidp
	* lang/ca/language.php (BRANCH-1-9): a few more strings I forgot
	  previously from admin screens

2006-10-13 15:39  sylvieg
	* tiki-install.php (BRANCH-1-9): possibilty to add a param
	  tiki-install.php?lang=ca - next step add the {tr}

2006-10-13 11:16  xavidp
	* lang/ca/language.php (BRANCH-1-9): some new strings translated
	  (some admin interfaces, tips, etc.)

2006-10-09 21:05  marclaporte
	* tiki-pagepermissions.php (BRANCH-1-9): alphabetical sort of group
	  names is nicer

2006-10-06 16:02  sylvieg
	* lib/trackers/trackerlib.php (BRANCH-1-9): backport 1.9

2006-09-27 20:22  sylvieg
	* styles/transitions/1.8to1.9.css (BRANCH-1-9): imgs are  a step
	  above

2006-09-27 12:54  sylvieg
	* lib/wiki-plugins/wikiplugin_titlesearch.php (BRANCH-1-9):
	  list_pages is in tikilib

2006-09-27 12:42  xavidp
	* db/tiki_1.8to1.9.sql (BRANCH-1-9): removed actions of creating
	  and deleting tiki_project* tables

2006-09-27 12:24  xavidp
	* _htaccess (BRANCH-1-9): removed references to workspaces

2006-09-27 11:41  xavidp
	* _htaccess (BRANCH-1-9): added entries for workspaces

2006-09-26 15:11  sylvieg
	* lib/search/: refresh-functions.php, refresh.php (BRANCH-1-9):
	  global search functions

2006-09-26 14:00  luciash
	* tiki-browse_categories.php (BRANCH-1-9): [FIX] removed duplicate
	  CVS header

2006-09-26 12:56  luciash
	* templates/header.tpl (BRANCH-1-9): [FIX] removed duplicate js
	  block

2006-09-26 11:45  makenai
	* tiki-setup_base.php (BRANCH-1-9): Fix for updating lastlogin
	  information for users when using website authorization

2006-09-26 06:23  marclaporte
	* tiki-calendars_rss.php (BRANCH-1-9): typo reported on IRC by
	  Makenai

2006-09-25 21:15  sylvieg
	* templates/poll.tpl (BRANCH-1-9): highlight also in poll view div
	  the user vote

2006-09-23 21:17  mose
	* tiki-wiki_rss.php (BRANCH-1-9): fixed rss to make optional the
	  link to the diff (default go to page)

2006-09-19 19:39  ohertel
	* tiki-setup_base.php (BRANCH-1-9): [fix] less restrict
	  typechecking on 'type', not only used in galaxia

2006-09-19 16:36  ohertel
	* lib/: feedcreator/feedcreator.class.php, rss/rsslib.php
	  (BRANCH-1-9): [mod] added simply style 0.9 RDF feed for old style
	  rss feeds (e.g. Object Desktop Silica RSS Reader), use ?ver=a or
	  or ?ver=RSS0.9

2006-09-19 03:38  ohertel
	* tiki-setup_base.php (BRANCH-1-9): [sec] security fix (type check)

2006-09-19 02:25  ohertel
	* lib/Galaxia/src/ProcessManager/ProcessManager.php,
	  tiki-g-admin_processes.php, tiki-setup_base.php (BRANCH-1-9):
	  [sec] security fix (type check), typo fixed

2006-09-19 00:49  ohertel
	* tiki-calendars_rss.php, tiki-tracker_rss.php (BRANCH-1-9): [fix]
	  misc fixes on rss feeds (visibility, speed, general bugs, cache),
	  caching time configurable now

2006-09-19 00:43  ohertel
	* tiki-admin_include_rss.php, tiki-articles_rss.php,
	  tiki-blog_rss.php, tiki-blogs_rss.php, tiki-directories_rss.php,
	  tiki-directory_rss.php, tiki-file_galleries_rss.php,
	  tiki-file_gallery_rss.php, tiki-forum_rss.php,
	  tiki-forums_rss.php, tiki-image_galleries_rss.php,
	  tiki-image_gallery_rss.php, tiki-map_rss.php, tiki-setup.php,
	  tiki-wiki_rss.php, lib/rss/rsslib.php,
	  templates/tiki-admin-include-rss.tpl, lang/de/language.php
	  (BRANCH-1-9): [fix] misc fixes on rss feeds (visibility, speed,
	  general bugs, cache), caching time configurable now

2006-09-18 19:30  sylvieg
	* templates/tiki-editpage.tpl (BRANCH-1-9): not to recreate the
	  poll each time you edit a page with a poll

2006-09-18 19:26  sylvieg
	* lib/categories/categlib.php (BRANCH-1-9): must keep the
	  tiki_categorized object when removing categorization because poll
	  can use it

2006-09-18 15:37  sylvieg
	* templates/tiki-listpages.tpl (BRANCH-1-9): syntax error

2006-09-16 14:16  ohertel
	* templates/modules/mod-random_images.tpl (BRANCH-1-9): [fix]
	  random image thumbnail should be centered and have no border

2006-09-16 02:58  mose
	* lib/smarty_tiki/outputfilter.highlight.php (BRANCH-1-9): still
	  not perfect highlight regexp, but this one is not buggy at least

2006-09-16 01:10  mose
	* lib/smarty_tiki/outputfilter.highlight.php (BRANCH-1-9): cleaned
	  dirtiness and maybe fixed the onmouseover regexp in highlight

2006-09-15 22:23  mose
	* lib/smarty_tiki/outputfilter.highlight.php (BRANCH-1-9): dirty
	  fix, onmouseover is still not saved from highlight, but at least
	  user popup do not break now

2006-09-15 22:06  sylvieg
	* tiki-login.php (BRANCH-1-9): when you log in from
	  tiki-login_validate do not go back in this page because the
	  password has been changed and you will have an error

2006-09-15 19:31  mose
	* templates/tiki-calendar.tpl (BRANCH-1-9): fixed link to calendar
	  item from list view

2006-09-15 15:52  sylvieg
	* lib/smarty_tiki/function.phplayers.php,
	  tiki-browse_categories.php (BRANCH-1-9): a phplayer icon
	  tree_expand_corner_first.png was in another directory - it
	  changes the look but at least the logs are not filled

2006-09-15 15:19  sylvieg
	* lib/notifications/notificationemaillib.php (BRANCH-1-9): the
	  outbound url was bad for a topic post

2006-09-14 18:27  sylvieg
	* lib/trackers/trackerlib.php (BRANCH-1-9): filter can have
	  multiple category filters

2006-09-13 19:39  ohertel
	* tiki-admin_include_metatags.php,
	  templates/tiki-admin-include-metatags.tpl (BRANCH-1-9): [fix] fix
	  for collision between global metatag setting and setting for that
	  specific page (robots: noindex, nofollow set for admin pages)

2006-09-13 17:58  sylvieg
	* tiki-view_tracker_item.php (BRANCH-1-9): some confusion with perm
	  between closed and pending

2006-09-13 15:57  sylvieg
	* lib/wiki-plugins/wikiplugin_category.php (BRANCH-1-9): fix help
	  on sub

2006-09-11 15:43  sylvieg
	* lib/shoutbox/shoutboxlib.php (BRANCH-1-9): instead of not being
	  able to post 2 times the same message/same user in shoutbox,
	  update the timestamp... (ex: message hellp or post). Perhaps the
	  solution is to controlled timing?

2006-09-10 20:06  ohertel
	* templates/styles/moreneat/tiki.tpl (BRANCH-1-9): rollback of
	  toggg edit: the page bar is hardcoded into
	  templates/moreneat/tiki-show_page.tpl, with those lines you just
	  doubled the comments zone

2006-09-10 07:44  toggg
	* templates/styles/moreneat/tiki.tpl (BRANCH-1-9): Get wiki help
	  button in there

2006-09-09 11:43  ohertel
	* styles/: olive-blue.css, olive-red.css, olive.css (BRANCH-1-9):
	  move away external link icon from text

2006-09-09 11:41  ohertel
	* styles/moreneat.css (BRANCH-1-9): fix: content killing the border

2006-09-08 13:04  sylvieg
	* lib/wiki/wikilib.php (BRANCH-1-9): limit a little bit the bug, if
	  you delete an attachment, the file is deleted only if no more
	  referenced - BUT it does not solve the problem that a
	  filedownloaded with the same name than an already attached file
	  in another page erased the olf file

2006-09-08 10:51  sylvieg
	* lib/wiki-plugins/wikiplugin_attach.php (BRANCH-1-9): use also the
	  filename extension to show the icon as it is done in attachment
	  list

2006-09-07 19:24  sylvieg
	* templates/tiki-editpage.tpl (BRANCH-1-9): add a name on the form
	  to be able to do javascript on the form

2006-09-06 17:04  wesleywillians
	* templates/tiki-view_blog_post.tpl (BRANCH-1-9): [MOD] Adding
	  title to blog's post

2006-09-06 13:40  sylvieg
	* tiki-download_item_attachment.php (BRANCH-1-9): if the attached
	  file doesn't exist for some errors, out a message in the download
	  instead of a php error



Version 1.9.5
<http://tikiwiki.org/ReleaseProcess195>
------------------

[SEC] Security: fix in tiki-editpage.php
[SEC] Security: fixes in jhot.php
[SEC] Security: Parameter highlight may not countain & , " , ' , < or >
[SEC] Security: Script htaccess.sh for dis/enabling .htaccess files
[FIX] Avoid some messages due to undefined variables
[FIX] Tracker: fixed tracker data import when no status indicated in csv
[FIX] Trackers: check we have a right image handle before taking its info
[FIX] Avoid notice and insert message case id xxx does not exist in {rss id=xxx}
[FIX] Optional 's' for $groupHome protocol as https://... ,correct the
      https: goup home case for logout too
[FIX] Installer shows memory limit warning
[FIX] No more take offset from cookies
[FIX] Image Gallery: Check we have a right image handle before taking its info
[FIX] Image Gallery: Strengthen get_one_image_from_disk() to refuse non image data
[FIX] Image Gallery: Check and get image sizes even if .gif or no
      imagecreatefromstring()
[FIX] Image Gallery: All files are now checked against being right images
[FIX] Image Gallery: Double link to image gallery when returning from edit
[FIX] Image Gallery: Get optional thumbnail image size so it works if same scale
      as thumbs scale from gallery
[FIX] Image Gallery: Double link to image gallery when returning from edit
[FIX] Image Gallery: Use gallery's default for image scale or sort order
      if none in browse and show images
[FIX] Image Gallery: Image permissions
[FIX] Image Gallery: Navigation / scale control in image browsing
[FIX] Image Gallery: Once image gallery saved, avoid double create link display
[FIX] Image Gallery: small change in images batch upload to respect name
      order in batch
[FIX] Keep menus wide open if javascript or cookies not allowed
[FIX] Styles: Simple style fixes for PLM and other enhancements
[FIX] Tiki-index_p.php: typo feature_wiki_usrlock
[FIX] Blogs: Trackback pings for blog posts accepted only if the feature
      blog is enabled
[FIX] Blogs: Secured and fixed blogs trackback pings display
[FIX] Wikiplugin snarf: don't change line feeds in <br />
[FIX] Wikiplugin code: uses proper <br />
[FIX] mk_profile.sh: accepts optionals backticks around table names,
      better autodoc
[FIX] Module quick_edit: fixed collision with edit article: 'heading'
      used in both of them, thus preventing 'heading' showing up in
      edit article, if you have quick_edit module activated
[FIX] Admin/login: fixing 1 day bug & adding more options
[FIX] pcllib: removed call by reference to functions
[FIX] Broken links to documentation
[FIX] Some fixes in display of country flag
[FIX] Galaxia: conformed to db abstract
[FIX] Wiki RSS Feed: avoid sql error, show whole file for new wiki pages,
      cleanup of output in rss data
[FIX] Wiki: fixed undefined 'index' variable in page history
[FIX] Wikiplugin TrackerFilter: fix sort and pagination
[FIX] Wikiplugin Trackerlist: several fixes
[MOD] Smarty updated to 2.6.14
[MOD] Modules allow user to create a module without title and display error
      message if no name or data is given to a new module
[MOD] Trackers: add the fulltext index for tracker search with mysql
[MOD] Trackers: many fixes and enhancements
[MOD] change in the message body messu-compose to messu-mailbox to be
      directly in the mailbox when notification from the message box
[MOD] Some clean up and organization on wiki help
[MOD] Trackers: added a new optional behaviour for isHidden field
      type, to make hidden fields only editable by tracker admin
      but still visible to modifier
[MOD] Admin survey questions: longer options field and hint box for
      multiple answer questions where to places those answers
[MOD] at least yahoo and google ignore our robots.txt entries completely,
      so we set META ROBOTS tags on all pages we don't want indexed/followed.
      Thats all admin/submit/print/rename/remove/send pages and pages that
      will make search box go wild (categories, lengthy lists, calendar, ...)
[MOD] Hide MultiTiki info when not in use 
[MOD] lang/de, lang/ca, lang/pt-br, lang/fr updates
[MOD] Edit article: allow to preselect categories when creating a new
      article, like this:
      /tiki-edit_article.php?cat_categories[]=1&cat_categorize=on for
      category '1'
[MOD] Plugins: Extended div wikiplugin to accept justify text align
[MOD] Blogs: Possibility to delete blog post level trackback pings
[MOD] Changed behaviour for description label when no desc is provided
[MOD] Enables relative url for group home as http:tiki-xxx.php...
      (no double slash after ":" )
[MOD] Enables included php to ask extra external js
[MOD] Image slideshow in page , controlled by feature slideshow in admin
      image galleries
[MOD] Images slideshow preloads images and works autonomous when
      cycle complete
[MOD] Images galleries links simplified, only scalesize controls the scale
      (0=original size)
[MOD] Images galleries controls enhanced
[MOD] Update to latest version of PhpLayersMenu (3.2.0-rc)
[MOD] New files (copy for Tiki for modifications) to prevent overriding
      of original files of the PLM package
[MOD] Calendar: added categories support for theme control purpose
[MOD] Imagegal: added a way in admin panel to move images from db
      to filesystem
[MOD] Users: added an option to have new users accept internal messages
      by default
[MOD] Users: switch on receiving internal messages by default
[MOD] Blogs: Added feature/allow blogs trackback pings enabling general and
      on a blog basis
[MOD] Blogs: View blogs post refactored
[MOD] Clearer install & upgrade intructions. Moving 1.7.x stuff to a wiki
      page. Add information about secdb
[NEW] Plugins: Skype plugin to create a clickable link to call or chat
      with a Skype user

Version 1.9.4
<http://tikiwiki.org/ReleaseProcess194>
------------------

[MOD] cms: added an option for availability of print option in cms
[NEW] google-map: new feature, used for usermap and self-location
[FIX] polls: changed polls admin access permission to be distinct from
      admin one
[MOD] user: added an option to remove all pages from user when deleting user
[NEW] trackers: new export page in csv format
[FIX] trackers: made filter work with categ field type
[FIX] trackers: fixed trackers to accept zero when a numeric field type
      is mandatory
[FIX] galaxia: added a check for name of start activity
[FIX] maps: freeing now image memory after request to avoid bloating
[FIX] cms: fixed db commpat for print view (reads->nbreads)
[FIX] newsletter: set up the from address to default from when sending
      newsletter
[MOD] multi: added $local_php and $multi optional vars for geeks only
[SEC] several vars added to sanitization to avoid cross-site scripting
[FIX] devtools: improved sqlupgrade script for when password includes a quote 
[MOD] lang: major improvement of finnish translation
[MOD] lang: update of de, fr, it
[MOD] wiki: changed lock icon
[FIX] wiki: made sorting respect find filter
[MOD] pear: replaced clone() by cloneNode() because reserved in some recent php
[MOD] styles: improvement of mose.css style
[MOD] styles: improvement of trollparty.css style
[FIX] html: made alternate link displayed only if perms ok
[FIX] tabs: fixed cycle with a reset
-[DB] added 3 perms and 1 pref
[FIX] Enables download of file galery 's files bigger than 2MB


Version 1.9.3.1
<http://tikiwiki.org/ReleaseProcess193>
- 04/30/2006
------------------

[FIX] PHP Notice: Only variable references should be returned by reference
      in /lib/adodb/adodb.inc.php on line 2797 - ohertel
[FIX] basic profile: Notice: unserialize(): Error at offset 23 of 27 bytes
      in /tikiwiki-1.9.3/tiki-modules.php on line 67 - ohertel
[FIX] MD5 values for tiki secdb - ohertel
[FIX] What-you-see-is-what-you-can-access fix: a not accessable feature is
      hidden - marclaporte
[FIX] trackers: get the right number of items - sylvie
[MOD] update fr translation - sylvie
[MOD] trackers: give the possibility to move the fields more
      than 1 step - sylvie
[MOD] another crosslink feature -> documentation - marclaporte
[MOD] default_wiki_diff_style: minsidediff - marclaporte
[MOD] some features disabled by default: feature_wiki_export,
      feature_galleries, feature_help, feature_multilingual,
      feature_user_watches_translations, feature_dump,
      feature_view_tpl - marclaporte

Version 1.9.3
<http://tikiwiki.org/ReleaseProcess193>
- 04/29/2006
------------------
[FIX] fix of multiple layout and translation issues - various authors
[FIX] '... but need admin validation:' must work even if 'Validate users
      by email:' is not checked - sylvie
[FIX] admin user: multiple actions on a page other than the first
      one - sylvie
[FIX] article: category kept at approval - sylvie
[FIX] blog: blog pagination - sylvie
[FIX] blog: find now finds also in post title - sylvie
[FIX] blog: reset blog activity if activity too old at each blog post - sylvie
[FIX] bookmark: replace split space in link with <br /> - sylvie
[FIX] category: anon can edit categorized pages - redflo
[FIX] category: browse category on image show up images - sylvie
[FIX] category: display category name for a deep category browse - sylvie
[FIX] cleanups for php 5 compatibility - various authors
[FIX] comment: all comments shown after a post - sylvie
[FIX] forum: new post subject set after a post - sylvie
[FIX] gallery: check object perm - sylvie
[FIX] group: a non admin user can also assign a user to one of his groups if
      he has tiki_p_admin_users - sylvie
[FIX] group: can use username or groupname with the character & in
      assign group - sylvie
[FIX] group: respect perm in tiki_p_admin_user and not tiki_p_admin on
      multiple actions in admin user - sylvie
[FIX] image: current gallery selected in the gallery choice - sylvie
[FIX] image: system gallery images are not shown in last_images modules if
      no gallery is selected - sylvie
[FIX] jscalendar: spanish utf8 calendar - sylvie
[FIX] login: user home page considered at login - sylvie
[FIX] module since_last_visit_new: faqs are displayed - sylvie
[FIX] module since_last_visit_new: fix list index unknown for a comment in
      image gallery - sylvie
[FIX] multilingual: switch lang on default homepage (+bl param with
      value) - sylvie
[FIX] neat.css: upload image in a page - sylvie
[FIX] newsletter: cleanup outgoing newsletter templates - marclaporte
[FIX] newsletter: more perm checking on archived newsletters - sylvie
[FIX] parsing: to be able to have plugin param with a & - sylvie
[FIX] plugin article: respect perms - sylvie
[FIX] plugin wantedpages: accept site settings for dashes in WikiWords.
      Possible filtering of output to get rid of
      "rubbish page names" - markusvk
[FIX] prefer get_user_default_homepage to get_user_preference homePage - ang23
[FIX] quiz: avoid some notices if store quiz results on + error if attachment
      empty - (sylvie)
[FIX] search: do no search if no search words are given - sylvie
[FIX] securing adodb for postgres - mose
[FIX] setup.sh: Use filesystem acls instead of sgid or 777 mode is much
      more safe - redflo
[FIX] template: anon can view/edit templates - ohertel
[FIX] template: can edit in some case + can save only for the style - sylvie
[FIX] tiki search: include wiki page name like in fulltext search and the file
      data extracted by the command associated to the type - sylvie
[FIX] tiki search: when refreshing fix an undefined dcslib + attach
      warning - sylvie
[FIX] tracker plugin: category - sylvie
[FIX] tracker plugin: highlight name of fields with error - sylvie
[FIX] tracker: better support for special character or string (ex: xml) in
      textarea field - sylvie
[FIX] tracker: mandatory category - sylvie
[FIX] tracker: fix notification message header for gmail server for long
      update notif and comment notificaton - sylvie
[FIX] tracker: fixed bugged for () loop that prevented non-admin users from
      updating certain fields values - lorfds
[FIX] tracker: image in tracker plugin - sylvie
[FIX] tracker: main item value displayed in the window title - sylvie
[FIX] tracker: mandatory fields in trackers - rv540
[FIX] tracker: sort the country names in a country field - sylvie
[FIX] tracker: to be able to have 2 category fields in a tracker - sylvie
[FIX] user: admin can change prefs of the third tab - sylvie
[FIX] user: batch load can not add a user to a group the current user has
      if only tiki_p_admin_user and not tiki_p_admin perm is set - sylvie
[FIX] wiki: backlink: respect perms - sylvie
[FIX] wiki: don't show edit buttom if looking at a user page of
      another user - sylvie
[FIX] wiki: don't show the edit buttom when looking at another user's
      userpage - sylvie
[FIX] wiki: download wiki file respects individual perms on a page - sylvie
[FIX] wiki: force server readable perm for img upload - sylvie
[FIX] wiki: highlight name of fields with error - sylvie
[FIX] wiki: if 'display the title' is on and breadcrumb feature off, the
      title must be displayed - sylvie
[FIX] wiki: if ask for a userpage is not yet created go to tiki-editpage
      instead of displaying an invalid page - sylvie
[FIX] wiki: likepage: respect perms - sylvie
[FIX] wiki: page creators are admin of their pages + tiki_p_admin_wiki
      back for editpage - sylvie
[FIX] wiki: watch on 'page change' works again - ohertel
[FIX] wiki: the page named UserPage redirects to the user's UserPage if
      possible - sylvie
[FIX] wiki: wiki discussion now redirects to the same thread for 2 users
      with different languages - sylvie
[FIX] xhtml: <br/> transformed into <br /> - damian
[MOD] added &reg; to special character table - sylvieg
[MOD] added link to [http://dev.tikiwiki.org/tiki-index.php
      ?page=Features|evaluation of each feature] to inform about
      maturity of features - ohertel
[MOD] CAS: note about a required lib installtion on admin/login - ohertel
[MOD] cleanup and improvement of robots.txt - various authors
[MOD] groups/permissions: 'levels' hidden by default - ohertel
[MOD] groups/permissions: show all permissions by default - marclaporte
[MOD] install: added some notes to the installation page tiki-install about
      memory reqirements and more
[MOD] lang: nearly complete finnish translation - hartsa
[MOD] lang: several updates to de/ca/fr - ohertel/xavidp/sylvie/jmaspons
[MOD] many new 'tip' boxed on several pages - marclaporte/ohertel
[MOD] mods: hacked to allow chmodding files to 644 on servers with suphp
      security installed (for instance: ourproject.org, where edu.tw.o is
      installed) - xavidp
[MOD] most admin pages are accessable from tiki-admin.php
      now - marclaporte/ohertel
[MOD] note in tiki-backup section that it's better to use mysqldump or
      phpmyadmin - ohertel
[MOD] param my to last_image_galleries module to limit the
      user's gallery - sylvie
[MOD] removing users from groups -> directly from user listing.
      dev.two #503 - marclaporte
[MOD] tracker: a button to increment the field position from a field
      to the end - sylvie
[MOD] tracker: added tracker filter for category plugin - mose
[MOD] wiki: page renames are monitored with watch on page change - ohertel
[NEW] calendar: RSS feed for upcoming events from calendar:
      [tiki-calendars_rss.php?ver=2] - ohertel 
[NEW] intertiki: use the user db of one tiki for several tiki
      installations - mose
[NEW] perl script to recover wiki data from google cache in case you
      lose data - lfagundes
[NEW] plugin: html tag plugin TAG - sylvie
[NEW] smarty: simple smarty plugin function.count.php for return the
      count of a var - mose
[NEW] switchlang param in the url changes the language - sylvie
[NEW] wiki: new table of contents, wikipedia style: {maketoc:table} - ohertel
[NEW] wiki: search & replace feature - sampaioprimo

Version 1.9.2
<http://tikiwiki.org/ReleaseProcess192>
- 10/30/2005
------------------
[FIX] Added alt text to menu folders to enable browsing with image downloads
disabled in your browser - Damian
[FIX] Fixed a regression with "...but requires admin approval" registration type
- mdavey
[FIX] wiki: Fix the closing / in an openning tag ex:~np~{ARTICLE(id=1)/}~/np~ -
sylvie
[FIX] wiki: http: and www. follows the same rule (icon+new frame) than
~np~[http]~/np~ - sylvie
[FIX] wiki: fix preview in history on a page using ~np~ {file} ~/np~ plugin -
sylvie
[FIX] calendar: calendar is not created anymore with 3 special perms - sylvie
[FIX] calendar: filter button is always displayed even if only one calendar -
sylvie
[FIX] tracker: translate country name in a country field - sylvie
[FIX] wiki: can't edit a page if its belongs to a category you don't have perm -
sylvie
[FIX] tracker: mandatory scrolling list doesn't propose an empty value - sylvie
[FIX] plugin: snarf allows the text body without been the html tag body - sylvie
[FIX] plugin: category new option value sort=shuffle mose) new option one to
display one categ per line - sylvie
[FIX] wiki: ~np~<img src="img/wiki_up/xx.gif">~/np~ fixed in article - sylvie
[FIX] wiki: fix my pages in My Tiki by adding the pages where I am not the last
editor - sylvie
[FIX] remind password message: fix url - sylvie
[FIX] WYSIWYCA regarding tiki_p_vote_poll - amette
[FIX] When no cookies, menus are now wide unfolded, if javascript, by first
close, all will fold
[FIX] Return and passing by reference for PHP4.4.0 and PHP5 - mose amette
[FIX] Import wiki pages put back in service
[FIX] Edit trackers status (messed with list option status) - digao
[FIX] html_entity_decode(), floatval() for PHP4 compatibility
[FIX] 2 WikiWords separated by an unique space should link
[FIX] Fix non closing ~np~ ~np~ ~pp~ or <pre> ~/np~, when the closing miss,
takes up to the end (as considering the closing tag is put at the end)
[FIX] Initial condition whith where for search articles
[FIX] Undefined offset: 0 in multitiki:
lib/notifications/notificationemaillib.php
[FIX] Various warnings in searchlib
[FIX] Refactored output filter highlight, no more memory overflow
[FIX] Refactored wikiplugins help loading by edit (1 MBytes saved)
[FIX] Module ephemerides fatal error (Call to a member function on a non-object)
[FIX] Warning when tracker empty removed
[FIX] Proper $groupHome URL if running Tiki in SSL
[FIX] HawHaw PHP5 compatibility - Norbert Huffschmid, amette
[FIX] Plugin WANTEDPAGES ignore pages separated by "+"
[FIX] Removed dead code for gender-feature - luciash
[FIX] Parse trackers textarea the same as wiki pages
[FIX] When using admin validation for new account registration requests, users
are informed by email when their account is activated. - luciash
[FIX] performance optimisation in category admin, orphan pages, stats - sylvie
[FIX] remove unused images a little less greedy - sylvie
[FIX] users upload batch: some improvment and errors messages - sylvie
[FIX] forum: the list has always the same number of forums whatever the perms
are - sylvie
[FIX] wiki: page name with special characters browseable in categories - sylvie
[FIX] forum perms are distinguish from comments perms - sylvie
[FIX] since_last_visit_new module checks for object perms - sylvie
[FIX] ranking checks for object perms - sylvie
[FIX] calendar: tighter perm when accessing calendar item - sylvie
[FIX] forum plain style doesn't display while lines - sylvie
[FIX] forum: a post just after a post delete is no more lost - sylvie
[FIX] forum: keep topic order, comment view param when going next/previous topic
- sylvie
[FIX] forum: lots of permission fixes - sylvie, rv540
[FIX] mods directory gets taken into account by fixperms.sh - mose
[FIX] Messu: Allow messages from other users is by default Yes - digao
[FIX] calendar: Calendars were created with perms only for registered - sylvie
[FIX] tracker: fixed a bug, that let you only vote, when you had the same
language set as the one enabling rating for the tracker - amette
[FIX] RSS: removed tiki-atom.php, it's unused - amette
[FIX] more reliable way to determine admin's email in Contact Us - mdavey
[FIX] fixed download of tracker attachments - lfagundes
[FIX] wiki: editpage urlencodes pagenames - sylvie
[FIX] wiki: undefined templates if wiki templates not set - sylvie
[FIX] wiki: editpage checks category permissions - sylvie
[FIX] imagegal: System Gallery accessible with PHP > 4.1 - amette
[FIX] imagegal: Better GalleryId-check and other fixes - redflo
[FIX] maps: layer manager gets shown by default and various fixes - Franck
[FIX] myTiki: pages, where one is not the last editor, get shown, too - sylvie
[FIX] calendar: tiki_p_admin_calendar is sufficient for admining calendar -
amette
[FIX] wiki: corrected path for pdf-lib - luciash
[FIX] xmlrpc: performance boost for listing pages in send wiki pages and show
number of articles as it is shown later - sylvie
[FIX] xmlrpc: use the new Pear xmlrpc lib in tiki-send_objects.php - amette
[FIX] removed link to tw.o on site unavailable error page - mose
[FIX] tracker: images can be removed from trackers - rv540
[FIX] MySQL 4.1 compatibility - mose
[FIX] index in database for speeding up article-queries - mose
[FIX] PostgreSQL compatibility functions for max() and right()
[FIX] tracker: added icon as placeholder, when no image in image field - rv540,
yoni
[FIX] fixes and more translated words in catalan - xavidp
[FIX] corrected typo in german translation - amette
[FIX] corrections to french translation - sylvie, marclaporte
[FIX] more translated strings in Hungarian - ang
[FIX] more translated strings in Norwegian - gunnarre
[FIX] more translated strings in Brazilian - lfagundes, digao
[FIX] more translated strings in Russian - dimaz
[FIX] fixed blog post for non admin - sylvie
[FIX] database Oracle/PostgreSQL compat, added backticks to query colinmo
[FIX] PostgreSQL compatibility, replaced last_insert_id() - mdavey, mo0co0
[FIX] calendar: fixed a bug, that was listing upcoming events since 1969 -
thenano
[FIX] calendar: upcoming events sorts start_asc instead of desc - fmathias
[FIX] hawhaw: tiki doesn't need to be on the server root no more - sylvie
[FIX] mods: fixed the case when list is not existing at install - mose
[FIX] PostgreSQL compat - Edgar Holleis, sylvie
[FIX] PHP 4.4 compat issue fixed - atooni, mose
[FIX] fix bug, that made function find_exact_all() mix up trackers and files -
amette
[FIX] sheets: added SUMIF function - lfagundes
[FIX] Smarty upgraded to 2.6.10 - mose
[FIX] wellformed XHTML in structure-tocs - ang
[FIX] surveys: fixed a bug, that messed up the user defined order when having
multiple options - rv540
[FIX] tracker: fixed array-initialization bug with mirror table trackers - rv540
[FIX] wiki: only available plugins get used for building wiki-plugin-help
[FIX] wiki: CODE-plugin - optional RTL-param now and displays text by default
LTR - luciash
[FIX] wiki: moved risky plugins to dist
[FIX] wiki: QUOTE-plugin - was missing EXTR_SKIP - sylvie
[FIX] wiki: SNARF-plugin - allows <div id='tbody' - khinckley, sylvie
[FIX] wiki: SPLIT-plugin - more browser-independent - Patrick Allard,
marclaporte
[FIX] wiki: THUMB-plugin - additional URL-param - mose
[FIX] wiki: TRACKERLIST-plugin - new option showstatus=>n - amette
[FIX] wiki: VERSION-plugin - use_best_language capability and fixed problem with
parsing first line - mose
[FIX] wiki: WANTEDPAGES-plugin - ignored pages are seperated by +
[FIX] module: ephemerides - fixed "Call to a member function on a non-object in
multitiki"
[FIX] module: Last Directory Sites/Forum Topics/Articles/Modif Pages/Tracker
Items/Since Last Visit New have additional option absurl=>n - yoni
[FIX] BrTiki - added theme of br.tikiwiki.org - wesleywillians, lfagundes
[FIX] damian.css - show links in module-titles more nicely, fixed problem with
field surrounding with ' - dimaz, sylvie
[FIX] simple.css - better RTL-language compatibility, better reading by
.postbody/.articlebody/.messureadbody, mod_assistant left aligned, alignment of
menu-separatorlines fixed, scrollbar when mid-column content is too wide,
overflow:auto fix for modules, adjusted look and feel of widgets - amette,
luciash
[FIX] forum: fixed attachment perm issue - wulle, amette
[FIX] wiki: if no like pages, then don't say "perhaps your are looking for:" -
sylvie
[FIX] don't show debug in footer, if it is not enabled - mose
[FIX] module: basic module.tpl - div class="box-{$module_name¦escape} for CSS
and display problem fix - ang, mose
[FIX] admin: Added note about the not finished documentation and link to
'Restore Help Pages' on doc.tw.o - amette
[FIX] admin: fixed some missing ~np~<td>~/np~s and cleaned out
feature_experimental part - sylvie
[FIX] escape forum name to allow for a name with double quotes - sylvie
[FIX] admin: users - add groups to the csv upload help string, same place for
batch result strings and feedback strings, warning message when changing
user-name, that the user has to change his password - sylvie
[FIX] directory: fixed offset calculation - wog
[FIX] added missing poll to tiki-edit_help.tpl - sylvie
[FIX] fixed help-page link in tiki-edit_translation.tpl - amette
[FIX] file gallery: wellformed XTHML, table closing was wrong
[FIX] file gallery: fixed display of empty colspan - mose
[FIX] install: corrected a typo - amette
[FIX] community: when searching for users, say "users like", not "users
registered" - amette
[FIX] Don't show cleartext password in newsreader, show asterisks - amette
[FIX] linebreaks and htmlspecialchars in "Normal"-mode of MyTiki notepad -
amette
[FIX] wiki: fixed the display of page title being optional - mose
[FIX] image gallery: galleryId can be null - sylvie
[FIX] Added "edit css" button in Admin->General panel and show it in
user_preferences only if permission - sylvie
[FIX] Added missing tooltips to accept/reject/trash-icons in user_tasks - amette
[FIX] tracker: fixed table messup in list items view, when activating
tracker-rating - amette
[FIX] traker: list view - don't show date if field is empty, mandatory scrolling
list doesn't display empty value, translation of country names - sylvie
[FIX] tracker: default size for placeholder image - rv540
[FIX] RTL language fix in tiki.tpl - luciash
[FIX] fixed the blank image for xhtml compliant style closing of tag and
height-property - ang
[FIX] removed HTML-code from validation mail, since it's plain text - luciash
[FIX] password reminder mail fix - wog, damian
[FIX] better structured/readable tracker-changed-notification-mail and better
stripping of field-names from simplified tracker-notification-mails - amette
[FIX] blog-notification-mails have post title in addition to blog title - xavidp
[FIX] bottom bar updated - damian
[FIX] added missing blanks in tiki.tpls - sylvie
[FIX] minor fix to module wiki last comments - luciash
[FIX] fixed two wrong messages considering tracker-feature disabled - ohertel
[FIX] Fixed name of admin ephemerides in menu - ohertel
[FIX] more translated strings in German - ohertel
[FIX] maps: working with Windows - Franck
[FIX] changed tiki-install.tpl to reflect the new upgrade-script-paradigm -
amette
[FIX] Tiki-version 1.9.2 is a valid version in security admin - amette
[FIX] Tiki-mobile is in main menu - ohertel
[FIX] added missing function view_blog to tiki-mobile - ohertel
[FIX] forums/articles/threads etc. only in mobile mode, if tiki-mobile is
activated - ohertel
[MOD] wikistructures: whole wiki structure objects maybe included in
admin/modules and assigned to left or right columns ang
[MOD] Show number of Comments/Attachments in Tracker-tabs amette
[MOD] Upgrade Net/Socket to pear's 1.0.6
[MOD] Plugin LANG accepts now + separated list of lang codes, the parameter can
be +lang=>accepted languages or (exlusive) notlang=>rejected languages
[MOD] Wiki Tracker-plugin looks nicer after submitting an item amette
[MOD] tracker: can use tiki-view_tracker_item.php?itemId=xxx without giving the
trackerId - sylvie
[MOD] quicktags: drop down selection for categories in administration, tracker
shows only meaningful quicktags - amette
[MOD] multilang: edit-translation now presents you a dropdown list choice
instead of a text 'input pagename'-field - sylvie
[MOD] maps: WikiPlugin for maps - Franck
[MOD] statistics enhancements - Franck
[MOD] trackers: allow rating an item in tiki-view_tracker and
tiki-view_tracker_items - amette
[MOD] maps: display dynamic coordinates on the map - Franck
[MOD] image gallery: show next/prev buttons also at top of page - ohertel
[MOD] multiprint: can print structures - andreas
[FIX] Redirect: redirect can't be called 2 consecutive times sylvie
[MOD] js: javascript plugin sylvie
[FIX] Database consistency between 1.8.x-upgrade and fresh 1.9 install -
ohertel
[FIX] more translated strings in Czech - luciash
[FIX] multiple Wiki-parsing erros fixed in several features - amette, mose

Version 1.9.1.1
<http://tikiwiki.org/ReleaseProcess1911>

* [FIX] Fixed an XSS-vulnerability
* [MOD] Improved Tiki Security Admin
* [FIX] tweaks to fixperms.sh, /img/tracker included

Version 1.9.1
<http://tikiwiki.org/ReleaseProcess19>

* [FIX] support mysql 4.1
* [FIX] Added options to disable bot_bar logos and debug junk
* [FIX] Increase cookie field length amette &
* [FIX] added missing favicon
* [FIX] admin : disallow blank admin password
* [FIX] admin groups : changed display of included groups
* [FIX] admin users : fixed error when char+numbers enforced in password
* [FIX] admin users : fixed message for batch upload
* [FIX] articles : Allow selecting a topic in RSS feed for articles
* [FIX] articles : fixed date management for listing
* [FIX] articles : fixed watches on articles
* [FIX] calendar : fixed php notice when newsletter disabled
* [FIX] calendar : respect special object perm
* [FIX] comments : caching and optimization
* [FIX] comments : can be used now when js is disabled
* [FIX] database : cluster enabled session
* [FIX] database : corrected creation of tiki_features and tiki_object_ratings
when updating Tiki
* [FIX] database : corrected perms mispelling in db-update-script
* [FIX] database : quicktag table is now correctly updated, when updating Tiki
* [FIX] file gallery/maps: avoid error if user forgets / at end of map_path
* [FIX] file gallery: stats
* [FIX] file type icons: transparent backgroud
* [FIX] filegal : general performance improvements
* [FIX] filegal : search is now case sensitive
* [FIX] forums : mobile forums support
* [FIX] forums/comments : fixed page count
* [FIX] forums: autogenerated email reply link fixed ((UserPagegg|gg))
* [FIX] fulltext search: highlight feature
* [FIX] graph: Adding a plugin to draw math functions
* [FIX] graph: Changing final form from post to get to allow linking to a
specific chart
* [FIX] group: anonymous no more in the included groups of each group
* [FIX] group: remove the link to remove group for an included group
* [FIX] imagegal : fixed warnings when lat/long not set and feature map not
enabled
* [FIX] imagegal/filegal : fixed problem of lock when downloading big file
* [FIX] install: mysqli driver (php5 & mysql 4.1) works now.
* [FIX] install: set magic_quotes_runtime to On (smarty can't work otherwise)
* [FIX] internal messenging : now user need to agee to receive messages before
they can get them
* [FIX] internal parser (tikilib) several fixes and improvements
* [FIX] languages : can change other user language without interfering own
language
* [FIX] languages : some respect on available languages
* [FIX] languages : improved support of cs, da, de, es, fr, pt-br
* [FIX] list users : added feature to display the number of users registered
* [FIX] login : Make password resets more user-friendly (but untranslated in
most langs)
* [FIX] login : Correct ssl to non-ssl redirections in the login process
* [FIX] login : include correct moderate validation mail templates
* [FIX] mail : don't show send message if user doesn't accept message
* [FIX] mail : fix the LF mail end of line for MTA as gmail
* [FIX] mail : return-path added into the mail header to avoid tiki mails to be
considered as spam on some servers
* [FIX] mailin : fix discard_after
* [FIX] menu : fixed cms ranking item in menu 42
* [FIX] mobile : upgraded hawhaw to 5.10 and many extra improvements
* [FIX] mobile : added skinning
* [FIX] mobile : added tikiwiki banner
* [FIX] module : added google adsense module
* [FIX] module : made switchlang and switchtheme respect admin settings ,
* [FIX] module switch language : limit the choice to the available language
* [FIX] modules : fix assigned modules deletion
* [FIX] modules : no more caching for modules
* [FIX] more net_pop3.php bugs; forums mail-in broken on systems that advertise
SASL now fixed
* [FIX] multitiki styles: Customized styles in multitiki were not recognized
(broke after DR4) ((UserPagegg|gg))
* [FIX] newsletter : better formatting - text-email-clients get wiki-formatting
* [FIX] newsletter : fix the unsubscribe link that was always unscribing the
first user
* [FIX] newsletter : fixed content template modification - wasn't possible
before
* [FIX] newsletter : removed double linebreak
* [FIX] newsletters : perm respect for newsletters to send (you see in list only
the one you can send)
* [FIX] notifications : display "by Anonymous" when page edited by Anonymous ;)
* [FIX] password reset : more userfriendly
* [FIX] plugin sql : possibility to add param
* [FIX] postgres : improved postgres support , , ,
* [FIX] prefs : Added fgal_allow_duplicates to preferences
* [FIX] registration : custom fields visible on the registratio form and stored
in user's prefs ((alex_freire))
* [FIX] rss : fixed links in rss feeds in case tiki is installed in a subdir
* [FIX] search : fixed bug provoked when search includes a tilde ~
* [FIX] search : fixed index for trackers
* [FIX] search : active the highlight feature for the mysql fulltext search also
* [FIX] search : fix highligh word with accent
* [FIX] section : added calendar section to theme control
* [FIX] section : centralize the sections list to have the same list everywhere
* [FIX] send/recieve objects: upgraded XMLRPC lib for fixing security issue with
eval()
* [FIX] setup : Fixed multitiki styles
* [FIX] setup : added declaration of a var useable in smarty
* [FIX] setup : change getfilecontent by tikilib->httprequest() - added a new
sanitize pattern for urls - added a sanity check on a sensitive var
* [FIX] setup : improved handling for IIS and PHP5
* [FIX] sheet : Better selection of the graph links display and minor bugfix
* [FIX] stats : new stats per objects and wiki plugin for page hits
* [FIX] style : cleaning to have h1/h2/h3... in each page (and not only
pagetitle)
* [FIX] surveys: fixed link typo in admin template ((UserPagegg|gg))
* [FIX] theme control: fix some conflicts between section control and category
control
* [FIX] theme: don't change user theme in tiki-user_preferences
* [FIX] tiki search: don't highlight in head section and popup
* [FIX] tiki search: file galleries search
* [FIX] tiki search: fix minimum length of search word reference
* [FIX] tiki search: fix some duplicatgion checking
* [FIX] tikineat: fix the overlapping calendar in IE
* [FIX] tracker : added country selector
* [FIX] tracker : fixed bugs in item list and item link field types
* [FIX] tracker : fixed image field
* [FIX] tracker : fixed image field type
* [FIX] tracker : fixes on perms system
* [FIX] tracker : optional new way to store trackers data in a separate table
* [FIX] tracker admin: display the help message on IE when editing a field
* [FIX] tracker attachement: the field order of a tracker attachment can be
edited
* [FIX] tracker edit: create a default user or group tracker if the user or
group tracker doesn't exist
* [FIX] tracker fixed mail sending
* [FIX] tracker permissions: Added permissions in menu for trackers to be hidden
if no tiki_p_view_trackers ((UserPagegg|gg))
* [FIX] tracker plugin: displays the message when tracker successfully created
* [FIX] tracker/tiki search: index all the tracker items
* [FIX] tracker/tiki search: respect of perm open/close/pending
* [FIX] tracker: Checkbox for going back to the main list after editing an item
* [FIX] tracker: acces the user item whan the item has not been created - the
field 'user creator' and 'group creator' must be set
* [FIX] tracker: add email, header, category field in tracker plugin
* [FIX] tracker: added a country field
* [FIX] tracker: an optional field of type list of fields must have an empty
entry at editing time (to be replaced by an empty value)
* [FIX] tracker: display back the notification message when a tracker is
recorded
* [FIX] tracker: fix attachment download counter for IE
* [FIX] tracker: fixed filter issue, a tab to return to list and keep filter,
save&return as a button, unify the no sort_mode case
* [FIX] tracker: fixed tab for attachment
* [FIX] tracker: fixed to work with theme control center
* [FIX] tracker: image field in trackers work
* [FIX] tracker: several fixes to 'item list' and 'item link' like wrong links
and not shown values
* [FIX] tracker: show nb of attachment downloads
* [FIX] tracker: show the number of items at top of listing
* [FIX] tracker: tabs to go to next/previous item, when viewing a tracker item
* [FIX] tracker: use correct variable for determining if tracker may be viewed
* [FIX] trackers with hidden fields : the last tracker field was not seen if the
tracker has an hidden field
* [FIX] user : Fixed user batch upload without overwrite to list duplicate names
((UserPagegg|gg))
* [FIX] userpref : fixed tabs behaviour and other things
* [FIX] users : cluster enabled mod-who_is_there - db-change
* [FIX] users : making custom fields work everywhere, as in
tiki-user_preferences.php
* [FIX] users: user double click was not updated form the db if userwatch !=
current user
* [FIX] webmail : fix delete message in webmail that was bugged since 1.9.0
* [FIX] webmail : fix webmail message size and date that were missing since
1.9.0
* [FIX] webmail : readded size and date and some error messages
* [FIX] wiki : fixed backlinks
* [FIX] wiki : improved import html look
* [FIX] wiki : improvement of protection of camelcase autolinking
* [FIX] wiki comments: fixed count of comments
* [FIX] wiki : can't display history if categ perm on the page not ok
* [FIX] wiki : can't print a page with no category perm - print and pdf
* [FIX] wiki : fixed wiki_rename_page() : SF bug 877240/1178260
((UserPageChealer9|chealer))
* [FIX] wiki : not to have a create proposal when you don't have perm to see a
page and easier to display create page on demand only rather to add smarty var
everywhere
* [FIX] wiki : user Anonymous in the contributors list gets translated
* [FIX] wikiplugin : wantedpage new plugin, lists wanted wiki pages, and the
wiki pages that want them
* [FIX] wikiplugin : articles can be called with a starting index
((michael_davey))
* [FIX] wikiplugin : improved anchor plugin
* [FIX] wikiplugin : new plugin for object hits
* [FIX] xmlrpc : new Pear XML_RPC lib is now used
* [NEW] feature to see or not IP in page history ((sylvie))
* [NEW] added creation of tikihost column for tiki_sessions table in
tiki-1.9-pgsql.sql to make Tiki working again with PostgreSQL ((luci))
* [NEW] a batch cleanCatTrackers to be able to display the tracker item main
value in the category listing. ((sylvie))
* [MOD] can use the syntax tiki-calendar.php?calids=1 (to avoid the nasting wiki
parsing error) ((sylvie))
* [MOD] indicate the default in the group lists of a user in the user admin
pannel ((sylvie))
* [MOD] indicate the list of included groups in a string if the group scrolling
list is too long ((sylvie))
* [MOD] can modify a tracker attachment ((sylvie))
* [MOD] indicate the number of attachments in a tracker item view ((sylvie))
* [MOD] in page permission, don't show the strucutre buttons if the page is not
a structure ((sylvie))
* [MOD] calendar: don't display filter section if only one calendar is available
